-----------------------------------------------------------------------------------------
	$Id: ChangeLog 13892 2015-01-07 11:39:22Z fwobbe $
-----------------------------------------------------------------------------------------

2014-09-08	pwessel
	* ps2raster.c:		For non-PDF output, only handled transparency via @<transp>
				and not via -t<transp> option.

2014-05-30	pwessel
	* grdtrack.c:		Did not properly handle the distance units specified in -E.
				Now we pre-scan for units to ensure that only ONE unit is used
				for the various distance options, then apply that unit in the
				distance calculations throughout.  Results will use that unit.
				If no unit is specified we default to km (geographic) or user
				unit (Cartesian).  Also required some changes in gmt_support.c
				Response to forum message # 689.

2014-05-29	pwessel
	* gmt_plot.c:		The length of the map scale bar was incorrectly calculated
				for some oblique projections.  Issue #569.

2014-05-26	pwessel
	* gmt_map.c:		The map region clip path for -JE/e was hardwired to a full
				circle and did not care about -R setting.
				When -R...r and -Je?E was given the search for enclosing
				geographic boundaries failed when either the S or N pole
				was the projection's antipole.
	* gmt_plot.c, pslib.?, pstext.c, psclip.c:	New handling of PSL clipping for quoted text
				lines (contours) and text.  No more different clip off types
				in psclip.

2014-05-08	remko
	* gmt_plot.c:		Fix bug in treatment of variable text introduced on 2014-05-04.
				This addresses issue #554.

2014-05-04	pwessel
	* gmt_plot.c:		Fix treatment of text and font attributes in custom symbols
	* gmt_support.c:	---"---.  This addresses issue # 553.

2014-04-24	pwessel
	* grdcut.c:		Needed to extend -Z to also consider -Zr so that -Zn
				would return a NaN-free subset.

2014-04-02	pwessel
	* spotter/backtracker.c:	Merge -e with -E to simplify operations and to
				disallow lower-case options other than for GMT common options.
				Backwards compatible for now but this will cease in 5.2.x
	* spotter/grdrotator.c:	---"---

2014-03-26	remko
	* ps2raster.c:		Bug fix: -C should also apply when computing BoundingBox.

2014-03-03	pwessel
	* pslegend.c:		The flush_paragraph was not reset to false before 2nd loop,
				causing the text (T) option to fail if it was the first item.
-----------------------------------------------------------------------------------------
2014-03-01	pwessel
	GMT 5.1.1 finalized and released.
-----------------------------------------------------------------------------------------
2014-02-27	remko
	* ps2raster.c:		Fix issue with psimage-included EPS files (issue #521)

2014-02-25	pwessel
	* xyz2grd.c:		Gave incorrect n_read count and for -bi -An insisted on 3 cols.

2014-02-22	pwessel
	* grdcontour.c:		Fix writing of contour labels to text file.

2014-02-20	pwessel
	* grdcontour.c:		The -Zscale/offset option was applied incorrectly due to a
				change in the underlying scaling function.
	* grdvolume.c:		---"---

2014-02-19	pwessel
	*mgd77/mgd77list.c:	Crashed with -Am4 as time column was not loaded.

2014-02-18	pwessel
	*gmtmath.c:		Crashed for some options because a dataset's n_records was not set.

2014-02-10	pwessel
	*gmt2kml.c:		Make sure the default style IDs are unique for each process.

2014-02-03	pwessel
	* pslib.c:		Auto-widen paragraph width to at least fit widest word.

2014-01-26	pwessel
	* gmt_grdio.c:		Building the grid command string could exceed its length if
				the argument became exactly the max length of the array; then
				a final extra character \0 would be added and exceed array length.
				Thanks to Joachim Saul for pointing it out.

2014-01-22	pwessel
	* pscoast.c:		The processing of -I -N levels and pens could get out of sync
				so that the wrong pen was used for the specified feature.
2014-01-16	remko
	* pslib.c:		Take superscripts and subscripts into account when determining
				dimensions of text box.

2014-01-10	pwessel
	* grdmath.c:		We consider the change in SDIST, PDIST to return degrees instead
				of km to be a bug as it makes it difficult to handle geodesics
				for which degrees make no sense.  Thus we have consolidated all
				the ?DIST operators to give km if geographic data are involved.
				Example 23 has been adjusted accordingly, as has several test
				scripts.  Please check your own scripts for SDIST.

2014-01-09	pwessel
	* gmt_vector.c:		Add protection against introduced longitude-jumps produced
				by resampling in GMT_fix_up_path.
2014-01-09	remko
	* gmt_vector.c:		Add protection against introduced longitude-jumps produced
				by resampling in GMT_fix_up_path.
	* grdmath.c:		LDIST and PDIST will again produce km when using geodesics.

2014-01-01	pwessel
	* x2sys/x2sys.c:	Mishandled the assignment of segment number for each record.
	* gmt_support.c:	Allow GMT_crossover to deal with global wrapped data.

2013-12-31	pwessel
	* gmt2kml.c:		Now using GMT_Put_Record instead of old stdout printing.
				This addresses issue #473.

2013-12-10	pwessel
	* grdvector.c:		Vector direction did not adjust when negative scales were
				used in -JX or -Jx.
	* psxy[z].c		---"---

2013-12-08	remko
	* psimage.c:		Now properly plots transparent images and makes -Gt work.

2013-11-26	pwessel
	* gmt_io.c:		GMT would crash on a blank line with no newline at end at all.
	* pstext.c:		pstext did not process GMT4-style input properly.

2013-11-26	jluis
	* potential/gravfft.c:	Let -E options default to 3.
				Let users select the -N+l (leave trend alone). That is, do not overwrite with default mode.
				Let the default detrend be remove MID point.
				Explicitly set -N+a in gravfft command to avoid failures due to coming changes in gravfft.
2013-11-25	pwessel
	* grdlandmask.c:	Failed to fill partial bins with no coastlines when the region
				crossed Greenwich [issue #451].

2013-11-21	pwessel
	* pscontour.c:		Let pscontour output contours to file [issue #448].
	* pscoast.c:		Prevent users from not giving proper projection [issue #449].

2013-11-19	jluis
	* mgd77/mgd77magref.c:	Needed to reset the t_col variable when constant altitude [issue #446].

2013-11-19	pwessel
	* gmt_sph.c:		Fix invalid read in ssrfpack_grid due to par array being of length 2 rather than 3.

2013-11-18	pwessel
	* gmt_grdio.c:		Place the old auto-detect of 4-byte binary float vs int under compatibility mode for backwardness.

2013-11-16	pwessel
	* grdvector.c:		Address shortcomings of geovectors when wrapped and clipped.

2013-11-15	pwessel
	* geovectors.c:		Fix geovector when shrinking is selected.

2013-11-13	pwessel
	* gmt_api.c:		Fix API issues pointed out by Ian.

2013-11-13	fwobbe
	* GMT.app:		Inherit user shell in GMT.app.

2013-11-12	pwessel
	* gmt_init.c:		grdmath could corrupt the gmt.history file [issue # 438].

2013-11-10	pwessel
	* gmt_support.c:	Fix symbol-size issue in psxy -Sc [issue #435].

2013-11-09	pwessel
	* grdvector.c:		Did not convert direction to azimuths for geo vectors.

2013-11-08	pwessel
	* grdvector.c:		Fix grdvector -I problem [issue #434].
	* ps2raster.c:		Under Mavericks, strcpy would exit if the to and from pointers
-----------------------------------------------------------------------------------------
2013-11-05	pwessel
	GMT 5.1.0 finalized and released.
-----------------------------------------------------------------------------------------

2013-11-01	remko
	* example_10.sh:	Changed input to number of languages; multi-color columns

2013-10-31	pwessel
	* gmt_dcw.c:		Added option to specify code as =<continent> which will
				automatically be expanded to all the countries in that
				continent.  E.g., -F=AF+gred will paint Africa read.
				Fixed memory leaks.

2013-10-23	pwessel
	* gmtinfo.c:		The new name of minmax.c, the latter will be honored
				when GMT compatibility mode is 4.
	* grdmath.c:		Fixed porting bugs for CURV and D2DY2; added test ops.sh

2013-10-22	pwessel
	* minmax.c:		Added -D to adjust region found with -I
	* makecpt.c:		Better reporting of gaps or overlaps in CPTs

2013-10-05	pwessel
	* greenspline.c:	Needed -f in order to select -f0T input, plus it made assumptions
				about lon,lat despite not being selected.

2013-10-04	pwessel
	* gmt.history:		This replaces the old .gmtcommands file name.

2013-09-28	remko
	* gmt_init.c:		Moved origin of JD by one day (24 Nov instead of 25 Nov).
	* ConfigUserTemplate.cmake:	Added option GMT_DOCS_DEPEND_ON_GMT

2013-09-27	pwessel
	* share/cpt:		Added 10 new CPTs, mostly for bathymetry and topography.

2013-09-14	pwessel
	* psmask.c:		Multiple, ancient bugs fixed: properly mark used edges, fix
				memory allocations, not report clipping if -D is used, starting
				point for a contour was not offset by 1/2 pixel, debug-only grid
				was mangled, preventing useful debugging.

2013-09-09	pwessel
	* greenspline.c:	Did compute 2-D trend for 1-D case, causing bad mem access.
	* grdraster.c:		Did not understand dd:mm notation and failed to find grdraster.info

2013-09-02	pwessel
	* psmask.c:		Was off by one in grd index, thus exceeding array length at end.

2013-08-26	pwessel
	* gmtvector.c:		Needed to add -TR option to gmtvector to apply different
				rotations to fixed secondary vector.

2013-08-24	pwessel
	* gmt_io.c:		The GMT_read_table function checked for greenwich before assigning
				the input data (issue #357).

2013-08-06	pwessel
	* psxy[z].c:		Will now processes -Sargs strings in multisegment headers.

2013-07-23	pwessel
	* nearneighbor.c:	Clarify how -N works, what the defaults are, and let the
				minimum number of sectors default to 50% of sectors instead
				of a hard-wired 2.  Addresses issue # 343.

2013-07-07	pwessel
	* makecpt.c:		New option -Glo/hi to truncate the incoming CPT table first.
	* grd2cpt.c:		---"---
	* psscale.c:		---"---

2013-07-06	pwessel
	* psxy[z].c:		Allow -SE- to indicate degenerate ellipse (circle) and only
				the diameter in km is expected on input.

2013-07-05	pwessel
	* grdview.c:		Introduce new syntax for -N<level>[+<fill>] so we can handle
				arbitrary fill, and -Q<args>[+m] as the old trailing g would
				be confused by colors ending in 'g'.  Backwards compatible
				under level 4.
	* pstext.c:		The line in -D...v was plotted on top rather than beneath box.

2013-07-02	pwessel
	* gmt.c:		Works with shared libs under Cygwin as well.
	* pshistogram.c:	Fixed porting bug in -A and added -D for count labels.
	* imgsrc:		Supplement group "imgsrc" renamed "img"

2013-06-27	pwessel
	* gmt_io.c:		Fix a side-effect of the 2013-04-18 correction.

2013-06-27	pwessel
	* gmtconnect.c:		Search in both directions for connections in order to avoid a
				two-pass operation. Fixes problem with back-tracking from end
				since there might be more connections going backwards.

2013-06-18	pwessel
	* gmt_plot.c:		Expanded "l" symbol macro to handle variable text and template-ing.
	* psxy[z].c:		The -Sl symbol now takes modifiers +f<font> and +j<justify>.
				The old %font suffix is supported under compatibility.

2013-06-16	pwessel
	* The latest version of GSHHG is 2.2.3

2013-06-10	jluis
	* ps2raster.c:		Add -A+s<newsize> option to force a specific image size at
				the given DPI. This is accomplished via gs re-interpolation.

2013-06-05	pwessel
	* greenspline.c:	Improved the accuracy of the spherical spline in tension with
				lots of help from Bob Parker, Scripps Inst. Oceanography.
				Also added cubic spline interpolation rather than linear for
				the lookup, and eliminated -SQ (-Sq does that instead now).

2013-06-03	jluis
	* grd2xyz.c:		Enhanced -N[i]<nodata> to replace grid values on output with NaN.

2013-05-31	pwessel
	* gmt_plot.c:		Did not check for map-jumping in GMT_plot_rectangle (psxy -SJ).
	* meca/psvelo.c:	Did not honor the -N setting.

2013-05-26	pwessel
	* dbase/grdraster.c:	As generic tool it is now in the GMT core

2013-05-25	pwessel
	* pstext.c:		Added -F...+l|+h modifiers to select text from current
				segment header instead of data record.

2013-05-24	pwessel
	* gmtsimplify.c:	The new name of the former gmtdp.c program; under GMT 4
				compatibility we will still recognize gmtdp.
	* sph/*.c:		These generic spherical tools are now in the GMT core.
				Two new examples have been added to the suite.
	* xgrid:		No longer in GMT5 since requires X11.

2013-05-21	pwessel
	* pscontour.c:		Added -St to skip triangles whose 3 vertices are outside domain;
				in contrast, -S or -Sp skips all points outside domain before
				triangularization.
	* meca/psvelo.c:	Called get_trans at NP but could not handle the truth.

2013-05-20	pwessel
	* gshhg:		Remove gshhg_dp.c and gshhgtograss.c from the supplement as
				being inadequate or obsolete.

2013-05-17	pwessel
	* gmt_map.c:		GMT_grdproject_init did not handle increments that had been
				specified as units, e.g., -D30e.

2013-05-09	pwessel
	* share/x2sys:		Added dat.def for mgd77 ASCII DAT format.

2013-04-21	remko
	* pslegend.c:		Honor the use of fill without frame (-G without -F).
				Return pen to black (and no transparency) after drawing frame box.
	* pslib.c:		Avoid that fill takes transparency of frame.

2013-04-19	pwessel
	* greenspline.c:	Also added -Cn<n> to directly select the n largest eigenvalues.
	* grdview.c:		The -C with no argument [rainbow] or master CPT name is accepted
				and results in an automatic CPT given the data range.
	* grdvector.c:		Same -C setup as grdview.c

2013-04-18	pwessel
	* gmt_io.c:		Could not properly decode yyodd (no delimiter) time coordinates
				like 12Oct24.

2013-04-17	pwessel
	* filter1d.c:		Susceptible to round-off when determining t of first and last output
				point when -T was not given.  Fixes issue # 241.
	* mex:			Removed as mex API will be separate repository gmtmex.

2013-04-16	pwessel
	* gmtspatial.c:		Added -A option for nearest neighbor analysis, and two test-
				script nn.sh and decpolar.sh in the test suite.

2013-04-15	pwessel
	* greenspline.c:	Add -W for weighted fit. Need to be used with -C to have any effect.

2013-04-14	pwessel
	* blockmean.c:		The -Ep will produce propagated errors on the mean.

2013-04-13	pwessel
	* sph/sphdistance.c:	Make sure we visit replicated columns for gridline registered grids.
	* blockm*.c:		Did not use data near west column nodes that were off by 360 for
				gridline registered grids.
	* gmt_init.c:		The -R option failed to handle yyyy-jjjT coordinates.
	* surface.c:		Share points near periodic w|e boundaries with both of them.
				Introduced periodic BC for longitudes if 360 range.
	* gmtselect.c:		The -Z option is now repeatable and can take +c<col>.

2013-04-13	pwessel/remko
	* psbasemap.c:		Added -D option to draw map insert box.
	* ConfigUserTemplate.cmake ConfigDefaults.cmake gmt_init.c gmt.conf.in:
				Removed GMT_COMPAT as a compiler option. Can now be set in run-
				time using the setting GMT_COMPATIBILITY.

2013-04-10	pwessel
	* gmt_map.c:		Fixed clipping of invisible lines over horizon on azimuthal maps.
				Added two scripts, general_p.sh (which still has one problem) and
				ortho.sh, both derived from issue #208.

2013-04-09	pwessel
	* minmax.c:		Enhanced -I[f|s] that will extend the region otherwise reported
				to ensure the dimensions are optimized for fastest performance
				in programs like grdfft (f) or surface (s).

2013-04-07	pwessel
	* share/DCW:		Add the DCW files to share/DCW so all have access via pscoast.
	* gmt_grdio.c:		Would restrict grid region in grdimage despite doing a global map
				with azimuthal projections.


2013-04-06	pwessel
	* grdimage.c:		Allow -I to take a constant for uniform ambient illumination
	* grdview.c:		---"---

2013-04-03	pwessel
	* gmt_map.c:		When -Jx is used with longitudes we must use the wesn-clipping
				and outside functions, not the Cartesian ones.
				Fixed clipping problem in wesn_clip for regions > 180 but < 360.

2013-03-26	pwessel
	* psxy[z]:		The -S= geovector now has modifiers +o<plon>/<plat> for
				specifying small circle geovectors; input is then just
				lenght in km. Also +q to say input is rotation angles 1 and 2.

2013-03-25	pwessel
	* greenspline.c:	Enhanced -Cv option to set desired level of variance explained.
				Also added -Sl for linear (1-D) and bilinear (2-D) splines.
				The normalization for 2-D with geographic data suffered from
				not checking that longitudes may be off by +/- 360.

2013-03-23	pwessel
	* gmt_customio.c:	The magic recognition of native bit grids failed due to bad math.
				Wrote wrong number of bytes per record for odd-width Sun rasterfiles

2013-03-22	pwessel
	* greenspline.c:	When -T was used the number of z-layers (1) was not initialized.

2013-03-15	pwessel
	* -B:			Added modifier +o<plon>/<plat> to draw selected gridlines using
				oblique coordinates about the specified pole instead of the
				regular gridlines. Not allowed for oblique Mercator.
2013-03-11	pwessel
	* pscoast.c:		Added DCW option for filled countries and (some) states via
				separate DCW file to be explained.
2013-03-06	pwessel
	* sph2grd.c:		New program for evaluating spherical harmonic coefficients
				into grids.  Just spherical right now, no ellipsoidal adjustments
				or taking derivatives of geopotentials.

2013-03-05	pwessel
	* pshistogram:		Added -N to draw equivalent normal distributions.
	* grdtrack.c:		Enhanced -E to also handle lines from origins and circles.

2013-03-03	pwessel
	* gmt_grdio.c:		Enabled scaling of grid header domain via +u|U<unit>
	* gmt_support.c:	Enabled scaling of cpt domain via +u|U<unit>

2013-02-27	pwessel
	* blockmode.c:		Added -D to compute unweighted modes via histogram binning. Added
				automatic detection of integer data, defaulting to center bins.
	* grdclip.c:		Expanded jluis's implementation of -Si for interval reclassification
				by allowing any number of classes.  Added error checking on all
				-S? arguments and improved verbose feedback.

2013-02-22	pwessel
	* The -h:		Major overhaul of data headers in GMT:
				1. Header input/output is on by default; turn off output with -hi.
				2. The default number of header records must be 0 since this
				   value applies to any record (# records are automatically recognized)
				3. Added optional modifiers +d (delete existing headers),
				   +r<remark> (add remark), +t<title> (add title), +c (add column info).

2013-02-18	pwessel
	* filter1d.c:		Allow -T<t_min>/<t_max>/<t_inc>[+] as for other table makers.

2013-02-14	pwessel
	* grd2xyz.c:		Added -C[f|i] for writing row,col or index instead of x,y

2013-02-13	pwessel
	* spectrum1d.c:		Added the same -L[m|h] option for trend-removal control
				as in grdfft.
	* grdtrack.c:		Added -E for expeditiously creating profiles via end points
				instead of reading input table.

2013-02-12	pwessel
		* grdinfo.c:	Added -Ib which will write the grid's bounding box polygon.

2013-02-11	pwessel
	* grdfft.c:		Added option for radial cross-spectra (-E) when two grids
				are supplied, modifiers to scale geographic meters to km,
				option (-Q) to save intermediate detrended/mirrored/tapered
				grid to file. expanded -N to allow more flexibility in how
				data region is extended, mirrored, and tapered.  Added new
				option -Z to save raw complex spectrum as 2 grid files.
				Added 3 test scripts to grdfft suite.

2013-02-10	pwessel
	* grdmath.c:		Added operator TAPER for creating unity weights that taper
				to zero over specified margin x and y widths.
	* gmtmath.c:		Added operator TAPER for creating unity weights that taper
				to zero over specified margin width.

2013-01-30	pwessel
	* xyz2grd.c:		For -E, must read data as double so can properly compare
				with the nodata_value read as double.
	* gmtwhich.c:		Added -D[f] option to report directory where the file is.

2013-01-24      pwessel
	* gmtmath.c:		Introduced capability to store & recall intermediate
				calculations from named memory locations, using new
				operators STO@<label> and [RCL]@<label>, with CLR*<label>
				used to free up memory.
	* grdmath.c		---"---

2013-01-18      pwessel
	* mgd77/mgd77list.c:    The azimuth written was back-azimuth, not forward.

2013-01-17	pwessel
	* gmt_grdio.[ch]:	Add latest dimensions for Sandwell/Smith ~85N/S img files

2013-01-16	pwessel
	* grdcontour.c:		Enabled time-annotations for grids with z = time.
	* mgd77/mgd77list.c:	Added course change (cc) as new auxiliary field.
				Added -Qc to set limits on cc for output.
				Added recno (record number) as new auxiliary field.
				Added ceot (calculated Eotvos) as new auxiliary field
				and -Af8 to recompute faa based on gobs, ceot, and ngrav.

2013-01-15	pwessel
	* gmtmath.c:		The MIN and MAX operators ignored NaNs, but result should
				be NaN if one of the operands equal NaN.
				Added BITAND, BITLEFT, BITNOT, BITOR, BITRIGHT, BITTEST, BITXOR
	* grdmath.c:		---"---
				The XOR operator was incorrect, it is now clarified to be
				0 if A == NaN and B == NaN, NaN if B == NaN, else A.
				Added BITAND, BITLEFT, BITNOT, BITOR, BITRIGHT, BITTEST, BITXOR

2013-01-10	pwessel
	* gmt_proj.c:		The -JE projection returned NaN if projection center was used,
				causing some artifacts in pscoast -JE for global maps.

2013-01-10	pwessel
	* gmt_proj.c:		Inverse -JR blew up at origin; now added check.

2013-01-09	pwessel
	* gmt_io.c:		Formats for degree annotations using colons should never
				end in a trailing colon.

2013-01-07	pwessel
	* grdvector.c:		Enforce that -Idx/dy must be multiples of grid dx/dy and
				abort if they are not.  Before we would crash, hang, etc.
	* gmt_grd.h:		Moved the #include <netcdf.h> from here to gmt_nc.c so that
				custom programs only need gmt.h.

2013-01-03	pwessel
	* grdcut.c:		Added option -S[n]lon/lat/radius to extract subset that contains all
				grid nodes that fall inside the circle, and optionally (-Sn) set those
				outside circle to NaN.

2012-10-19	pwessel
	* spotter/libspotter.c:	Did not check for time reversals among total reconstruction rotations.

2012-10-18	pwessel
	* psxy[z].c:		Allow base for bars and columns to be read from data file by appending b
				with no trailing <base> value.
	* gmt_map.c:		Geodesic distances are now calculated using Vincenty [1975] equation.
				A detailed note discussing this switch is included in the source.

2012-10-16	pwessel
	* gmt_init.c:		Added two additional GMT defaults (PROJ_MEAN_RADIUS and PROJ_AUX_LATITUDE)
				that control how great circle distances are approximated.

2012-10-09	pwessel
	* grdmath.c:		Added operator SUM which adds up all non-NaN entries in a grid.
				Returns a grid with all nodes set to the sum constant.
	* grdfilter.c:		Added -Ff<weight> which reads a weight gridfile for custom Cartesian
	 			grid convolution.  Must have odd dimensions.  Also added -Fo<weight>
				for operators whose weight sum is zero (hence don't sum and divide).

2012-09-28	pwessel
	* gmt_init.c:		Allow for new length unit 'u' for US survey foot.
				Allow -R<unit>... and linear projection to imply a simple
				unit conversion for the given coordinates (e.g., km to meter).
				Introduced -fp[<unit>] which allows data input to be in projected
				values, e.g., UTM coordinates while -Ju is given.

2012-09-26	pwessel
	* grdcontour.c:		The contour label modifier +t|T[<file>] to save label locations to file
				now also include any labels implied by -T.
	* pscontour.c:		---"---"

2012-09-20	pwessel
	* mgd77/mgd77convert.c:	Added -C option to assemble *.mgd77 files from *.h77/*.a77 pairs.

2012-09-14	pwessel
	* ps2raster.c:		The -Au option could suppress a font reencoding call, thus causing
				trouble with special symbols in basemaps.

2012-09-03	remko
	* gmt_io.c:		Option -ff will now prevent gmt_nc_fopen from altering the data
				type to GMT_IS_LON|LAT|RELTIME. This is to address issue #134.

2012-08-22	pwessel
	* blockmedian.c:	Added -Es to read and output source id for median value.
	* blockmode.c:		Added -Es to read and output source id for modal value.
	* gmtmath.c:		Now, -N<ncol> with input files will add extra columns.

2012-08-13	pwessel
	* grdmask.c:		Added z as possible radius value in -S: Read radii from 3rd input column.

2012-06-30	remko
	* pslib.c:		Removed revision check on PSL_*.ps files. Has become superfluous since
				introduction for the VERSION file in the share directory

2012-06-29	remko
	* gmt_error.h, *.c:	Renamed verbosity levels to GMT_QUIET, GMT_NORMAL, GMT_COMPAT, GMT_VERBOSE,
				GMT_LONG_VERBOSE, GMT_DEBUG. Options have become -Vq, -Vn, -Vc, -V[v], -Vl, -Vd.
	* gmtapi_parse.c:	Translate --help to -? so that it can be used everywhere to get usage info.

2012-06-28	remko
	* gmt_io.c:		Added capability in gmt_nc_input to read 2-d arrays from netCDF files
				or just a column out of those.
	* gmt_init.c:		Implemented shorthands FONT_ANNOT, etc, for all that have _PRIMARY and
				_SECONDARY versions. Sets both to the same value.
	* gmt.conf.in:		Made UNIX the default time system (TIME_EPOCH is 1970-01-01, TIME_UNIT is s)
				Set TIME_WEEK_START to Monday for SI (leave Sunday for US)

2012-06-24	pwessel
	* grdtrack.c:		Modifier +a added to -C to alternate the direction of cross-profiles.

2012-06-15	pwessel
	* gmt_plot.c:		3-D basemaps can now have horizontal gridlines on xz and yz back walls.

2012-06-04	pwessel
	* gmtvector.c:		Incorrectly applied flat-Earth adjustment for 2-D Cartesian azimuth.

2012-06-01	pwessel
	* gmt_io.c:		Reading files with one segment header and no data caused a SEGV.

2012-05-31	pwessel
	* gmt_map.c:		With -R...r and -JE, pscoast could end up trying to paint a
				block that is outside the rectangular region yet whose projection
				completely contains the region.
	* gmt_support.c:	In GMT_crossover(), could get near-duplicate crossovers near a
				node.  Now checks there are no such consecutive duplicates.

2012-05-17	pwessel
	* grdtrack.c:		Added option -S to stack cross-profiles generated with -C.

2012-05-13	pwessel
	* blockmedian.c:	Added -Er[-] to return as last column the record number that
				gave the median value.  For ties, we return the record number
				of the higher data value unless -Er- is given (return lower).
	* blockmode.c:		---"---

2012-05-11	pwessel
	* gmtmath.c:		Operators UPPER and LOWER did not assign output to rows
				that contain NaN.
	* misc/dimfilter.c:	Initialized a max value to -DBL_MIN instead of -DBL_MAX.

2012-04-29	remko
	* gmt_init.c, gmt_nc.c, etc.:
				Introduced IO_NC4_DEFLATION_LEVEL setting to control netCDF4 deflation.

2012-04-21	pwessel
	* gmt_plot.c:		Fixed memory leak in gmt_map_annotate

2012-04-10	remko
	* FindGSHHS.cmake:	Autodetect GSHHS netCDF file extension

2012-04-08	pwessel
	* xgrid/*:		Now works again, thanks to Lloyd Parkes!

2012-03-26	pwessel
	* psrose.c:		Option -L (no args) failed to turn off all labels.
				Option -T did not create a symmetric plot for -R0/360/...
				Fixed basemap outline for windrose diagrams.
				Added -Zu to set all radii to unity (i.e., analysis of angles only).
				Added -R0/180/... to complement -R-90/90/... for half-circle plots.
				Allow -i<one_column> to only read azimuths (radii set to unity).

2012-03-22	remko
	* ConfigUserTemplate.cmake ConfigDefaults.cmake:
				Make GMT_COMPAT the default. Switch license restrictions off by default.
	* lockfile.sh:		Removed. No longer needed.
	* gmt_init.c:		Improved GMT_COMPAT warnings.

2012-03-18	pwessel
	* *.*:			Set GNU Lesser Public License version 3 or later as the official
				license terms for GMT 5.

2012-03-17	pwessel
	* gmt_io.c:		Did not sense EOF if last record was a header.
	* spotter/libspotter.c:	A very long filename would exceed variable space in spotter_GPlates_pair().
	* xgrid/xgridedit.c:	Fixed SEGV, but the new value assigned to a node still gets corrupted.

2012-03-16	remko
	* *.*.cmake:		Renamed things like config.h.cmake to config.h.in, because they are not
				cmake files.

2012-03-15	pwessel
	* mgd77/*.c:		Introduced support for NGDC's MGD77T (tab-delimited) format
	* mgd77list.c:		Confused the meaning of -F shorthands mgd77 and all.  Now handle
				all the stored and derived quantities needed to reproduce original data.

2012-03-15	remko
	* examples/CMakeLists.txt:	Complete revision. Tests now run with "check" script.
	* scripts/*.sh test/*/*.sh:	---"---

2012-03-14	remko
	* gmtset.c:		Will write out the expansion of shorthands (like -R...) into
				.gmtcommands file when those options (GMT_SHORTHAND_OPTIONS) are used.

2012-03-12	remko
	* scripts/CMakeLists.txt:
				Scripts now run in build directory without copying files.
	* scripts/CMakeLists.txt examples/CMakeLists.txt:
				No more "dark magic" with recursive calling of CMakeLists.txt.

2012-03-11	remko
	* test/functions.sh.cmake test/*/*.sh test/CMakeLists.txt:
				Changed so that testing occurs in build directory without copying
				files.
	* test/*/orig/*.ps:	Moved to test/*/*.ps

2012-03-07	pwessel
	* psbasemap.c:		The -Tm option now places degree symbols.  Changed default magnetic
				declination annotation interval from 10 to 30.

2012-03-03	fwobbe
	*			Reintegrated branch cmake-build back into the trunk
	*			Tagged release 5.0.0 (before reintegration into trunk)

2012-02-25	pwessel
	* *.c:		Did not consistently use COL_SEPARATOR and/or FORMAT_FLOAT_OUT for ascii output.

2012-02-22	pwessel
	* gmt_support.c:	gmt_inonout_sphpol_count did not properly handle line segments
				that were exactly vertical in all cases, leading to errors as
				to a point being inside or outside a spherical polygon.  Also,
				points exactly on a vertical segment were not flagged as being
				ON the line but INSIDE. Added test/grdmask/sphinout.sh as check.

2012-02-17	pwessel
	* gmt_io.c:		Added convenience function GMT_set_segmentheader to change
				multi-seg header output to on or off; used by several GMT programs.
	* grdtrack.c:		Did not turn on multi-segment output for -C when input was not
				a multi-segment file.

2012-02-15	pwessel
	* grdproject.c:		Changed header inc but not r_inc.

2012-02-14	remko
	* GNUmakefile, configure.ac:	Split off triangle code again into gmt-${version}-non-gpl.tar.bz2

2012-02-13	pwessel
	* gmt_proj.c:		Determine if N or S polar for conic projections by looking at the
				selected region, not the central point [D. Scheirer report 2/9/2012].

2012-02-10	fwobbe
	* gmt_prototypes.h, gmt_io.c, gmt_support.c, gmtapi_util.c, ps2raster.c:
				Function enhancements to better deal with CR and LF:
				GMT_fgets GMT_chop GMT_chop_ext GMT_trim_segheader.
				New Functions: GMT_fgets_chop GMT_strstrip GMT_cr2lf
				GMT_strlshift.
				Deleted: gmt_trim_line because it is obsolete.
				Simpliefied	DOS_path_fix.

2012-02-09	jluis
	* pslib.c, gmt_init.c:	On Windows DOS|psl_path_fix() test if the path has a leading
				'/cygdrive' that may have been set for example by Cygwin on
				declaring GMT_SHAREDIR. If yes chop it off. This makes easier
				to use Windows binaries on Cygwin.

2012-02-08	jluis
	* ps2raster.c:		Improve tests to detect if the PS file is not closed (excess -K)
				Now also warns when creating a PDF file from a unclosed PS

2012-02-07	pwessel
	* psxy[z]:		For the two mixed symbol/line options -Sf and -Sq, we now
				examine the segment header for any changes to these options.

2012-02-07	jluis
	* ps2raster.c:		On Windows the ghostscript executable path is now fetch from
				the registry. In case it fails, fall back to the old "get
				it from the path" mechanism.

2012-02-02	pwessel
	* pslegend.c:		Did not process -U, and had usage message about obsolete -S
	* gmt_proj.c:		For -JE, both projection center and antipode gave x = y = 0.
				Now, antipode results in NaN, NaN and a flag is set.

2012-01-31	pwessel
	* pstext.c:		Enhanced -DJ option will shorten diagonal offsets by sqrt(2) to
				maintain the same distance from point to annotation.

2012-01-30	jluis
	* ps2raster.c:		On Windows the default name of the ghostscript executable
				is now that of the 64 bits version (gswin64c).

2012-01-25	remko
	* gmt_io.c:		GMT_GRDIO_RI_NOREPEAT should not be fatal.

2012-01-15	pwessel
	* minmax.c:		Determine if input data already lie on a regular lattice;
				if so, use the phase shifts in x,y to determine -R when -I
				is given, and allow -r to switch to pixel-registration.

2012-01-13	pwessel
	* gmt_support.c:	The quoted line labeling would not free an allocated label
				when the label had no text string.
	* pslib.c:		Added support so that the bit-flags passed into psl_vector
				and psl_mangle controls if vector heads are filled and
				outlined.
	* pslib.txt:		Updated documentation for the changes to vectors.
	* gmt_plot.c:		Let geo_vector also use the bit-flags to change vector head
				fill and outline.
	* minmax.c:		Added the -r option so that users who have pixel-registered
				xyz data can get correct -R via the -I option.
	* psxy[z].c:		Make sure we process the vector modifiers when read via input.

2012-01-10	jluis
	* gmt_customio.c:	GMT_gdal_read_grd was ignoring subregion requests like for
				instances "grdcut -R..." Such request would cause a crash.
	* gmt_gdalread.h:	Add members to inform GMT_gdalread on the coordinates
				registration type used when subregion requests.
	* gmt_grdio.c:		Recognize web located files hose name starts with /vsicurl/...
	* gmt_io.c:				""

2012-01-10	pwessel
	* gmt_map.c:		-R0/360 and -JMlon/lat would not set global_map properly,
				giving NaNs as scale.

2012-01-09	pwessel
	* gmtmath.c:		The COL operator inadvertently set a pointer to NULL, then
				tried to use it.  Also, with operands whatsoever we crashed
				as the Template struct was deallocated twice.

2012-01-08	pwessel
	* grdcut.c:		The -Z would give incorrect -R for pixel grids.  Now also
				print warning if output grid equals input grid (no change).

2012-01-08      remko
	* xyz2grd.txt:		Added missing 'H' and 'I' to -Z options.
	* xyz2grd.c:		Bug fix: -Z..h etc needs to imply proper -bi setting.
	* gmt_io.c, gmtapi_util.c:	Bug fixes: now properly identifying all I/O types.
				Fixed incorrect swapping of signed integers (short and long).

2012-01-06	pwessel
	* gmt_plot.c:		Made geo_vector properly adjust for half-head vectors
	* pslib.c:		Made psl_vector and psl_matharc adjust for half-head vectors
	* gmt_init.c:		Revised -Sf front syntax to use modifiers. Backwards compatible.
	* gmt_plot.c:		In GMT_xy_axis, string[GMT_CALSTRING_LENGTH] was used to hold
				labels that could be longer, leading to memory corruption.

2012-01-05	jluis
	* gmt_customio.c:	Make nx and ny of 'unsigned short int' type in surfer6 header.
				Note that original format specification by Golden Software
				clearly say they are 'short int' but this change shouldn't
				break anything and will allow dealing with larger grid sizes.

2012-01-04	pwessel
	* grdvector.c:		Updated -Q to take new vector specification format.
				Made -E obsolete (since covered by modifier +jc) but
				is still active under compatibility mode.
	* psrose.c:		Updated -M to take new vector specification format.
				Added -Wv<pen> to specify pen for vector (in -C).

2012-01-01	pwessel
	* gmt_plot.c:		Let +n<norm> be modifier for all vectors
	* gmt_init.c:		---"---
	* pslib.c:		Treat all vectors similarly regarding pen/fill

2011-12-30	pwessel
	* gmt_init.c:		Groundwork for new vector specifications
	* gmt_io.c:		Fixed bug with empty segments with headers
	* gmtapi_utils.c	Fixed bug in setting next input file
	* psxy[z].c:		New syntax for vectors (straight, great-circle, math)
	* pslib.c:		Revised vector functions
	* gmtspatial.c:		Change -M option to -Q

2011-12-19	remko
	* gmt_init.c:		Honor -B0 (map frame only). Also -Ba0f0g0, etc.

2011-12-17	pwessel
	* psxyz.c:		Testing out geovector symbol
	* psxy.c:		Added usage/doc for -S= great-circle vector symbols
				for both psxy and psxyz.

2011-12-15	pwessel
	* gmt_init.c:		Allow for multi-param symbols with geo-angles.
	* gmt_support.c:	---"---
	* psxy[z].c:		---"---
	* psxy.c:		Testing out geovector symbol

2011-12-14	remko
	* PSL_prologue.ps:	Introduced /PSL_transp to deal with transparency, supported
				both by Adobe Illustrator and ghostscript.
	* pslib.c, gmt_plot.c:	==="===
	* psldemo.c:		Added transparency example

2011-12-03	pwessel
	* gmtmath.c:		Did not check that -Tmin/max has min > max.

2011-12-03	pwessel
	* mgd77/mgd77track.c:	Did not set GMT's time system to Unix before dealing
				with dates.  Now done centrally by MGD77_Init.

2011-12-02	pwessel
	* project.c:		Fixed trouble with -G; this also fixes test cases.
				Added -Ginc[/colat][+] so if + is appended we get a
				segment header with information about the pole for the circle.
				Clarified that it is colatitude and not latitude we append.
				Furthermore, for -G<inc> -bo we failed to write any output;
				this was an old bug also affecting GMT 4.
	* gmt_plot.c:		The mysterious trim_label function was called for both axes
				even if only one had 2 levels of annotations.  Now check per
				axes and document the function better.  This fixes the hovmuller test.

2011-12-01	remko
	* meca/pscoupe.c:	Added -Q option to suppress mechanism files
				Incorporated distaz.c and submeca.c as they were unique to pscoupe.
				Properly mention -a<size>/<P_symbol><T_symbol>
				Properly set default pen for all elements to the one set by -W.
	* meca/psmeca.c:	Let -e<fill> and -g<fill> default to -E<fill> and -G<fill>.
				Set default size of T_symbol and P_symbol to 6p (not inch or cm)
	* meca/pscoupe.c:	==="===
	* meca/*.c:		Numerous bug fixes

2011-11-30	pwessel
	* gmt_support.c:	GMT_getfill got confused when a Windows path C:\etc was
				given as an pattern file (mixed up with :F and :B mechanism).
	* gmt_init.c:		Parsing of -B5+gp<dpi>/<dospath> suffered the same fate.

2011-11-29	pwessel
	* pslegend.c:		Fixed so we can mix filled and non-filled symbols.

2011-11-28	pwessel
	* gmt_plot.c:		Extended the custom axis annotation to any map projection.

2011-11-28	pwessel
	* gmt_plot.c:		Extended the custom axis annotation to any map projection.

2011-11-28	remko
	* meca/*.c:		Reading fontsizes better.

2011-11-27	pwessel
	* gmt_plot.c:		Extended the custom axis annotation to amy map projection.

2011-11-27	remko
	* meca/*.txt:		Numerous improvements and error fixes.
	* meca/utilmeca.c:	Fixed superfluous and missing outlines in various routines.
	* meca/psvelo.c:	Properly set default pen.
	* meca/psmeca.c:	Fixed error in plotting event titles above. Properly set
				default pen for all elements to the one set by -W.
	* test/meca/*.sh:	Many minor improvements.

2011-11-22	pwessel
	* meca/utilmeca.c:	Use PSL_setfill and not PSL_setcolor to change fills
	* test/meca/meca_4.sh:	Need -B0 to just draw axes.
	* grdinfo.c:		Now report if grid is Geographic or Cartesian as part of registration message.

2011-11-21	pwessel
	* grdview.c:		Also, when nodes are adjusted by small to avoid matching a
				contour value exactly (during contouring), the same adjustment
				must be made later when those nodes are used to determine how
				to connect together polygons for fill.

2011-11-19	jluis
	* mgd77/mgd77.c:	Fix memory allocation bug in MGD77_Read_Header_Sequence() where
				it was reading MGD77_RECORD_LENGTH records into a shorter
				MGD77_HEADER_LENGTH longer variable.

2011-11-18	pwessel
	* *.c:			Make sure that incrementally allocated memory for structures
				that contain pointers is initialized to NULL before use.
	* grdview.c:		The contouring could suffer from the same round-off issues that
				affected grdcontour (and fixed back in 2004).  Now same fix is
				applied in grdview.  Also set -S to 0 as stated in man page;
				this matches default in grdcontour as well.

2011-11-17	pwessel
	* grdlandmask.c:	Now recognizes a global grid when nx*dx == 360 also.
	* nearneighbor.c:	--"--
	* grdcut.c:		--"--
	* grdfilter.c:		--"--
	* grdinfo.c:		--"--
	* grdimage.c:		--"--
	* misc/dimfilter.c:	--"--

2011-11-15	pwessel
	* gmt_unique.h:		Updated with the new common options.
	* gmt_init.c:		No longer accept lower case -x -y as in GMT 4 (inadvertently).

2011-11-13	pwessel
	* gmt_grdio.c:		Need to reset zmin/zmax when region was temporarily expanded to
				include data boundary rows/cols.
	* grdinfo.c:		Modifier -Ts<dz> returns a symmetrical range about zero.
	* grdpaste.c:		Had trouble shuffling longitudes correctly for geographic grids.
	* *.c:			Improved freeing of allocated memory as reported under --enable-devdebug

2011-11-12	pwessel
	* gmtmercmap.c:		New example of API use: Create a shaded-relief Mercator map using
				Etopo 1|2|5m global relief, with optional color bar.  Option -D
				makes no map but writes equivalent Bourne shell or cshell script.

	* gmt_support.c:	Resampling of CPTs did not initialize the i_dz variables, resulting
				in discontinuous colors for continuous color maps.

2011-11-11	remko
	* pslib.c:		Fixed error in PSL_message (wrong verbosity handling)

2011-11-11	pwessel
	* gmtapi_util.c:	Introduce GMT_Retrieve_Data to return a pointer to a container
				that was allocated when a memory location was registered as the
				output.  Reduced GMT_Begin_IO to only apply to rec-by-rec i/o,
				hence we could remove the mode variable.  GMT_Register_IO now
				expects the pointer to the resource, not the pointer address.

2011-11-09	pwessel
	* gmtapi_util.c:	Let GMT_Get_Record's third argument (*n_fields) only return
				the number of fields if it is not NULL.

2011-11-08	pwessel
	* *.c:			All modules using GMT_Get_Data are now checking for a NULL
				return, and only then checking status.  This minimizes the
				number of checks during the processing of a data set.

2011-11-05	pwessel
	* gmtapi_util.c:	Added GMT_Write_Data and GMT_Read_Data which deals with
				files/streams, and GMT_Get_Data, GMT_Put_Data now work
				explicitly with registered object IDs.
				Test all return codes from API and give proper errors.
2011-10-29	pwessel
	* gmtapi_parse.c:	API finalized.  Simplified by let all functions that
				produce objects (Make, Find, Append) return a pointer to those objects.

2011-10-28	pwessel
	* gmtapi_util.c:	API finalized.  Simplified by eliminating unneeded arguments
				to GMT_Create_Data, GMT_Register_IO, and let all functions that
				produce objects (Create, Get) return a pointer to those objects.
	* grdpaste.c:		Must change both the grid pad and the default pad in this application.

2011-10-17	pwessel
	* gmtapi*.[ch]:		API modified to eliminate any void ** references or variables.
				API abstraction-layer functions now take void * instead and no
				casting to void * takes place, letting the compiler know what is
				going on.  Memory alloc/free macros changed similarly.
	* surface.c:		The -Lu<upperfile> instead applied the -Ll<lowerfile>.

2011-10-16	pwessel
	* triangulate.c:	Added -S to write triangle polygons and -Z to control use
				of z-column.

2011-10-16	remko
	* gmt_init.c:		Do not write "empty" .gmtcommands

2011-10-14	pwessel
	* test/meca:		Added new meca_5.sh test from Vala Hjorleifsdottir

2011-10-11	fwobbe
	* gmt2kml.c:		Fixed an array that was accessed past its end

2011-10-10	remko
	* xyz2grd.c:		Implemented -Am (mean, default) and -Ar (rms)

2011-10-10	pwessel
	* gmt_io.c:		Crashed if a segment header was followed by a comment record.

2011-10-05	fwobbe
	* gmt_init.c, gmt_esri_io.c, spotter/originator.c, gmt_support.c:
				Fixed bugs, uninitialized values and wrong casts.

2011-10-05	jluis
	* grdpaste.c:		Now works also with pixel registered grids with both cases of
				an actual repeated row or column (one ell overlap) or when both
				-R share a common edge. Added two tests under test/grdpaste
				to test this new features.

2011-10-01	remko
	* xyz2grd.c:		Only request 2 columns when using -An.

2011-09-30	fwobbe
	* common_options.txt:	Added missing '[' in GMT_i_OPT.
	* gmt_init.c:		Code cleanup. Fixed issue with content aware src
			  	editors. Moved definitions to top. Fixed GMT_MSG_FATAL report and
				verbosity level during init.

2011-09-27	remko
	* gmt_colors.h:		Missing () in GMT_s255 macro caused possibly wrong results.
	* gmt2kml.c:		Color indices had int() instead of rint().
	* test/psxy/gaps.sh:	Make reference gaps.nc in advance.
	* test/x2sys/x2sys_5.sh:Reduce decimals to 2 to avoid rounding differences.

2011-09-23	fwobbe
	* gmtswitch:		Allow comments in ~/.gmtversions
	* configure.ac, gmt_version.h.in, gmt_version.c, GNUmakefile:	Set
				svnversion in configure.ac. Fallback solution if tree
				was exported from svn and does not contain metadata.

2011-09-23	jluis
	* pslib.c:		PSL_free_nonmacro was actually not freeing any memory.

2011-09-23	pwessel
	* gmt_init.c:		Fixed memory leaks pointed out by Florian Wobbe.

2011-09-23	remko
	* project.c(oblique_setup):	Return clat,clon in only when !c_given.

2011-09-23	fwobbe
	* pslib.c, gmt_plot.c, grdimage.c:	Fixed a memory leak in GMT_export2proj4

2011-09-23	jluis
	* grd2xyz.c:		Make -S option work in GMT_COMPAT mode.

2011-09-22	remko
	* psclip.c, pscoast.c, grdcontour.c:	Changed order GMT_plotcanvas and
				GMT_plane_perspective.
	* gmt_plot.c:		Added a new way to determine the edges of a plot when circular.

2011-09-21	pwessel
	* pstext.txt:		Removed old -S from examples

2011-09-21	fwobbe
	* filter1d.c:		Fixed a bug that caused incomplete output of successive
				segments. Cleaned up code (use prefix operator). Removed
				expensive while constructs to speed up large start/stop
				times in -T
	* gmtconvert.c:		Prevent memory access violation in GMT_report
	* pswiggle.txt:		Removed old option -N from synopsis

2011-09-21	remko
	* common_options.txt:	Added missing -Xf, -Yf
	* pscoast.c:		Set default fill colour to same as set by -B+g
	* test/pscoast/{placement,pseudo}.sh:	New tests by Ken McLean

2011-09-20	pwessel
	* meca:			Added missing -A to the synopsis of psvelo.c

2011-09-20	fwobbe
	* {dbase,gshhs,imgsrc,meca,mgd77,potential,segyprogs,sph,spotter,x2sys,}Makefile:
				Add rm -rf *.dSym to clean targets. Do not generate dSYM
				files in bindir and libdir: dsymutil cannot create symbol
				files without object file present (CC invoked without -c).
	* gmt_gdalwrite.c:	Avoid tiling small GTiffs

2011-09-18	remko
	* grdimage.c:		Avoid segfault when not reading grid through GDAL.
				(Thanks, Florian)

2011-09-15	remko
	* gmt_init.c:		Produce error report when non-common option found by
				GMT_default_error.
	* *_func.c:		Renamed to *.c

2011-09-15	pwessel
	* *.c:			Change module interface to one flavor:
				GMT_module (API, mode, args) to avoid having separate
				GMT_module and GMT_module_cmd wrappers.  This eliminates
				the need for the gmt_module.c and gmt_<suppl>.c files.

2011-09-12	remko
	* configure.ac:		Do not unnecessarily overrule CFLAGS.

2011-09-08	remko
	* ps2raster_func.c:	Add -TE option to include /PageSize in EPS.

2011-08-30	jluis
	* gmt_plot.h:		More Voodoo. If the "char string[GMT_TEXT_LEN64];"
				is not the first member in the GMT_SYMBOL struct than
				psxy -Sl<size>/Text will have corrupt 'Text'in non-debug
				binaries compiled with VS2010.

2011-08-29	remko
	* gmt_init.c gmt_error.h:	Let GMT_report product return value of 1.
	* configure.ac:		When --includedir is specified, do not automatically add /gmt.

2011-08-28	pwessel
	* pstext_func.c:	Stated one needed to use psclip -Ct but it was -Cs
	* psclip.txt:		Fixed old -C syntax in synopsis.
	* gmt_io.c:		The GMT_not_numeric function failed to consider the
				trailing units, e.g., -0.2c.  This tripped up gmtset.

2011-08-27	pwessel
	* gmtselect_func.c:	Did not return to read after finding a table header
	* gmt_support.c:	Reduced the verbosity level of contouring -Gd messages
				to require -V3 as it is too detailed and repetitive for -V2.

-----------------------------------------------------------------------------------------
2011-08-26	pwessel
	GMT 5.0.0b finalized and released.
-----------------------------------------------------------------------------------------

2011-08-26	remko
	* pslib.c:		Made PSL_comment and PSL_command functions instead of macros
				for all platforms
	* gmt_init.c:		Made GMT_message and GMT_report functions instead of macros
				for all platforms

2011-08-25	remko
	* configure.ac:		Fixed bug in finding pkg-config

2011-08-25	pwessel
	* grdtrack_func.c:	Added -N to NOT skip points outside grid domain.

2011-08-24	jluis
	* gmtapi_util.c:	A bit of voodoo programming to make vanish some tests crash on Windows

2011-08-24	pwessel, remko
	* gmtswitch:		Added man page in src, and script moved to src.

2011-08-24	remko
	* gmt_version.c:	Introduced new function GMT_version() to generate version number.
	* *_tests.sh:		Now using graphicsmagick instead of imagemagick for compare.

2011-08-23	pwessel
	* guru/install_gmt.sh:	Now offers option to set PCRE libs or disable.
	* gmt_init.c:		New parameter GMT_TRIANGULATE which selects the triangulation
				algorithm to use (Watson or Shewchuk). The latter is only
				available if --enable-triangle was used during configuration.

2011-08-20	pwessel
	* psrose_func.c:	The -C with no file still looked for a file.
				do_fill was not initialized, could case black fill.
				Baseframe was not drawn when -B was set.
	* test/psrose:		Added test script for psrose

2011-08-17	jluis
	* gmtconvert_func.c:	Added (optional) PCRE support on Windows.
	* gmtinstall.bat:			" "

2011-08-11	pwessel
	* gmtmath_func.c:	The EXCH should just swap data set pointers.
	* grdblend_func.c:	Pass -R to grdsample/grdreformat to only deal with smallest region.
	* mapproject_func.c:	Using just -Gc on Cartesian data now leaves coordinates alone.

2011-08-11	remko
	* gmtconvert_func.c, configure.ac:	Added PCRE (regular expression) support.
				Thanks to Florian Wobbe.

2011-08-02	pwessel
	* gmt_fft.c:		Started groundwork to enable FFTW, Accelerate framework,
				Sun Performance library, and FFT Pack configurations.
	* gmt.conf:		New parameter GMT_FFT which selects what FFT implementation
				to use in programs like spectrum1d and grdfft.  For now
				set to brenner [GMT4] since others are not tested.

2011-07-28	pwessel
	* gmt_support.c:	Pens like brown,- (i.e., no width) did not set the color.

2011-07-27	pwessel
	* gmt_io.c:		Ensure that comment records that are written always start with #

2011-07-27	remko
	* guru/svnclean.sh:	Renamed from cvsclean.sh and based on .svn directories
	* GNUmakefile, Makefile:	Replaced cvs traces by svn
	* pslib.c:		Use SVN revision number in psl_bulkcopy

2011-07-26	remko
	* doc/GMT_version.tex.in:	Added \GSHHSVERSION
-----------------------------------------------------------------------------------------
2011-07-24	pwessel
	Now under subversion control under repository name gmt5.  To check out a copy:
		svn checkout svn://gmtserver.soest.hawaii.edu/gmt5 or, for a "trunkless" copy:
		svn checkout svn://gmtserver.soest.hawaii.edu/gmt5/trunk gmt5
-----------------------------------------------------------------------------------------
2011-07-21	pwessel
	* project_func.c:	Fixed same bug as in GMT 4 and added test oblique.sh

2011-07-20	pwessel
	* fitcircle_func.c:	Had not implemented the fixed small circle -S<lat> solution.
				Added test example for fitcircle.

2011-07-19	pwessel
	* sph/*.[ch]:		Upgraded to be fully 64-bit compliant.
	* gmt*.c:		Make sure we don't pass ints to funcs expecting GMT_LONG.

2011-07-18	pwessel
	* gmtconnect_func.c:	Warn that segment with a single point will not connect both
				ends properly - you will need to rerun the task on the new
				sets of segments.  We now give a warning.
	* grdhisteq_func.c:	Fixed porting bugs for -D; also allow -D<file> instead of just
				writing to stdout.

2011-07-15	pwessel
	* gmt2kml_func.c:	The -C option now also applies to lines or polygons; use
				with -W-|+ to control if cpt is used for fill, outline or
				both.  If no -W then no outline for polygons.
	* gmtconvert_func.c:	Enhanced -I[tsr] to reverse tables, segments or records,
				in any combination [Default -I becomes -Ir].

2011-07-14	pwessel
	* sph/sphtriangulate_func.c:	Passed lon,lat instead of lat,lon to GMT_geo_to_cart
				which would affect the -A option only.
	* gmt_io.c:		Try to minimize size of allocations/reallocations in GMT_read_table
				by adjusting to actual segment sizes found.
-----------------------------------------------------------------------------------------
2011-07-14	pwessel
	NOTE: * GMT 4.5.7 finalized and released.
-----------------------------------------------------------------------------------------
2011-07-14	pwessel
	* pslib.c:		The @-, @+, @# would reset size to the original font size, ignoring
				any changes any @:<size>: sequence would have made.  Also, when
				@:<size>: was used the derived sizes for sub/super were not updated.

2011-07-14	remko
	* pslib.[ch]:		Made PSL_comment a function for WIN32.

2011-07-11	remko
	* website:		Updates ported from GMT4.

2011-07-07	pwessel
	* pscoast_func.c:	Added river groups A and R which equals a and r except they
				do not include the river-lake features (which are plotted
				as polygons anyway).

2011-07-06	pwessel
	* spotter/gridspotter_func.c:	Fixed porting bugs and added spotter_7.sh as test.
	* gmtvector_func.c:	Fixed several bugs and added some enhancements.  Now has
				a few test scripts in the test dir.

2011-07-05	jluis
	* gmt_init.c:		Add GMT_equal_double|float functions to compare floats after
				www.cygnus-software.com/papers/comparingfloats/comparingfloats.htm
				For the time being they are only used in greenspline.

2011-07-05	pwessel
	* tests:		Added api test for images and a new kml dir with tests for
				gmt2kml and kml2gmt.  Also added tests for x2sys_binlist,
				rotconverter, and gmtspatial.

2011-07-04	pwessel
	* gmtapi_util.c:	Fixed lots of errors for the i/o involving sources and destinations
				not used by the GMT modules (e.g., memory to memory, memory to file,
				etc.)  Added api test suite for this purpose.

2011-06-28	pwessel
	* gmtconnect_func.c:	Fixed some porting bugs.  Got connect.sh example to run.
	* sph/sphdistance_func.c:	Fixed some porting bugs.  Got all sph examples to run.

2011-06-27	pwessel
	* gmt_io.c:		If the IO_SEGMENT_MARKER is given as B or N then we consider
				blank lines or NaN records as segment breaks, respectively.
				To actually use a B or N as segment marker, escape them with
				a leading backslash.

2011-06-25	jluis
	* gmtswitch.bat:	The Windows version of the *nix gmtswitch script

2011-06-23	pwessel
	* gmt_shore.c:		Now reads new GSHHS 2.2.0 format that includes feature areas
				stored as doubles.  The old int(0.1*area) would set all
				areas < 0.1 km^2 to zero [only affected gshhs supplement].
	* gshhs/gshhs_func.c:	Updated to handle GSHHS 2.2.0.  Fixed porting bugs.  Also added
				-Amin to exclude smaller polygons on output [suggested by José
				Luis García Pallero], as well as -Q to control output of river-lakes
				and -N to control which levels to get.  Octave/Matlab format can be
				natively requiested in GMT using

2011-06-23	remko
	* gmt_init.c:		Introduced MAP_TICK_LENGTH_{PRIMARY,SECONDARY} to set major
				and minor primary and secondary ticks. Replaces MAP_TICK_LENGTH.
				Introduced MAP_TICK_PEN_{PRIMARY,SECONDARY} to replace MAP_TICK_PEN.
	* gmt_keywords.*:	---"---
	* gmt_conf.*:		---"---
				Changed map font sizes to 12p,14p,16p,24p (from 14p,16p,24p,36p).
	* *.ps:			Updated to conform to new defaults.

2011-06-22	jluis
	* s_rint.c:		(for) Windows rint function that does ieee compliant rounding like GCC

2011-06-22	remko
	* gmt_map.c:		Now, for lat/lon plots, when using e.g. -Bag, sets the automatic
				intervals the same in both directions (unless you use -Bag/ag).
				Also 'g' follows 'f', unless in consort with 'a', then follows 'a'.

2011-06-21	jluis
	* gmtinstall.bat:	It now builds also the supplements and put all dlls
				supplements inside the main gmt.dll.

2011-06-21	pwessel
	* pslegend_func.c:	Append +r[<radius>] to -F to get a rounded rectangular border.
				Also added +i[<gap>/]<pen> for an secondary (inner) frame,
				+p<pen> to specify the pen used for main frame, and +s to
				add a shifted background shaded rectangle.
	* grdhisteq_func.c:	Fixed porting bugs and added test script.

2011-06-21	remko
	* pslib.[ch]:		Added rounded rectangle symbol PSL_RNDRECT ('R').
	* PSL_prologue.ps:	---"---
	* psxy[z]_func.c:	---"---
	* explain_symbol.txt:	New shared file for psxy[z].txt.
	* gmt_init.c:		Redesign gmt_decode_tinfo in advance of allowing empties.
	* *.c:			Removed axis items GMT_INTV_UPPER and GMT_INTV_LOWER (interval
				annotation is determined by 'type' in GMT_PLOT_AXIS_ITEM struct).
	* gmt_map.c:		Added GMT_auto_frame_interval to determine annotation, tick and
				grid interval when left blank.
	* psscale_func.c:	---"---
	* explain_-B_full.txt:	Explain new use of -Bafg.

2011-06-20	remko
	* gmt_notunix.h:	Only define PATH_SEPARATOR (as char), not also PATH_DELIM.

2011-06-19	pwessel
	* *.c:			Eliminated DIR_DELIM since '/' works for all systems.
				Added WIN32 check to turn /x/dir into x:/dir paths
	* pslegend_func.c:	Enhanced -D to allow for clever offsets away from given origin.

2011-06-18	pwessel
	* grdpaste_func.c:	Fixed porting bugs, JL added test case that now works.

2011-06-16	pwessel
	* gmt_io.c:		Like for segment header, turn on -ho when a header is read.
	* sample1d_func.c:	The spatial resampling had a porting bug.
	* greenspline_func.c:	Fixed a few porting bugs, added several tests to suite.

2011-06-14	pwessel
	* sph:			Added test suite for the sph programs.  Mostly works.

2011-06-14	jluis
	* gmt_support.c:	qsort_s (Windows) uses a mix of the ordering mess between GNU and BSD

2011-06-13	pwessel
	* gmt_support.c:	Even the order of args to the compare function in qsort_r
				is permuted between BSD and GNU... [See 2011-05-28 entry].
	* spotter:		Added spotter test examples - fixed porting bugs.

2011-06-13	remko
	* gmt_support.c:	Use defs GMT_{INSIDE,ONEDGE,OUTSIDE} from gmt_support.h
				instead of local defs GMT_{INSIDE,ONSIDE,OUTSIDE}_POLYGON.
				GMT_get_primary_annot moved to gmt_plot.c (made local).
	* gmtselect_func.c grdlandmask_func.c:	Use defs GMT_{INSIDE,ONEDGE,OUTSIDE} from
				gmt_support.h instead of local defs P_IS_{INSIDE,ONSIDE,OUTSIDE}.
	* gmt_io.c (gmt_prep_ogr_output):	Likely bug fix: used GMT_IS_INSIDE (2)
				instead of GMT_INSIDE (1) when determining polygon holes.
	* gmt_project.h, gmt_map.c:	Renumbered GMT_IS_{FANCY,PLAIN,INSIDE,GRAPH,ROUNDED}.
	* gmt_init.c:		No more negative annotation offsets and tick lengths.
	* gmt_plot.c:		Complete reworking of linear frame annotations.
	* pslib.h:		Back to 1200 DPI.
	* gmt_project.h, *.c:	Renamed GMT->common.map.frame.plot to GMT->common.map.frame.init
				to avoid confusion with GMT->common.map.frame.draw.
	* gmt_init.c:		Removed GMT->common.B.set (is same as GMT->common.map.frame.init).
	* pshistogram_func.c:	Bug fix: make frame appear again when auto-determining box.

2011-06-12	pwessel
	* gmt_io.c:		Do recursive directory search when the given directory
				(e.g., via GMT_DATADIR or GMT_USERDIR) ends in a slash
				[Under GMT_COMPAT we honor original scheme of appending *].
	* x2sys:		Fixed many porting errors, added x2sys test scripts based
				on Wessel [2010] publication figures, and make them pass.

2011-06-10	pwessel
	* gmt_map.c:		Clip path for van Grinten was wrong for global maps.

2011-06-09	remko
	* gmt_plot.c:		Use map_title_offset also in 3-D (instead of fixed 0.5 inch)
				Skip annotation on z-axis that coincides with z-level.

2011-06-08	pwessel
	* xgrid/xgrid_Panner.c:	Eliminate "cast to pointer from integer of different size"
				by casting the value via (ptrdiff_t) [Thanks to L. Parkes].
	* doc/examples:		Colorized and updated some older examples

2011-06-07	pwessel
	* gmt.conf:		No longer a PS_DPI setting in GMT since we use a fixed 7200.
	* -B:			Now accepts +g<fill> to paint the canvas before plotting.
				Makes psbasemap -G<fill> obsolete.

2011-06-05	pwessel
	* nearneighbor_func.c:	For global region in longitudes, cannot extend w/e limits
				as we do for Cartesian and region-limited areas.
	* gmt_init.c:		Moved the PSL_beginsession call to GMT_plotinit so that the
				any --PS_* defaults have been parsed.

2011-06-05	jluis
	* gmtmath.c:		New operator DIFF that works similar to the function with the
				same name in Matlab.

2011-06-04	pwessel
	* gmt_plot.c:		Eliminated notch in corners of linear map frames and color bars.
	* psscale_func.c:	Make triangular extension be seamless with the rest of bar outline.

2011-06-02	pwessel
	* psscale_func.c:	Enhanced -E to accept optional +n[<label>] which will
				plot a NaN-color rectangle at the start of the bar, and
				label it with <label> [NaN].

2011-06-02	pwessel
	* grdfilter_func.c:	Added rectangular filtering and automatic resampling to
				input resolution for high-pass filters.  Added impulse
				response script to test suite.

2011-06-02	remko
	* pslib.c:		Smarter version of psl_shorten_path produces more straight
				line segments.
	* test/*/orig/*.ps, doc/fig/*.ps:	Updates as result of psl_shorten_path change.
	* psxy[z]_func.c:	Corrected inadvertent scaling of angles when PROJ_LENGTH_UNIT=cm
	* grdsample_func.c:	Fixed several bugs related to wrapping of periodical grids.

2011-06-01	pwessel
	* grdedit_func.c:	The -N option did not consider replicate w/e points for
				gridline-registered grids.
	* gmt_support.c:	Added check to report if repeating east/west duplicate
				nodes in global gridline-registered grids are in fact
				not identical.
	* grdcontour_func.c:	Improving detection of closed contours that should be ticked
				and marked (via -T) when such contours cross periodic boundaries
				or are polar caps.

2011-06-01	remko
	* gmt_init.c:		Default scale in -i option should be 1, not 0.
	* pswiggle_func.c:	Added [-|=|+] to prepend to -G option to select fill for
				positive AND/or negative wiggles. Made -N option obsolete.

2011-05-31	pwessel
	* grdfilter_func.c:	Added some test/debug options under DEBUG mode.
				Convolution weights were y-transposed so gave wrong results
				at/near the poles for spherical filtering.  Also, some nodes
				were duplicated in the convolution, resulting in inconsistent
				values at the S or N pole.  Added test script.
	* grdlandmask_func.c:	Did not correctly truncate nodes for GSHHS bins with no data.

2011-05-31	remko
	* psscale_func.c:	Bring frame line back when annotation is not done with -B.
	* gmt_io.h:		Consistent naming of GMT_IO_SEG_HEADER and GMT_REC_IS_SEG_HEADER.
				Consistent naming of GMT_IO_TBL_HEADER and GMT_REC_IS_TBL_HEADER.

2011-05-30	pwessel
	* gmt_stat.c:		Added functions GMT_median_weighted and GMT_mode_weighted
				based on algorithms from blockmedian/mode.  These will be
				used in grdfilter for spherical operations.

2011-05-29	pwessel
	* grdblend_func.c:	Use different temp names to avoid non-POSIX mktemp.

2011-05-28	pwessel
	* gmt_support.c:	Due to different argument order for qsort_r in BSD vs glibc
				we needed to add wasteful $ifdefs to deal with this stupidity
				as *contour crashed under non-BSD system in qsort_r.

2011-05-26	pwessel
	* gmt_map.c:		GMT_wesn_clip needed to adjust longitudes to fit the given domain.
	* grdblend_func.c:	Must carefully set region passed to GMT_grdsample.
	* grdsample_func.c:	Must handle any +-360 offsets between header and -R for geo grids.
	* spotter/grdrotater_func.c:	Incorrectly used last segment min/max and not table min/max
				to determine rotated grid extent. Do not sample outside polygon.
	* psxy[z]_func.c:	For -Sm, if -G not set, copy color from -W since this symbol needs
				both fill and pen to work.

2011-05-25	remko
	* pslegend_func.c:	Label (L) should have default font FONT_LABEL, not FONT_TITLE.
				Default font color was not maintained in output of L or H.

2011-05-25	pwessel
	* grdblend_func.c:	Fixed read error in info file, and the phase check.
				Added blend.sh script to test suite.
				Needed better longitude test to determine overlap.
	* grdinfo_func.c:	Needed to free grid between files to reset header.
				Improved selecting correct lon-range formatting.
	* spotter/grdrotator_func.c:	Ensure output has same grid spacing.

2011-05-24	remko
	* psscale_func.c:	Overrule MAP_FRAME_AXES default; make it WESN.
				Do not double plot the frame line along the annotated axis.
				Let WESN setting on -B work properly with -A.

2011-05-24	pwessel
	* nearneighbor_func.c:	The -N1 selection did not reset the minimum sector setting to 1.
				Improved node-search using common machinery in gmt_support.c
	* grdmask_func.c:	Improved node-search using common machinery in gmt_support.c
	* psmask_func.c:	---"---
	* gmt_support.c:	Determine half-widths/heights for node search used in several modules
	* gmt_map.c:		Give -V3 warning if a radius unit turns geographic mode (-fg) on.
	* spotter/grdspotter_func.c:		Fixed porting errors.

2011-05-22	pwessel
	* *_func.c:		Made sure usage message matches the man pages.

2011-05-21	remko
	* test/grdimage/gdal:	Moved images in here to avoid deleting needle.png on "make spotless"

2011-05-20	jluis
	* gmt_notunix.h:	Remove #define HAVE_SINCOS 1 for Intel compilers because it's extremely slow.

2011-05-20	remko
	* gmt_io.c:		Fixed bug in parsing segment headers (did not allow empty argument after option).
	* gmt_math.h:		No longer include gmt_notposix.h (moved to gmt.h and pslib.c).
	* pslib.c, gmt.h:	For logical reasons, include BOTH gmt_notunix.h, then gmt_notposix.h.
	* gmt_notunix.h:	No longer define SET_IN_NOTUNIX, but simply define _GMT_NOTPOSIX_H.
	* gmt_constants.h:	Introduced constants GMT_BIGENDIAN (0/1), GMT_ENDIAN ('L'/'B').
	* pscoupe_func.c:	Numerous updates to GMT5.

2011-05-19	remko
	* pslib.c, pslib_f77.c:	Split off Fortran bindings
	* pslib.c, gmt_support.c:	Make new *_putusername routines, returning "unknown" on WIN32.
	* gmt_notposix.h:	Properly use #undef HAVE_<func>, instead of #define HAVE_<func> 0
	* *.[ch]:		Changed accordingly (needs #if defined() now)
	* *.sh:			Replaced contour label spec +s and +k by +f
	* *contour_func.c:	---"---
	* gmt_notposix.c:	Gathering of all non-POSIX replacements (from gmt_stat.c)
	* gmt_math.h:		Removed unnecessary GMT_ from GMT_<func> replacements.

2011-05-18	remko
	* *.tex:		Removed .gmt_bb_info; replaced {\it} by \emph{} and {\bf} by \textbf{}.
	* gmt_init.c:		Two routines GMT_parse_[X|Y]_option replaced by single GMT_parse_XY_option.
				-X and -Y option now support modifiers a|c|f|r, treated separately!
	* explain_-XY*.text:	---"---
	* test/psbasemap/origin.sh:	Test new -X and -Y functionality.
	* *.sh, *.bat:		Replaced -B0 with -B/ and -B0g<value> with -Bg<value>.
	* pslib.h:		Removed EPS struct.
	* pslib.c, gmt_plot.c:		PSL_beginplot now has title and font_no arguments (Fortran too) instead of eps.
	* configure.ac, website/*:	Removed --enable-eps setting.
	* gmt_defaults.h, gmt.conf.in:	Removed PS_EPS setting.
	* functions.sh, gmt_init.c:	---"---
	* gmt_keywords.txt:	Moved PS_EPS and PS_COPIES to gmt_keywords.d

2011-05-18	jluis
	* psimage_func.c:	Now is able to plot also indexed images imported via GDAL

2011-05-17	pwessel
	* grdcontour_func.c:	New contour label modifier +t|T[<file>] to save label locations to file.
	* pscontour_func.c:	---"---
	* psxy_func.c:		New quoted line label modifier +t|T[<file>] to save label locations to file.
	* psxyz_func.c:		---"---
				This feature can be used to plot contours or quoted lines in KML with
				annotation labels via gmt2kml.
	* gmt2kml_func.c:	Use -I- to turn symbol plotting off (just plot label).

2011-05-17	remko
	* pslib.*:		Changed PSL_beginplot to no longer mention "absolute" positioning,
				but use "origin" to specify the origin of the offset ('r', 'a',
				'f', 'c') for each direction.
2011-05-16	remko
	* pslib.*:		Adjusted description of PSL_beginplot argument "absolute" so it conforms
				to the actual workings (reset moved at end).
2011-05-16	pwessel
	* *.[ch]:		Clarified what is the lower-level GMT API for module development:
				Functions in gmt_prototypes.h; all expects the GMT control pointer.

2011-05-15	remko
	* gmt_nc.c:		Ignore reading of node_offset attribute. Registration is now
				based on match between actual_range attributes and coordinate arrays.

2011-05-13	pwessel
	* gmtapi_util.c:	Added a garbage collection function that is run once a module
				is finished (to free any remaining memory used by the module)
				as well as when the session finishes (remove remaining memory).

2011-05-13	remko
	* gmt_init.c, gmt_plot.c:	Moved clip level information from .gmt_bb_info to
				.gmtcommands. Also ensured proper transferral of this info between
				modules.
	* gmt_support.c (GMT_*_BC_set):	Built in cludge to allow grids with nx and/or ny = 1
	* gmtapi_utils.c, gmtapi.h:	API struct incorrectly had PSL component, which was also
				run through PSL_endsession. But PSL is actually part of GMT struct
				and should be deallocated with PSL_endsession in GMT_end.

2011-05-11	jluis
	* grdimage_func.c:	Now reads also indexed and gray scale images.
				Use white for NaN color in images written with gdalwrite.
	* gmt_gdalwrite.c:	When known, save projection info in GeoTiff files.

2011-05-09	pwessel
	* minmax_func.c:	Now honors the column-specific formatting.
	* grdinfo_func.c:	---"---
	* grdfft_func.c:	Now -D scale is 1 by default.  Fixed porting bugs.
	* grdimage_func.c:	When image is grayscale and -Q is used then image must be
				converted to 24-bit and we set NaN color to a non-gray value.
	* psbasemap_func.c:	The -L now works for plain scales also.
	* gmt_support.c:	Only apply grid and image BCs on sides not set with extended data.

2011-05-08	pwessel
	* *.c:			All deprecated options under #ifdef GMT_COMPAT now will give
				information about the new option.

2011-05-07	pwessel
	* gmt_grdio.c:		Failed to create proper old-style v3 netcdf file if selected
				for the output in grdblend.
	* gmt_agc_io.c:		Needed char floatvalue[PARAMSIZE+1], with the 1 to hold final \0
	* grdblend_func.c:	Now supports all grid formats either directly or via reformatting.
	* gmt_*.c:		All non-public functions start with gmt_ rather than GMT_.

2011-05-05	pwessel
	* gmtconvert_func.c:	The -T was applied before reading, which reset -m.
	* mapproject_func.c:	The -L would set output types as lon/lat even for Cartesian data.

2011-05-04	pwessel
	* gmtapi_util.c:	Set BCs for all grids regardless of read-source, even if
				read-only (REF) since we don't change grid, just the pad
				which is not considered part of the data.
	* imgsrc/img2grd_func.c:	Made clear that -D, -I, -T are optional and added
				-n to change how interpolations are done.  Also allow -S
				with no scale which will infer scale from filename.
	* splitxyz_func.c:	Now working, improved -N after gmtconvert's -D.

2011-05-03	pwessel
	* grdhisteq_func.c:	Now treats input grids as read-only.
	* greenspline_func.c:	Now treats input grids as read-only.
	* grdfft_func.c:	Now treats input grids as read-only.
	* grdvolume_func.c:	Now treats input grids as read-only.
	* grdvector_func.c:	Now treats input grids as read-only.
	* pstext_func.c:	The -A can reset the text angle but also needs to reset justification
	* grdfilter_func.c:	Bad col_in set as i_orig was reset incorrectly.

2011-05-03	jluis
	* trend1d_func.c:	Added -F...|p as an option to output only the model coefficients

2011-05-02	pwessel
	* gmt_init.c:		FORMAT_FLOAT_OUT can now be used to set column-specific
				formats using comma-separated <cols>:<format> specifications.
				The last format without leading <cols>: overrides the default
				format for all unspecified columns.
				The -h[i|o][<n>] option now works for binary files where <n>
				is interpreted to be the number of bytes to skip/pad.
	* gmtmath_func.c:	Added NORM which scales A so max-min == 1.
	* grdmath_func.c:	Added NORM which scales A so max-min == 1.

2011-05-02	remko
	* gmt_init.c:		Fixed problems with custom page size.
	* pslib.c:		Removed incorrect increase count of clipping when placing
				curved labels.

2011-05-01	pwessel
	* job03.sh:		Replaced complicated awk scripting with gmtmath to ensure
				we get the common sampling range which changed by a tad
				due to the bug in project.
	* gmt_init.c:		New -b syntax to allow for mixed-type records on i/o.
	* gmt_io.c:		New binary i/o processing to allow separate types for each column.

2011-05-01	remko
	* test/grdview/icelandbox.sh:	New test case based on query by Peter Schmidt.
	* scripts/*.sh:		Replaced ". functions.sh" by ". ./functions.sh" to avoid problems
				with people who do not have . in their PATH. E.g., Ubuntu.
	* gmt_io.h:		Removed define GMT_native_binary
	* gmt_common.h:		Removed common.b.netcdf and put common.b.varnames under GMT_COMPAT
	* gmt_io.c, gmt_init.c:	Option -bic no longer refers to netCDF files. -bic?varnames still
				allowed for backwards compatibility; use file?varnames instead.
				NetCDF table file automatically recognised.

2011-04-29	remko
	* job04*.sh:		Made ex 4 and 4c more similar and rotated color bar.
	* grdview_func.c:	Removed grdview_init_setup because it produces unexpected results.

2011-04-28	remko
	* grdview_func.c:	Removed grdview_init_setup because it yields unpredictable
				results and prevends lineup of different 3D plots.

2011-04-28	pwessel
	* gmt_constants.h:	Declare and use GMT_BUFSIZ 4096 throughout.

2011-04-27	pwessel
	* gmt_map.c:		Store projected min/max in meters in current->rect_m[].
	* spotter/grdrotater_func.c:	Ensure that output grid xmin/xmax honors the current
				FORMAT_GEO_OUT range settings.
	* mapproject_func.c:	Used GMT_IN instead of GMT_OUT in output format of longitudes.
	* project_func.c:	Added modification -Gdist/lat to generate small circles of given
				lat that goes through points set by -C and -E.
				Bug: The original -G -T combination failed to produce great circles.

2011-04-27	remko
	* gmt_customio.c:	Now contains grid format descriptions and IDs.
	* Grdformat.txt, gmt_grdformats.h, grdinfo.h, grdreformat.h:	Removed, no longer needed.
	* gmt_grdio.c:		Better handling of grids off by 360 degrees in longitude.
				Included in magic: look if grid can be read by GDAL.
	* gmt_gdalread.c:	Added GMT_is_gdal_grid.
	* gmt_plot.c:		Rotate annotations by 180 degrees when "seen from North" in 3D.

2011-04-26	pwessel
	* grdblend_func.c:	Can now take a list of grids (e.g., *.nc) instead of the
				blendfile when all weights should be 1 and the interior
				region should be set to the gridfile region.

2011-04-26	remko
	* test/grdview/cuerpo.sh:	New test based on query by Eduardo Suarez.
	* gmt_grdio.c:		GMT_adjust_loose_wesn failed on grid with lon bounds both < 0.
	* gmt_grdkeys.h:	Contains #define GMT_GRD_IS_??, automatically numbered.

2011-04-26	jluis
	* grdimage_func.c:	Replaced -d & -F by -A<file>=driver
	* gmt_gdalwrite.c:	New function to write files via GDAL (very little testing)
	* gmt_gdalread.h:	Add new struct to interface with GMT_gdalwrite
	* grdimage_func.c:	Add new (still undocumented) options -d & -F to allow saving
				images directly in raster formats via GDAL.

2011-04-26	pwessel
	* gmt_support.c:	All boundcond functions modified as old structs EDGEINFO and
				BCR are simplified into a few parameters in the GRDHEADER,
				eliminating overhead.
	* gmt_grdio.c:		Grid boundary conditions are applied immediately after the read
				stage, so all program reading grids will have correct boundary
				rows/cols already set.
				Now we use data BCs is at least one of the edges in a subset grid
				can be extended to include original data.
	* *.c:			All programs needing grid interpolation no longer have to explicitly
				parse, init, and set boundary conditions.

2011-04-25	remko
	* grdimage_func.c:	Add half a cell at edge when projecting pixel grid.
	* gmt_map.c:		When longitude spans 360 in Lambert projection, set is_world = TRUE.
	* gmt_grdio.c (GMT_grd_setregion):	Keep grid longitude range when map.is_world.
	* gmt_grd.h:		Restrict GMT_is_subgrid to actual subgrids.
	* gmt.txt:		Added -n option.
	* explain_-n_full.txt:	Fixed typos, fixed wrong GMT_n_OPT
	* gmt_plot.c, gmt_support.c:	Removed GMT_grid_clip_*.

2011-04-25	jluis
	* gmt_map.c:		Removed GMT_grdproject_init in favor of GMT_project_init
				that takes as second input a GRD_HEADER pointer instead of
				pointers to GMT_GRID or GMT_IMAGE containers.
	* grdimage_func.c:	When illuminating an image if -R is not set use grid limits

2011-04-24	pwessel
	* gmt*.c:		Introduced common option -n[b|c|l|n][+a][+b<BC>][+t<threshold>]
				that can be used to change grid interpolation parameters.
				Replaces a mix of -S, -Q, -L options across many programs.
				Those -L -Q -S options are still processed under compatibility mode.
	* Option -s:		New modifier a (i.e., -sa) to suppress output of any data record
				where one or more fields equal NaN.
	* grdtrack_func.c:	Replaced -S with common option -sa (backwards compatible).

2011-04-24	remko
	* GMT_App_N.sh:		Remove GMT_Appendix_N_1.tex when empty.
	* gmt_grdio.c (GMT_grd_setregion):	Return value now 0, 1, 2 instead of 1, 0, 0;
				Hence add ! before GMT_grd_setregion where it was used before.

2011-04-24	jluis
	* grdimage_func.c:	Accepts to illuminate an image read via GDAL with an
				illumination grid computed with grdgradient.

2011-04-23	pwessel
	* example 28:		Now use clever smaller font-size for trailing 000s in UTM
				annotation (thanks to Florian Wobbe).
	* GMT_Frontmatter.tex:	Use new GMT team group photo in the Acknowledgement pages.

2011-04-22	pwessel
	* ALL:			Clarify we use GNU version 2 or any later version of license
				as we also do for GMT 4.

2011-04-20	jluis
	* grdimage_func.c:	Now reprojects images using the new GMT_img_project function.

2011-04-20	pwessel
	* xyz2grd_func.c:	Added -Af|s for just keeping the first or last value to
				be assigned to a node.  Also placed -A (no arg) under
				compatibility (it becomes -Az).

2011-04-20	remko
	* gmt_support.c:	Make GMT_grid_clip_path work with pixel oriented grids.
	* gmt_io.c:		When closing polygons, copy all columns, not just first two;
				required for 3D.
	* psxyz_func.c:		Removed needless check on open polygons;
				Plot polygon with PSL_polygon, not GMT_geo_polygons.

2011-04-19	pwessel
	* gmt_vector.c:		Now holds the Gauss-Jordan and SVD codes (num.rec) that
				were used in greenspline_func.c.  These may eventually be
				replaced by the most optimal LA code on each platform.

2011-04-18	pwessel
	* gmt_support.c:	Added GMT_boundcond_image_set for images and renamed
				GMT_boundcond_image_set to GMT_boundcond_image_grid_set.
	* gmt_map.c:		Added GMT_img_project for efficient reprojection of images.
				This will be used in grdimage soon.

2011-04-18	remko
	* grdsample_func.c:	Allow some slack in determining whether -R exceeds grid boundaries.
	* doc/fig/*.ps:		Copied all output of scripts and examples here for use with
				documentation. Remember to update this after changing any scripts
				or examples.
	* doc/{scripts,examples}/Makefile:	Now run "make failed" to just run failed tests.

2011-04-17      pwessel
	* minmax_func.c:	Did not properly reset n records after a report.
	* mapproject_func.c:	Did not accept unit c for Cartesian distances.
				Despite -G[]c or -L[]c, continued to treat input x,y as lon,lat
	* grdblend_func.c:	Now accepts -r (to set registration) and will automatically
				call GMT_grdsample to first resample any input grid that has
				another registration or grid spacing than the chosen output grid.

2011-04-16      pwessel
	* gmt_map.c:		The GMT_wesn_search did not handle periodic longitudes well,
				now replaced with proper quadrant checking as in minmax.

2011-04-15	pwessel
	* gmt_map.c:		Moved initialization of path resampling step for maps to here.
				This is used by GMT_fix_up_path to resample before plotting.
				Only programs that need to set this via options (e.g., sample1d)
				will do so explicitly.
	* gmt_plot.c:		Safer approach to fill and outline for multi-polygons with holes
				or polar caps: For these cases we always do the fill separately
				then draw the outline separately (if requested).
	* gmntspatial_func.c:	Preliminary implementation of -Ss for splitting polygons that
				straddle the Dateline.

2011-04-14	pwessel
	* *.[ch]:		Ended support for OS/2.  GMT 4 remains an option for OS/2 users.

2011-04-14	jluis
	* gmt_gdalread.c:	Fix situation when reading a subregion via GDAL
	* gmt_customio.c:	---"---

2011-04-14	remko
	* gmt_gdalread.c:	Sets grid registration of pixel registered when data type is Byte.
				We may/will need to update this later.
	* gmt_esri_io.c:	Fixed error in selecting output row when loading a binary subsection.
	* grdview_func.c:	Fixed interpolation errors when resampling intensity to drape grid.

2011-04-12      pwessel
	* configure.ac:		Added check for log2, with macro in gmt_math.h

2011-04-12	remko
	* gmt_esri_io.c:	Load GTOPO30 and SRTM30 as pixel registered grids (which they are).
	* gmt_gdalread.[ch]:	Removed C.active from GDALREAD_CTRL. Need was based on misinterpretation.
	* gmt_grdio.c:		Force pixel registration in GMT_read_image_info.
	* gmt_customio.c:	Force pixel registration in GMT_gdal_read_grd_info.
	* gmt_esri_io.c:	Put type flags in newly created "flags" variable in grid header.
	* grdreformat_func.c:	Fixed bug when using -R. Did not select region properly.
	* examples/ex32:	New example, thanks to Stephan Eickschen.
	* psimage_func.c:	Fixed bug in file_is_known.

2011-04-11      pwessel
	* grdproject_func.c:	Output grd header had wrong units when non-inch settings were in effect.

2011-04-11	remko
	* *.c:			Produce consistent messages (Warning:, Error:, Syntax error:)
	* gmt_io.h:		Introduced "enum {GMT_X, GMT_Y, GMT_Z};" to make debugging easier
	* gmt_init.c:		Allow using "c" for arcseconds in -B option in GMT_COMPAT.

2011-04-09	jluis
	* psimage_func.c:	When used with GDAL alow selecting the image's bands order via a
				my_image.jpg+b<stuff> mechanism.
				Test if image name has a +b<stuff> glued to the name.
	* grdimage_func.c:	---"---
	* gmt_grd.h:		Add a new member "pocket" to the GRD_HEADER struct
	* gmt_gdalread.c:	Fix band parsing algorithm; allow band selection with reverse ordering.
				When reading image to grid make sure only one band is processed.
	* gmt_gdalread.h:	Add a new member to GD_CTRL to hold the actual number of loaded bands
	* gmtapi_util.c:	---"---
	* gmt_grdio.c:		---"---
				Check on the "pocket" header member for info about band selection.
	* gmt_customio.c:	---"---

2011-04-07	pwessel
	* gmt_fft.c:		New and separate FFT container which will deal with
				the many ways to get a fast FFT on a particular system.

2011-04-07	jluis
	* gmt_gdalread.c:	Can store images data with BIP or BSQ interleaving.

2011-04-07	remko
	* makecpt_func.c, grd2cpt_func.c:	Use GMT_getsharepath instead of GMT_set_cpt_path.
	* gmt_support.c:	Removed GMT_set_cpt_path.

2011-04-06	pwessel
	* kml2gmt_func.c:	Now needed -mo turned on explicitly.
	* share/cpt/*:		Renamed master cpts from GMT_* to just *.
	* gmt_support.c:	Now parse categorical color tables.
	* psimage_func.c:	Use PSL to read EPS & Sun rasters, GDAL for others.

2011-04-05	pwessel
	* psxy[z]_func.c:	Can not properly paint polygons with holes as indicated by
				OGR/GMT data files.
	* gmtconvert_func.c:	The -S option can be -Sname=value to match a named aspatial values

2011-04-05	pwessel
	* grdblend_func.c:	New option -C (clobber mode) which only lets one input grid
				to determine the values for a node; no weighting/tapering takes
				place.  Four clobber modes are (f) first grid, (o) last grid
				overrides all, (l) lower value, and (u) upper value.

2011-04-04	jluis
	* gmt_init.c:		Apply a workaround to the test of  access to 'GMT_TMPDIR' that
				made the Win 64 bits version crash when that env variable was set.

2011-04-03	pwessel
	* grdfilter_func.c:	The -Nr option failed to set nodes to NaN.

2011-04-02	pwessel
	* gmtspatial_func.c:	Support via -N to report which polygon contains a
				given input feature.  Several modifiers controls how the
				polygon IDs are obtained and how we report the results.

2011-04-01	pwessel
	* gmt_support.c:	Now let GMT_inonout handle polygons with holes so the main
				code need not be concerned outer than skipping the holes.
	* gmtselect_func.c:	Now use GMT_inonout with no extra checks.
	* grdmask_func.c:	---"---
	* grdmath_func.c:	---"---
	* spotter/grdpmodeler_func.c:	---"---
	* spotter/grdrotater_func.c:	---"---
	* gmt.{c,txt}:		Renamed from upper case GMT.{c,txt}

2011-04-01	jluis
	* gmtapi_util.c:	First cut of functions to read images via GDAL and store them
	* gmt_grdio.[ch]	in the new IMAGE container. (Still very crude and probably buggy)

2011-03-31	remko
	* grdedit_func.c:	Do functionality of -T before -R

2011-03-31	pwessel
	* ps2raster_func.c:	Added modifier +o<foldername> to generate a KML snipped in
				a named folder without the KML header and trailer.  Used to
				build multi-component KML files in association with gmt2kml.
	* gmt_io.c:		Let GMT_write_segmentheader deal with the segment marker so
				that internally we only have a clean header (or NULL).

2011-03-30	jluis
	* gmt_esri_io.c:	Also detects the Arc/Info float binary format (GRIDFLOAT)
	* grdimage_func.c:	Overzealous -C testing prevented the usage of an image via -Dr

2011-03-29	pwessel
	* surface_func.c:	Improved gridding of pixel-registered grids by temporarily adding
				an extra row/col (which are removed before output).  This ensures
				better factoring throughout the multigrid process.

2011-03-28	remko
	* gmt_init.c:		New format of -i option: -i<cols>[l][s<scale>][o<offset][,...].
	* common_options.txt, explain_-icols_full.txt, gmt_synopsis.h:	---"---

2011-03-28	pwessel
	* *.[ch]:		Replace STAT with GMT_STAT to avoid name clashes on some systems.
	* misc/gmt2kml_func.c:	Ensure pen is given in points and >= 1 in width.
	* misc/gmt2kml.txt:	Explain how pen needs to be set.
	* pscontour_func.c:	Got wrong contour level when some segments along edges were skipped.
				Now use same z-slop (small) as in grdcontour_func.c
	* gmt_support.c:	Not not handle cases like zmin color zmax - [i.e., repeat the color],
				causing strange color ramps.
	* gmt_io.c:		The polygon status from OGR headers (@H, @P) did not get copied into
				the polygon structure headers.
	* gmt_init.c:		Temp array double p[6] in -R parsing was not initialized and could have
				junk for the zmin/zmax values (the others get set directly).

2011-03-28	remko
	* ps2raster_func.c:	Automatically add GS option -dMaxBitmap=100000000 with -TG

2011-03-27	remko
	* doc/html/index.html:	Now created (linked) out of gmt_services.html
	* doc/GNUmakefile:	Removed everything dealing with HMTL documentation

2011-03-27	jluis
	* gmt_esri_io.c:	Extend the ESRI format to also read ESRI .HDR format.
				That is a raw binary + a .hdr ascii header file.
				It knows also how to deal with plain GTOPO30 and SRTM30
				raw binary files (that, is without companion .hdr file)
				as well as SRTM1 and SRTM3 (with a .hgt extension)
	* gmt_io.c:		Add extra test ' && c != EOF' to GMT_fgets to avoid potential
				infinite while loop when called on a binary file.

2011-03-26	pwessel
	* pslib.c:		Added 2nd argument to PSL_endclipping to indicate how
				many levels to restore and what kind of clipping (txt/poly).
	* PSL_label.ps:		Two new counters (PSL_nclip_pol and PSL_nclip_txt) added.
	* psclip_func.c:	Extended -C option to handle the various kinds of clipping
				restore that may be required.
	* grdcontour_func.c:	For -D must turn on -mo explicitly (like pscontour/pscoast)

2011-03-25	pwessel
	* grdraster_func.c:	Make sure grid header is fully initialized.  Also needed
				to do padded ij calculations, and free the grid.

2011-03-25	remko
	* GMT_Chapter_4.tex:	Make clear that files with full path names will not be searched
				for in other places.
	* grdraster.txt:	Wrong order mentioned of GMT_USERDIR and GMT_DATADIR
	* grdraster_func.c:	Also look in GMT_SHAREDIR/dbase for data files.
	* gmt_io.c (GMT_get{user,data}path):	Do not look any further when full path is given.
	* doc/Makefile:		Introduced to take care of documentation installation
	* guru/*man.sh:		Moved to doc directory
	* guru/GMT_www.lis:	Now also includes PDF documentation (in addition to HTML)

2011-03-24	jluis
	* gmt_grdio.c:		Do more extensive tests to see if a file is in the internet
				or is compressed and accessed via GDAL.
	* gmtapi_util.c:	Add GMT_check_url_name() function to test if file resides
				in internet or is compressed and accessed via GDAL.

2011-03-24	remko
	* grdraster_func.c:	Exit load_rasinfo with proper error message. Skip garbled
				records instead of stop reading grdraster.info file.
				Do not exit program on empty info file when printing syntax.
	* share/doc/gmt/*:	All moved to doc/*

2011-03-23	jluis
	* gmt_grdio.c:		Do not test if file exist for files imported via GDAL and
				that are located elsewhere on the Web (name starting by 'http').
				With this we can import files directly via their URL
	* gmtapi_util.c:	---"---

2011-03-22	remko
	* gmt_init.c:		Fixed erroneous way of scanning symbol option -Sm
	* gmt_plot.c:		Make sure PSL_* text/dimensions are set when plotting
				no annotation but still a plot title

2011-03-21	jluis
	* gmt_gdalread.h:	Add a new member to GDALREAD_CTRL struct to host the pointer
				to the pre-allocated grid array.
	* gmt_gdalread.c:	Use pre-allocated *grid array if it was transmitted. Note that
				in this case there is no test if pre-allocated mem is enough.
	* gmt_customio.c:	GMT_gdal_read_grd sends in the pre-allocated *grid array.

2011-03-21	pwessel
	* dbase/grdraster_func.c:	Better testing and return of errors.
	* gmt_grdio.c:		Assign default pad in GMT_create_grid.
	* gmt_plot.c:		Avoid writing unneeded PSL_* text/dimension stuff when
				no text will actually be plotted (e.g., -G0g5).

2011-03-19	jluis
	* gmt_gdalread.c:	Add code to do pixel interleaving of char arrays.
				Handle new complex choice of 0,1,2
	* gmt_gdalread.h:	Add two members to the GDALREAD_CTRL struct to deal with Pixel
				interleaving and put data into complex arrays
	* gmt_customio.c:	GMT_gdal_read_grd now handles the complex case too.

2011-03-18	pwessel
	* pstext_func.c:	Added -Gc to use text for setting up clipping only.
	* gmt_support.c:	Added +e to contlabel options to use text for setting up clipping only
				and delay plotting the text until psclip -Cs|c.  Affects grdcontour,
				pscontour, and psxy -Sq text placement.
	* psclip_func.c:	Added -Cc|s to terminate text-based clip path and plot the text for
				either curved or straight text paths.
	* grdfft_func.c:	Let -E optionally use -G to set output file name [Default is stdout].
	* gmt_grdio.c:		Added GMT_init_complex to centralize setting of stride (1 or 2)
				and offset (0 = real, 1 = imag).

2011-03-17	pwessel
	* configure.ac:		Only set DSYMUTIL when using shared libraries.
	* gmt_mgg_header2.c:	Now supports correct padding and complex setting
	* gmt_agc_io.c:		Handle new complex choice of 0,1,2
	* gmt_esri_io.c:	---"---
	* gmt_agc_io.c:		---"---
	* gmt_nc.c:		---"---
	* gmt_cdf.c:		---"---
	* gmt_customio.c:	---"---

2011-03-14	pwessel
	* GMT5 branch merged to the trunk and pruned of GMT 4 files.  We now have a
	  working GMT5 module in the repository.
	* pslib.c:		Changed versions of PSL_prologue/label.ps to match the
				new numbers after the merge back to the trunk.

-----------------------------------------------------------------------------------------
2011-03-10	pwessel
	* GMT 4.5.6 finalized and released.  GMT cvs archive moved to GMT4.
-----------------------------------------------------------------------------------------

2011-03-08	pwessel
	* configure.ac:		Check for bad 64-bit qsort under earlier OS X did not work.
				Needed to add -fno-common to CFLAGS under OS X Tiger
	* gmt2kml_func.c:	Segment headers now can have -T<text> options that are used for
				feature descriptions, but we will backwards honor the old -Dtext
				options.
	* gmt_init.c:		Will allow extended columns D (distance), G (fill), L (label),
				T (text), W (pen) and Z( value) to be used in -a<col>=<name>.

2011-03-07	pwessel
	* gmt_init.c:		The -a parsing now allows +G (upper case) for geometry, which means
				we must split features that straddles the Dateline since the G in
				GIS apparently does not mean what we think it means...
	* gmtconvert_func.c:	Did not copy over segment headers, labels, and ogr info.
	* gmt_map.c:		Added GMT_split_dateline_poly which splits a polygon that straddles
				the Dateline into TWO pieces (some pieces connected by non-area bridges)
	* gmt_support.c:	Added GMT_split_dateline_line which splits a line that straddles
				the Dateline into several individual segments.

2011-03-06	remko
	* GMT_jet.cpt:		Bug fix: Palette had two bad values causing discontinuities.
	* makecpt_func.c, grd2cpt_func.c:	Added -W option to not interpolate color palette.
	* GMT_categorical.cpt, GMT_etopo1.cpt:	Two new color palettes.

2011-03-04	remko
	* xyz2grd_func.c:	-Z did not work, changed order of parsing -Z option and GMT_Begin_IO.
				 Also: -Z...s... now properly skips number of bytes, not items.

2011-03-02	pwessel
	* CPTs:			Added "random" as valid cpt file; this will generate
				random colors instead of interpolating from a master table.
	* gmt_plot.c:		Added GMT_geo_polygon_segment which extends GMT_geo_polygon
				to handle filling and outline in the polar cap cases.  Used
				by psxy_func.c.
	* gmt_init.c:		Let -a also imply -fg

2011-03-01	pwessel
	* sample1d_func.c:	Enhanced -S to accept -Sstart[/stop].
	* gmt_io.c:		Improved OGR parsing and using aspatial data in GMT input

2011-03-01	remko
	* gmt_init.c:		On Windows: Look for HOMEPATH after HOME for setting GMT_HOMEDIR

2011-02-25	pwessel
	* gmt_cdf.c:		Apply netcdf fix; thanks to Sebastian Heimann.
	* gmt_nc.c:		---"---

2011-02-25	remko
	* gmt_io.[ch], gmt_init.c:	Implemented scale/offset option in -i. E.g., -i0,1s1000.

2011-02-23	pwessel
	* spotter/backtracker_func.c:	For -W, now report full-length major/minor axes and not
				SEMI-axes (docs said major/minor but code did semi.)

2011-02-22	pwessel
	* gmt_init.c:		The symbol_parsing for psxy[z] did not properly set the
				column types when no symbol size was given.  This affected
				symbols that require angles (-Sw, -SE, -SJ) when unit was SI.

2011-02-21	pwessel
	* grdimage_func.c:	Wasted time resampling image when -JQ was used (is linear).
	* gmt_project.h:	Added macro GMT_IS_NONLINEAR_GRATICULE which returns true
				when parallels/meridians are not orthogonal or nonlinear.
				Used in grdimage to determine if resampling is needed.

2011-02-20	pwessel
	* grdmask_func.c:	New option -Ni|I|p|P to set inside of polygons to the polygon IDs.
				These may come from OGR aspatial values, segment head -L<ID>,
				or a running number, starting at a specified origin [0].
				Now correctly handles polygons with perimeters and holes.

2011-02-18	pwessel
	* gmt_version.h.in	Added macro GMT_MP which will appear in usage messages to indicate
				if a module has multi-processor support ([API] vs [API-MP]).
	* grid registration:	Now given new common option -r which replaces mostly -F and
				is backwards compatible in compat mode.

2011-02-17	remko
	* gmt_init.c:		-: Option flipped column type, which it should not have done!

2011-02-16	remko
	* *.c, *.txt, gmtdefaults.in:	Replaced .gmtdefaults and gmtdefaults.conf by gmt.conf
	* gmt.conf.in, gmt_init.c:	Removed PS_COPIES as setting. Use -c instead.
	* gmt_init.c:		Old setting VERBOSE = FALSE|TRUE is now converted to GMT_VERBOSE = 1|2
	* pslib.*:		Got rid of n_copies argument in PSL_setdefaults

2011-02-15	remko
	* configure.ac, config.mk, Makefile:	Smarter way of specifying -O or -g when using --enable-debug
				or not. Use dsymutil on Mac when setting --enable-debug. Thanks to
				Florian Wobbe.

2011-02-15	pwessel
	* gmt_io.c:		multi_segments[GMT_OUT] defaults to FALSE but becomes TRUE if a
				multisegment header is read or we detect a gap via -g.

2011-02-12	remko
	* pslegend_func.c:	Make setting of text color ("C") work
	* gmt_init.c:		Bug fix: Do not rely on settings associated with width_given to be FALSE.
				Bug fix: Allow spaces in arguments stored in .gmtcommands (e.g. -B).

2011-02-09	pwessel
	* grdclip_func.c:	Now an error if no -S option is given.

2011-02-08	pwessel
	* gmt_vector.c:		Added GMT_fix_up_path_cartesian to complement the spherical version
	* gmt_support.c:	Added support for creating Cartesian cross-profiles to a line.
	* grdtrack_func.c:	The -C option can now work with Cartesian data (assumes x = y in
				terms of units).

2011-02-08	remko
	* gmt_init.c:		Replaced GMT_getparameter by GMT_putparameter, avoiding requirement to
				set size of "value" accurately.
				Complete rewrite of GMT_savedefaults, using GMT_putparameter to
				avoid code duplication. Output now follows layout of gmtdefaults.conf.

2011-02-05	pwessel
	* blockmean_func.c:	Now use -Ss for block sums [-Sz remains under GMT_COMPAT].
				Added -Sn to explicitly count the number of points per block.
				[It will now ignore any weights read].

2011-02-03	pwessel
	* filter1d_func.c:	Did not reset F.n_rows = 0 for each segment
				Improved parsing of -N w/wo GMT_COMPAT set
	* mapproject_func.c:	Did not reset cumulative distance for new segments (only for gaps)

2011-01-27	pwessel
	* grdpaste_func.c:	Need to pass original headers and instead manipulate data pointer.
	* configure.ac:		Added --enable-openmp to utilize openMP with GCC.

2011-01-25	jluis
	* grdfilter_func.c	Implemented OpenMP parallelization after GMT4 code provided
				by Dan Kokron. Modifications are #ifdefed and will be used
				only if GMT is compiled with OpenMP.

2011-01-25	remko
	* makecpt_func.c:	Make dz in -T optional. If omitted, keep same number of colors.
	* makecpt.txt:		---"---

2011-01-25	pwessel
	* pscontour_func.c:	Did not find some contours following triangle edges.

2011-01-17	remko
	* gmt_init.c:		Allow HxW as PS_MEDIA (dropping custom_)

2011-01-17	pwessel
	* x2sys/x2sys_init_func.c:	Did not write both or -Nd -Ns to the tag file.

2011-01-16	remko
	* GMT_pstext_justify.sh:	Put nodes in the proper places (not the same as box)

2011-01-11	remko
	* src/pslib.c:		Improved proportioning of textbox. Replaced 'exch def' by 'edef'
	* PSL_prologue.ps:	Introduced /edef. Replaced 'exch def' by 'edef'

2011-01-09	pwessel
	* triangulate_func.c:	Did not use projected coordinates when -R -J was given.

2011-01-09	remko
	* doc/GNUmakefile:	Use tex4ht instead of latex2html. This allows/requires
				creating PNG files of the images ourselves.

2011-01-08	pwessel
	* gmt_plot.c:		Let -U timestamp use FONT_LOGO [Helvetica] instead of being
				hardwired to use Helvetica.
				Use line-cap SQUARE for rectangular, plain map frames.
	* pstext_func.c:	New option -Ql|u to change the case of all text to lower
				or upper case [Default leaves text alone].
	* Example 31:		Added, thanks to Florian Wobbe.  Shows how to use non-standard
				fonts in a GMT plot via CUSTOM_font_info.d.

2011-01-04	pwessel
	* gmt_support.c:	GMT_cspline should initialize c[0] = c[n-1] = 0.0 in case
				it is called repeatedly [not the case in GMT].
2011-01-03	pwessel
	* grdproject_func.c:	The -N is now obsolete (backwards compatible as in grdsample)
				since -D can set nx/ny if requested.
	* autoconf.ac:		Moving to use GSHHS 2.1.1 for next release.
	* gmt_shore.c:		---"---

2010-12-31	pwessel
	* x2sys_init_func.c:	Crashed if -D was not given [should imply -DTAG].

2010-12-29	pwessel
	* psscale_func.c:	Now patterns have constant orientation regardless of using
				horizontal or vertical bar.

2010-12-22	jluis
	* mex/mapproject.c:	Works, but not with all advertised output options.
	* mex/grd2grd.c:	Template program to build all MEXs that take one grid
				in input and create one grid in output (e.g. grdclip)
	* mex/compile_mex.bat:	Update to build MEXs that use the grd2grd.c template.

2010-12-21	pwessel
	* gmt_io.c:		GMT_extract_label had a few bugs; now gets the label OK.

2010-12-20	remko
	* utilmeca.c:		Patch to fix incorrect plotting of moment tensors with big
				isotropic components. Thanks to Jeremy Pesicek.

2010-12-19	pwessel
	* grdfilter_func.c:	Can now do spherical filtering (with wrap around longitudes
				and over poles) for non-global grids.

2010-12-16	remko
	* configure.ac, gmt_config.mk.in:	Allow gmt2rgb to be created for backup.

2010-12-15	pwessel
	* gmt_init.c:		Use 's' for seconds as TIME_UNIT; 'c' is deprecated.
	* *.c:			Added more warnings when GMT_COMPAT options are used.
	* grd2rgb*:		Renamed from gmt2rgb*
	* gmt_support.c:	When calculating how far to place an annotation from the tick mark
				we must check if a fancy frame width exceeds the tick length.

2010-12-13	pwessel
	* project_func.c:	The -Dg|d is made obsolete (under GMT_COMPAT) but did not work
				anyway since output is entirely controlled by FORMAT_GEO_OUT.
	* pswiggle_func.c:	The gap -D is made obsolete (under GMT_COMPAT) as that functionality
				is provided by the universal -g option.
	* pshistogram_func.c:	The -T<col> option is made obsolete (under GMT_COMPAT) as we
				now have the universal -i<col> option.

2010-12-13	jluis
	* ps2raster.c:		For some reason -W was not forcing -A. Now it does it again

2010-12-12	jluis
	* gmt_gdalread.ch:	Added a new struct in output that holds metadata info per each band.
				Namely the scale/offset factors.
	* gmt_customio.c:	When reading from GDAL apply scale/offset in case they differ to 1/0
	* gmt_grdio.c:		Add mechanism to allow request a SUBDATASET (GDAL parlance) via GDAL
	* ps2raster_func.c:	Added optional margins to -A.

2010-12-12	pwessel
	* gmt_grdio.c:		Let GMT_grd_init also set the default pad.

2010-12-11	pwessel
	* pslegend_func.c:	Need to keep the original -R around since it may be -R....r
				If -Dx is used then -R -J are not needed for overlays.
	* gmt_init.c:		The -R parsing must reset common.R.oblique if not ...r
	* grdedit_func.c:	Several basic bugs from porting now fixed.
	* gmt_map.c:		For van Grinten: errors in left/right_cirle

2010-12-11	jluis
	* gmt_grdio.c:		Increase the size of the string array in GMT_grd_get_units() to
				avoid 'Buffer overrun' that occurred with long description strings

2010-12-06	pwessel
	* gmtget_func.c:	New module, replacing shell script temporary version.

2010-12-05	pwessel
	* spotter/grdrotater_func.c:	Did not handle the rotation of an entire global grid since
				the polygon outline interfered with the domain.

2010-12-02	pwessel
	* x2sys/x2sys.c:	Minor bug in x2sys binary reading of floats

2010-11-30	pwessel
	* xyz2grd_func.c:	Now complain about junk if garbage is given as x,y .
	* gmt_grd.h:		GMT_y_is_outside now returns TRUE if y == NaN
	* gmt_support.c:	GMT_x_is_outside now returns TRUE if x == NaN

2010-11-29	pwessel
	* grdmath_func.c:	Using = with nothing on the stack crashed.  Now gives error.
	* grdmask_func.c:	Insisted on reading stdin when files were given.

2010-11-27	pwessel
	* gmt_plot.c:		Implemented custom and/or irregular annotations.
	* gmt_support.c:	Implemented custom and/or irregular annotations.
	* -B:			Can now take -Bc<intfile>, for manual control
				of placement of annotations/ticks/gridlines as
				well as overriding the annotation with a text label.

2010-11-25	pwessel
	* share/doc/gmt/examples/Makefile:
	* doc/scripts/GMT_RGBchart.sh:
	* configure.ac:
	* doc/scripts/functions.sh:
	* Misc *.c:		Applied patches from Florian Wobbe fixing minor scripting
				omissions and a few dozen warnings.

2010-11-23	pwessel
	* grdmask_func.c:	Must skip "polygons" with less than 3 points.  Also, the
				resampling distance for spherical data was wrong, now 0.1 degrees.

2010-11-21	pwessel
	* psscale_func.c:	Added option -T to place a rectangle behind the scale.

2010-11-19	jluis
	* gmt_esri_io.c:	Replaced call to GMT_fscanf by plain fscanf because with first
				it was failing to read the datastream on Windows.
				Added float output ESRI format (ef) and renamed int format (ei).
	* xyz2grd_func.c:	Replaced call to GMT_fscanf by plain fscanf
	* gmt_io.c:		Same

2010-11-19	pwessel
	* gmtselect_func.c:	Due to resampling of parallels in -N, some points exactly on
				a coast bin parallel could fail the test due to roundoff.
				Fixed by not resampling coastlines since it is a Cartesian test.
				Added -Efn to change how boundary points are treated [Default
				considers them to be inside].  Place the old -N...[o] under
				GMT_COMPAT check.
	* grdlandmask_func.c:	Same.

2010-11-18	pwessel
	* gmt_esri_io.c:	Must look for both nodata_value and NODATA_value, apparently.
	* xyz2grd_func.c:	Failed if -Evalue was given and the ESRI grid already had a
				nodata_value line.  Now will process this line, if present.
				The value given on the command line will override any setting
				found in the file. [Note: -E is only available in GMT_COMPAT mode].
				Also made string-checks case-insensitive.
	* gmt_map.c:		We have a safety valve for preventing a painful slow search
				around the map perimeter.  The search is appropriate for maps
				but not for mapproject results.  The limit was for 200 inch
				wide maps == 14400p.  A user ran pscoast with 14401p and was
				caught.  Now check for 400 inch and also check if PSL has
				been initiated. If not then it is probably a projection job.
	* gmtselect_func.c:	Need to pass GMT_IO_ASCII model to GMT_Get_Data to ensure
				the -C, -F, -L files are read as ASCII regardless of what
				the input data source is.
	* gmt_io.c:		When ASCII mode, need to save/restore any netcdf i/o settings.
	* gmtapi_util.c:	Check if GMT_IO_ASCII is present in the mode flag.
	* gmt_support.c:	GMT_inonout_sphpol_count failed to detect crossings if a
				polygon had vertical line-segments with same longitude as
				the point we were testing.

2010-11-17	pwessel
	* gmtdp_func.c:		Now properly deals with units for geographic calculations
				and no units for Cartesian.
	* grdmath_func.c:	Now, LDIST and PDIST, like SDIST, returns distances in degrees
				if -fg; otherwise Cartesian.  use new operator DEG2KM to
				convert spherical degrees to km.

2010-11-15	pwessel
	* grdtrack_func.c:	New options -Clength/dx[/spacing] to automatically create
				cross-profiles normal to the given line segments.  Also
				given -Am|p to affect resampling of paths, and -D<dfile>
				to save the resampled original line (with dist/az appended).
	* grdproject_func.c:	Now assign proper x/y units.
	* grdsample_func.c:	Did not use -R value when given.
	* imgsrc/img2grd_func.c:	Many bug fixes. Now works.
	* gmtapi_utils.c:	Write grid to memory forgot to set pointer.
	* gmt_vector.c:		GMT_fix_up_path in -Ap|m mode might duplicate the start point.

2010-11-14	pwessel
	* project_func.c:	Did not use IO_COL_SEPARATOR when writing mixed mode output.
	* grdtrack_func.c:	Did not use IO_COL_SEPARATOR when writing mixed mode output.
				Can now handle any number of -Gingrds and will sample them
				all in the order given.

2010-11-13	jluis
	* gmtinstall|suppl.bat: Build Windows binaries in GMT_COMPAT mode. We will revert
				this sometime in a not too distant future.

2010-11-11	pwessel
	* filter1d_func.c:	Changed -Nncols/tcol to just -Ntcol since we are reading
				in the file and thus know the number of columns.  Allow
				for backwards compatibility (skip the users ncols).
	* sample1d_func.c:	Did not have -A[m|p] option.

2010-11-10	pwessel
	* nearneighbor_func.c:	Changed default to a more reasonable -N4/2.
				Fixed issues with distances and i/o (double close file)

2010-11-05	jluis
	* meca/utilmeca.c:	Fix bug affecting the plot of P & T axis
	* meca/psmeca_func.c:	Fix a few issues in -a option.
				T_axes marker was white instead of black.

2010-11-08	jluis
	* gmt_plot.c:		Wrap the fp assignement in GMT_plotinit with a #ifdef WIN32
				to avoid another cross DLL issue.

2010-11-07	pwessel
	* grdgradient_func.c:	The -M is now replaced by -fg (but backwards compatible)
	* grdfft_func.c:	The -M is now replaced by -fg (but backwards compatible)

2010-11-06	pwessel
	* pslib.c:		PSL_loadimage now tries to use ImageMagick's convert to
				turn non-Sun rasters into a temporary Sun raster file.
	* psimage_func.c:	Can now handle any raster image format.
	* pslegend_func.c:	Can now handle any raster image format.

2010-11-04	pwessel
	* gmt*.c:		New distance unit parser and consistent use of units begun.

2010-11-04	remko
	* gmt_notposix.h.in:	Added #define HAVE_STRTOK_R 0
	* doc/GNUmakefile:	Make sure scripts are run in bash
	* meca/*.txt:		Replaced .IP by .TP

-----------------------------------------------------------------------------------------
2010-11-01	pwessel
	* GMT 4.5.5 finalized and released. GMT 5.0.0alpha announced, get via cvs
-----------------------------------------------------------------------------------------

2010-10-30	pwessel
	* gmtmath_func.c:	The -F is deprecated and available via compatibility-mode only
				Same function is available via the system-wide -o option.
	* gmtconvert_func.c:	---"---
	* spotter/grdpmodeler_func.c:	New tool for evaluating plate motion model predictions.

2010-10-28	pwessel
	* gmt_init.c:		Could not use @:<size>: and @:: in -B strings as the colons
	* -o<cols>:		New common option to select internal columns should be output
				and in what order (e.g., -o3,0 means that 3rd col will be first
				and 0th col will be second).  Available in all programs that write
				data tables.

2010-10-27	pwessel
	* psmask_func.c:	Did not update internal clip level (if not -T) in order
				to warn if clipping has not been terminated.

2010-10-26	pwessel
	* mapproject_func.c:	When -L is used with -fg and an ellipse we convert lats
				to geocentric lats before doing spherical trig.

2010-10-19	pwessel
	* gmtswitch:		Given D it picks the first entry in .gmtversions. Also
				is now installed with rest of executables.
	* mapproject_func.c:	Did not show/explain the option of appending + to -L.
				Corrected synopsis, usage, and man page.

2010-10-17	pwessel
	* grdpaste.c:		Lacked -fg so could not paste 352/360 and 0/8 in longitudes.
	* -i<cols>:		New common option to select which input file columns to use
				and in what order (e.g., -i6,2 means that 6th col will be x
				and 2nd col will by y).  Available in all programs that reads
				data tables.

2010-10-14	pwessel
	* psbasemap.c:		The -L option had trouble parsing if there were + signs
				in the label string.
	* pscoast.c:		---"---

2010-10-13	pwessel
	* mapproject_func.c:	Did not reset azimuth to NaN at start of next segment.

2010-10-11	pwessel
	* mapproject_func.c:	Extended -A to take -Ao|O to compute orientations (-90/90).
				Did not reset azimuth to NaN at start of a new segment.

2010-10-11	pwessel
	* gmt_support.c:	Extended macro language with if/elseif/else blocks {} and nested tests.
	* gmt_plot.c:		---"---

2010-10-08	pwessel
	* gmt_support.c:	Added extension to handle multi-parameter custom symbols
	* gmt_plot.c:		---"---
	* gmt_symbol.h:		---"---
	* psxy[z]_func.c:	Can now use multi-parameter symbols.
	* GMT_Appendix_N.tex:	Now includes macro definitions for custom symbols

2010-10-05	pwessel
	* configure.ac:		Set correct mex extensions for 64-bit version.

2010-10-05	jluis
	* make_gmtapi.sh:	While generating the modules files distinguish between the mains
					and supplements in what regards the name of the including header.

2010-10-03	remko
	* gmt_support.c:	Fixed numerous cases where rgb[4]/hsv[4]/cmyk[5] were not
				dimensioned or not set.
	* gmt_init.c:		Y_AXIS_TYPE replaced by MAP_ANNOT_ORTHO. Can now apply to
				all axes.
	* gmt_plot.c, gmtdefaults.txt, gmt_keywords.txt, gmtdefaults.in, gmt_defaults.h:
				---"---
	* gmt_plot.c:		Axis plotting now done without unnecessary rotations.
	* gmt_support.c:	Commented out GMT_set_map_label_offsets (never used).
	* pslib.c:		More improvements to macros for string alignment.

2010-10-01	remko
	* pslib.c:		Added much better macros for string alignment, which
				significantly shortened PostScript output.
				Added new options to PSL_deftextdim.
	* psldemo.c:		Do Standard+ encoding.

2010-09-30	remko
	* pslib.c:		No longer writes encoding string at init, but only when fonts
				are produced.
				No longer writes %ld F%ld before every string, but only when
				different from last font or fontsize.
				Removed font_no argument from PSL_deftextdim. Works on current
				font only.
	* pslib.h, gmt_plot.c:	---"---
	* psldemo.c:		Changed math and title string not to be outlined.
	* src/Makefile:		Make psldemo without libraries. Easier for debugging.

2010-09-29	remko
	* gmt_init.c:		Reintroduced + directive for FONT_ANNOT_PRIMARY, scaling other
				fonts, offsets and frame width with it.
	* gmt_common.h:		Added common.B.set to indicate whether -B is set (for psscale).
	* psscale_func.c:	Work correctly with -B0
	* doc/GNUmakefile:	Removed HTML docs. Improved doctests system.

2010-09-28	pwessel
	* minmax_func.c:	With -C we needed to reshuffle the output col type variables.
	* share/time/hi.d:	Added Hawaiian month/day names [Thanks to Kāwika Trang]

2010-09-28	remko
	* doc/GNUmakefile:	New without getbox, getrect, etc.
	* cartesian.sh:		Avoid .gmtcommands problems in pipes.
	* pslegend_func.c:	Fixed many errors in the offsets of various components.
	* x2sys.c, mgd77.c:	Get mgg-related files using GMT_getsharepath function.
	* pslib.c:		Need to set font during PSL_beginplot.
				Should not change current fill color when changing stroke.
	* psxy*_func.c:		-Z headers did not control the stroke/fill colors properly.
	* xyz2grd_func.c:	Wrong order of GMT_begin_module and GMT_Parse_Common.
	* psxyz_func.c:		Fixed colors for painting "walls"; needed 4-byte rgb code.
	* gmt_plot.c:		Changed order of plotting strokes and fonts in rose to avoid leaking
				font color into strokes.
	* explain_-T_rose.txt:	Need to explain that font colors follow FONT_TITLE and FONT_LABEL.
	* job04.*:		Added --FONT=red to keep rose labels being painted red.
	* gmt_support.c:	Fixed initialization of fill pattern colors.
	* src/*/Makefile:	Fixed rules for shared libraries.
	* segyprogs/*_func.c:	Needed to name routines with common names differently.
	* gmt_init.c:		gmt_parse_t_option renamed to gmt_parse_colon_option.
	* gmt_common.h:		common.t is now common.colon, while common.t refers to new -t option.
	* *.txt, *.c:		GMT_t_OPT now GMT_colon_OPT, while GMT_t_OPT refers to new -t option.

2010-09-27	pwessel
	* gmt_map.c:		Did not check if we were beyond the horizon in GMT_grd_project.
				Also did not initialize output grid to NaNs.
	* gmt_init.c:		New common option -t<transp> that sets a layer's PDF transparency.
				Only applies to Adobe Distiller for now.

2010-09-20      pwessel
	* ps2raster_func.c:      Made tolerant of \r line-endings.

2010-09-15      pwessel
	* gmt_plot.c:		Allow text to be painted using patterns.
	* pslib.c:		PSL_plottext has new mode == 2 if fill is a pattern.

2010-09-14      pwessel
	* pstext_func.c:	The -S is not backwards compatible only as fonts can be
				specified with optional outline pen.
	* *.c:			All annotations (e.g., -B, pstext, pswiggle, psrose etc)
				can now use outline pen if set.  Contour labels do not.

2010-09-10      pwessel
	* gmt_init.c:		Reintroduce PS_TRANSPARENCY for setting the transparency mode
				when planning to use Adobe Distiller [Normal].
	* pslib.[ch]:		Add PSL_settransparencymode which sets the desired mode.
				Fill and stroke are set and if transparency is selected we
				use the current transparency mode.
	* gmt_texture.h:	Add GMT_PEN to GMT_FONT for drawing text outlines.  All font
				color or pattern specifications may have =pen appended if we
				want to draw the text outline.

2010-09-09      pwessel
	* makecpt_func.c:	Added -A[+]transparency to set CPT slice transparencies.
	* grd2cpt_func.c:	Added -A[+]transparency to set CPT slice transparencies.
	* gmt_init.c:		Removed the PS_TRANSPARENCY as a global parameter as fills
				and stroke colors can now be set with transparency.
	* gmtdefaults.txt:	---"---
	* pslib.c:		Uses rgb[3] for transparency and if non-zero will issue the
				PDF extension operators for stroke and fill transparency.
	* GMT_Chapter_4.tex:	New section Transparency which explains how to set it and
				how to render PDF files to honor the transparency.
	* *.[ch]:		Extend all rgb[3] arrays to rgb[4] array since the 4th item
				contains the transparency [0 or opaque by default].

2010-09-08      pwessel
	* gmt_support.c:	GMT_getrgb and GMT_gethsv will decode optional @<transparency>
				requests.
	* gmt2kml_func.c:	Eliminated -Q since transparency can now be set via -W and -G.

2010-09-07      pwessel
	* ps2raster_func.c:	The -A- option did not reset -A for -W.

2010-08-30	pwessel
	* gmt_support.c:	Eliminate global variable by using qsort_r if available.

2010-08-25	jluis
	* src/potential:	New supplement with programs to do potential field operations
	* potential/redpol:	Do continuous reduction to the pole of magnetic anomalies.
	* potential/xyzokb:	Compute grav/mag effect of bodies of any (triangular) shape.

2010-08-25	pwessel
	* psxy[z]_func.c:	Units given in -S without sizes (e.g., -Sci) would be
				ignored and overridden by MEASURE_UNIT.

2010-08-21	pwessel
	* gmtapi_parse.c:	Single-string commands may contain "> file" and "< file"
				and these will be converted to -<file and ->file options.
	* gmt2kml_func.c:	Also look for -D in segments for points

2010-08-20	pwessel
	* gmt2kml_func.c:	Now has consistent tabbing and use of folders
	* kml2gmt_func.c:	Now searches for <Placemark and not <Placemark>, etc.

2010-08-19	pwessel
	* gmt_plot.c:		GMT_map_latline/lonline tried to draw a 2-point line when
				no points were defined.  Checks that we have at least 2 points
	* psxy_func.c:		The -Ap|m options were ignored since the mode was not checked.
	* grdmask_func.c:		---"---

2010-08-18	pwessel
	* gmtspatial_func.c:	The -D option is now greatly enhanced and can consider
				median line separation [mean] and thus robust closeness
				computations.  It also, via +p, limits comparisons to
				points that project orthogonally onto the other feature
				and not onto its extensions.
2010-08-18	jluis
	* gmt_init.c:		Implement workaround solution to force Matlab print to screen
	* ps2raster_func.c:	Added -TF option to create multi-pages PDF files

2010-08-16	pwessel
	* gmt|grdmath_func.c:	Added support for simple replacement macros via user files
				.grdmath and .gmtmath.  Works by replacing the macro name
				with the equivalent arguments in the option lists.

2010-08-15	pwessel
	* gmtconvert_func.c:	Added -Q to select a particular segment number.

2010-08-14	remko
	* meca/utilmeca.[ch]:	Merged with utilstrain.[ch] and utilvelo.[ch]

2010-08-12	jluis
	* mex:			Allow usage where output is specified in the options string
				via -G<file> and no output is return to Matlab.

2010-08-10	pwessel
	* gmtdefaults:		FORMAT_GEO_MAP can now end in G instead of F, which means
				"insert a space before the hemisphere letter W E S N".

2010-08-07	pwessel
	* *_func.c:		Cleaner module initialization with assignment in consistent
				order.  More checking and minor typo fixing.
	* grdclip_func.c:	Now takes -R for subset of inputfile.
	* grdgradient_func.c:	--"--".
	* grdhisteq_func.c:	--"--".
	* grdinfo_func.c:	--"--".
	* grdtrend_func.c:	--"--".
	* gmtvector_func.c:	New tools for basic manipulation of 2-D and 3-D vectors

2010-08-04	pwessel
	* xgrid:		Now compiles under GMT 5.  All GMT supplements now compile.
				They all will need testing and test scripts to be added.
	* mex/blockmean.c:	Works but only by duplicating the output vectors.  Need to
				figure out how to just pass by reference.

2010-08-03	pwessel
	* gmt_plot.c:		Bug in fault symbol psxy -Sfrc, fixed w/ thanx to J. Robert
	* mgg/*:		Removed from GMT 5 as obsolete; see mgd77 instead
	* x_system/*:		Removed from GMT 5 as obsolete; see x2sys instead

2010-08-02	pwessel
	* segyprogs/*:		Modularized, compiles.

2010-08-01	pwessel
	* spotter/*:		Rotation file type (stage vs rotal reconstruction) is automatically
				determined from the file format, eliminating the -C option across
				the supplement.  If GMT_COMPAT is selected then we silently ignore
				the now useless -C option; otherwise it is a parse error.
2010-07-31	pwessel
	* spotter/*.c:		The -E option can now take -E+ which means we wish to
				invert the rotations prior to use.  Requires -C.

2010-07-30	pwessel
	* gmt2kml.c:		Promoted from misc supplement to main GMT suite
	* kml2gmt.c:		Promoted from misc supplement to main GMT suite
	* misc/makepattern.c:	Obsolete and removed
	* misc/psmegaplot.c:	Obsolete and removed
	* misc/nc2xy.c:		Obsolete and removed (gmtconvert handles the same task)
	* misc:			Now GMT 5 compatible.
	* spotter/libspotter.c:	Can now interpret rotation filenames like PAC-MBL to mean
				"use the GPlates rotation file and find the rotations for
				the Pacific plate relative to a fixed Marie Byrd Land".
				Requires that the GPlates plate id and rotation files
				have been put in the GMT data path.
	* spotter/rotconverter_func.c:	New option -G to write GPlates rotation file format.

2010-07-28	pwessel
	* mgg/*:		Modularized, compiles.
	* mgg/binlegs.c:	Changed -R (replace)  to -E and -P (path) to -A to avoid
				clash with GMT internals.  Allow for compatibility though.
	* mgg/gmt2bin.c:	Same, -P(path) to -A.
	* mgg/mgd77togmt.c:	Same, let -Y (year) become -E.
	* spotter/rotconverter_func.c:	Complained of "bad option" when a rotation with a
				negative longitude was given on the command line, e.g. -135/35/-2.5
				Would sometimes issues a rotation twice (same time)

2010-07-26	pwessel
	* mgd77/mgd77manage.c:	The -F option had no break statement.
	* mgd77/mgd77path.c:	Renamed the -P option to -A (but also has compatibility mode).

2010-07-24	pwessel
	* gmtparse_func.c:	GMT_Create_Options now expects a void pointer for args
				so we may pass static strings, single strings, or arrays.
				This simplifies the calling of GMT modules.
	* meca/*:		Modularized, compiles.
	* mgd77/mgd77convert.c:	The -4 option is now -D, but backwards compatible.
	* mgd77/mgd77magref.c:	The -D failed on numeric arguments.
	* mgd77/*.c:		Begun modularizing.

2010-07-23	pwessel
	* gmt_plot.c:		Now use module_name to report who writes the PS.
	* x2sys/*:		Compiles, not tested.
	* x2sys/x2sys_cross_func.c:	Renamed -K to -A to avoid GMT common collision,
				and renamed -2 to -Z to avoid it being seen as a number.

2010-07-23	remko
	* gmt_init.c:		Removed common.processed (all through C->common.?.active)
				Replaced common.h.active[2] by common.h.active
				Replaced common.B.active by common.B.active[2]
				Made all gmt_parse_?_option local to gmt_init.c

2010-07-22	pwessel
	* psimage_func.c:	justify text string must be 3-char longs to hold trailing 0.
	* gmt*.c:		Moved -b variables to common.b
	* x2sys/*:		Begun modularizing.

2010-07-21	pwessel
	* *_func.c:		All progs that need -J now checks during parsing.
	* gmt_common.h:		We now use the common.? structs to hold read-only
				parameters given via the common options.
	* *.c:			Eliminated the duplicate proj.degree[] variable.

2010-07-21	remko
	* gmtlogo:		New pstext syntax
	* doc/scripts/functions.sh:	Introduced as helper for doc scripts
	* getbox.sh, getrect.sh:	Removed (part of functions.sh)
	* doc/scripts/*.sh:	Added functions.sh

2010-07-20	remko
	* gmtdefaults.in:	Set COLOR_NAN = 127.5, COLOR_MODEL = none
	* gmt_support.c:	Improved GMT_read_cpt and GMT_write_cpt
	* gmt_default.h:	setting.color_[background|foreground|nan] replaced by setting.color_patch
	* gmt_init.c:		Added GMT_put{rgb,hsv,cmyk}, changed meaning of COLOR_MODEL
	* gmtdefaults.txt:	Changed meaning of COLOR_MODEL
	* grd2cpt_func.c, makecpt_func.c:	Added -F option, expanded -D option
	* *.cpt:		Use new format for all CPT files
	* ex??/job*:		Use only text strings for fonts (e.g. Helvetica-Bold)
	* project_func.c:	Fixed bug introduced by forcing -fg too early
	* pslegend_func.c:	Fixed bug in ellipse size
	* pstext_func.c:	Needed to empty paragraph after plotting
	* map_plot.c:		GMT_linearx_grid: Avoid plotting e and w gridline on top of each other
				GMT_map_{lat,lon}line: Reverted to GMT4 style since they were not cut
				properly in polar plots.
	* psxy_func.c:		Fixed bug with plotting rotated rectangles and ellipses

2010-07-19	pwessel
	* spotter/*.c:		Now made into modules

2010-07-18	remko
	* gmt_init.c:		Put reading of file by PROJ_ELLIPSOID=file under GMT_COMPAT.
				Made PS_CHAR_ENCODING work again.
	* mapproject_func.c:	Output of forward transformation was incorrectly defined as lon/lat
	* gmtdefaults_func.c:	Need not load defaults again when not -D
	* gmtset_func.c:	Need not load defaults again when not -D, -C, or -G
	* pstext_func.c:	Added warning when old-style. Fixed bug with -A.
	* project_func.c:	Fixed bug regarding azimuth with -N.
	* psxy_func.c:		Flip start and end of wedge symbol when angles are azimuth.
	* test/*/*.sh:		Adjusted to bash and new pstext input style

2010-07-18	pwessel
	* pstext_func.c:	Can now recognize GMT4-style text inputs automatically.
	* ex??/job*:		Now use new pstext format with -F option as needed.

2010-07-17	remko
	* gmtapi_parse.c:	GMT_Parse_Common updated to handle all common options and I/O
				registration for all GMT_modules.
				GMT_Sort_Options has become obsolete.
	* *_func.c:		Now use GMT_Parse_Common to handle common options.

2010-07-16	remko
	* minmax_func.c:	Fixed bug that prevented any output with -R

2010-07-16	pwessel
	* mapproject_func.c:	New -N option to do geodetic/geocentric conversions [and -I].

2010-07-14	pwessel
	* gmtconvert_func.c:	Preliminary handling of -a option to convert GMT data to
				GMT/OGR files with metadata.  Checks polygons and marks
				holes and perimeters.

2010-07-14	remko
	* GMT_nighttime.cpt:	Colortable for DMSP-OLS Nighttime Lights Time Series
				Designed by Andreas Trawoeger.
	* pstext_func.c:	Reading order of text parameters depends of order on -F option
	* pstext.txt:		---"---
	* gmt_init.c:		Beautification of GMT_pen_syntax.
				Let GMT_begin_module parse for -V -- and -^ so that -- are
				picked up even before setting up Ctrl struct.
	* *_func.c:		---"---

2010-07-13	pwessel
	* gmt_plot.c:           Ensure that axis vector for GRAPH mode matches axis pen width.
	* gmt_io.c:		Added preliminary aspatial data assignments.
	* pstext_func.c:	Introduced -F to help set font, angle, justification.
				Also added -a to set aspatial data associations.
	* psxy_func.c:		Added -a to use aspatial data associations, and added modifier
				+s<scale>[unit][/<origin>][l] to -S to adjust scale
	* psxyz_func.c:		Same as psxy_func.c

2010-07-13	remko
	* gmt_colors.h:		Introduced GMT_u255 to convert double rgb (0-1 range) to unsigned char (0-255)
	* gmt_support.c:	---"---
	* psscale_func.c, grdview_func.c, grdimage_func.c:	---"---
	* xyz2grd_func.c:	Padding was incorrectly switched off with -Z
	* *contour_func.c:	Made -A- work again. Removed bugs in sort_and_plot_ticks
	* pscontour_func.c:	-T..: can now be : (default to -+), :LH (use L and H), or
				:stringl,stringh (for two strings).
	* mapproject_func.c:	Fixed output in -G mode

2010-07-12	pwessel
	* blockm*.c:		Eliminated block_subs.c (only block_subs.h needed)

2010-07-12	remko
	* job15, job27:		Avoid unnecessary use of variables and temp files
	* test/grdcontour/contours.sh:	Renamed from oriented.sh
	* test/grdcontour/grdcontour.sh:	-W options changed from dpi to pt default unit
	* gmt_init.c:		C->current.setting.ps_compress is now C->PSL->internal.compress.
				Do GMT_set_ellipsoid etc directly in GMT_setdefaults, and not as
				part of GMT_begin and/or GMT_begin_module.
				Do not warn for multiple uses of -f option.
	* explain_-f.txt:	Allow multiple uses of -f option.
	* gmt_io.c:		Removed hash nodes for month_name (only 12 items, runs fast enough with strcmp).
	* gmt_time.h:		Added uppercase array to month_name
	* explain_pen.txt:	Explain better that default unit for pen thickness is points
	* grdcontour_func.c:	---"---
	* gmt_plot.c:		Properly align time annotations
	* psbasemap_func.c, psbasemap.txt:	Added -f option.

2010-07-10	pwessel
	* mapproject_func.c:	UTM auto-setting of -R was reset to 0/360/-90/90

2010-07-10	remko
	* gmt_init.c:		Issue warning when using -m, -M, -S in GMT_COMPAT mode
	* configure.ac:		Added flag --enable-compat for compatibility mode
	* ex12:			Triangulate needs -M option
	* triangulate_func.c:	Activate -M option
	* grd2xyz_func.c:	Warn when using -E in GMT_COMPAT mode
	* mapproject_func.c:	Proper use of GMT_IS_LAT/LON/FLOAT
	* ex10:			Use proper bold font
	* pstext_func.c:	Make -M work
	* gmt_plot.c:		Reset linewidth after time-stamp
	* psxy_func.c:		No more checks on whether -m is used, since it is implied
	* grdcontour_func.c:	Force multi segment for -D<dumpfile>

2010-07-09	pwessel
	* grdcontour_func.c:	-T..: can now be : (default to -+), :LH (use L and H), or
				:stringl,stringh (for two strings).
	* ex25:			grd2xyz now takes -s, not -S unless in compatibility mode.
	* ex21:			gmtconvert needed -T to turn off headers.
	* gmt_io.c:		The -ZTLf read machinery did not use -s; now it does.

2010-07-08	pwessel
	* -m:			The -m option is no longer required and has been made obsolete,
				meaning it is only accessible if compiled with GMT_COMPAT.
				The option has been removed from all scripts and documentation.
	* gmtspatial_func.c:	Added new program for geospatial operations on lines and polygons.
				Still in development and tests will be added shortly.
	* ex13,14:		Used -G<dist>/<width> which is a syntax from GMT 3.  The 10 used to
				mean "use 10 points to compute average angle" but the syntax
				now is -Gd2i[/<frac>], where <frac> can be changed from 0.25
				which is how quickly the first label is plotted.
	* explain_contlabel.txt: Did not fully describe the -Gd label option, including the
				fractional part.
	* gmt_support.c:	Now complains if -Gd<dist>[/<frac>] finds frac outside 0-1.

2010-07-05	jluis
	* ps2raster.c:		Also converts ps files with headers but no image. Now it will
				create a 1x1 raster instead of aborting with an error message.

2010-06-30	pwessel
	* project_func.c:	Now properly handles multisegment files.
	* ex18/job*:		Changed to handle new grdcontour -D behavior.

2010-06-30  remko
	* pstext_func.c:	Added -f option

2010-06-29	pwessel
	* pscontour_func.c:	Greatly enhanced, with similar options to grdcontour.
				1. -C can take cpt, table, or interval, 2. -A can take
				annotation interval, -D dumps contours, -Tindexfile has
				been renamed -Qindexfile, so -T for ticks can be used.
				(but with backwards compatibility option.)
				-W can now take contour or annot pens.  Placement of H and
				L annotations improved by using centroids.
				No plot is generated when -D is used.
	* gmt_support.c:	New functions to compute polygon centroid/area added.

2010-06-28	pwessel
	* grdcontour_func.c:	New -D treatment will allow more flexibility in output forms
				and file names, as well as writing via memory ref. NOT DONE YET.
	* gmt_io.c:		Added GMT_IS_DIMENSION for converting input dimensions which
				may have a suffix unit (e.g., 3.5c).  This can occur in the
				input to psxy[z].
	* psxy[z]_func.c:	Better handling of dimensions with units passed via columns
				in the data file.
2010-06-24	pwessel
	* gmt*.c:		Use GMT_fscanf (macro or function) to handle Windows DLL
	* gmt_io.c:		GMT_fgets now checks for input record truncation and handles
				this gracefully (gives warning and scans to next record).
	* examples:		Now all work in GMT 5

2010-06-23	pwessel
	* *.c:			Programs that read table data but has no need for segment
				divisions (e.g., surface, nearneighbor) will automatically
				set -mi internally to avoid complaints of missing -m.
	* grdvolume_func.c:	Enhanced -T to be -T[c|h] for ORS estimate based on max
				curvature or height.  Results always written to stdout.
	* pscontour_func.c:	-T nodes are considered like any other data file (no longer
				expects binary integer files)
	* triangulate_func.c:	Indices output with -bo are now double, as all other i/o files.
	* filter1d_func.c:	Now reads -Ff coefficients via GMT_Get_Data.
	* nearneighbor_func.c:	Did not handle periodic x input when -fg was used
	* grdmask_func.c:	Did not handle periodic x input when -fg was used
	* grdmask_func.c:	Did not handle periodic x input when -fg was used
	* psmask_func.c:	Did not handle periodic x input when -fg was used
	* surface_func.c:	Did not handle periodic x input when -fg was used

2010-06-18	pwessel
	* *.c:			Changed current.proj.w,e,s,n,x|ymin|max to
				current.proj.wesn[] and current.proj.rect[].

2010-06-17	pwessel
	* *.c:			Use node_offset == GMT_GRIDLINE_REG or GMT_PIXEL_REG.

2010-06-15	pwessel
	* *.c:			Many internal changes, replacing how loops over grid nodes are
				done. Compiles, tested by running examples; ex16 not working.
2010-06-11	pwessel
	* *.c:			Change pad default to 2, i.e. all grids will have two rows/cols
				for padding use.  Exceptions will be grdfft_func.c and
				grdpaste_func.c.  Use GMT_IJP and variables row,col throughout.

2010-06-10	pwessel
	* GMT.c:		Let GNUmakefile work off GMTprogs.txt to build the parts
				that depend on which programs have been added. This info
				becomes gmt_prognames.h and gmt_progcases.h

2010-06-09	pwessel
	* gmt_grdio.c:		When reading subset with pad we try to fill pad with actual
				data if possible; otherwise BC is used to fill the pad.

2010-06-08	pwessel
	* grd2xyz_func.c:	Made -E obsolete (now under #define GMT_COMPAT)
	* xyz2grd_func.c:	Made -E obsolete (now under #define GMT_COMPAT)

2010-06-07	pwessel
	* gmt_esri_io.c:	Added format "aa" ESRI Arc/Info ASCII interchange format
				to the recognized GMT grid formats.

2010-06-06	pwessel
	* imgsrc/img2grd_func.c:	Initial porting to GMT 5. This function/executable
				combines functionality of old img2mercgrid and script img2grd.
				Not tested yet due to bug in grdproject.

2010-06-02	pwessel
	* gshhs/gshhs_func.c:	Initial porting to GMT 5
	* *_func.c:		Consistently use GMT_V_OPT for -v synopsis and add [API]

2010-05-20	remko
	* gmtdefaults_func.c:	No longer require -L (default behavior)
	* gmtset_func.c:	Allow no parameters at all. That is: "gmtset" on its own
				does the same as gmtdefaults > .gmtdefaults

2010-05-20	jluis
	* ps2raster.c:		Print a warning if the converted file was not created, as will
				happen with some formats (e.g. jpeg) if input PS file was not
				correctly closed (the -O -K swing).
2010-05-19	pwessel
	* pswiggle.c:		Option -Dx<gap> allows gaps to be in projected distances.

2010-05-18	jluis
	* grdgradient.c:	Let -S work alone without forcing -G

2010-05-13	jluis
	* gmt_gdalread.c:	Limit the patch against the GDAL flipud bug on netCDF files
				to versions prior than 1.7

2010-05-07	pwessel
	* gmt_init.c:		Changed -s[r] to the more general -s[<cols>][r]

2010-05-03	pwessel
	* gmt_init.c:		Added new global i/o option -s[r] that controls what
				happens to records whose z-column == NaN.
	* gmt_io.c:		The -s[r] mechanism is implemented in the basic i/o
	* grd2xyz_func.c:	The -S[r] is now obsolete, replaced by -s[r].
	* gmtselect_func.c:	Added -s[r] as option.
	* mapproject_func.c:	Added -s[r] as option.
	* project_func.c:	Added -s[r] as option.
	* gmtmath_func.c:	Added -s[r] as option.
	* gmtconvert_func.c:	Added -s[r] as option.

2010-05-02	pwessel
	* gmtconnect_func.c:	Promoted from supplement misc. Compiles, not tested.
	* gmtdp_func.c:		Promoted from supplement misc. Compiles, not tested.

2010-04-25	pwessel
	* psxy[z]_func.c:	For -Svs, the 2nd set of coordinates did not consider -:

2010-04-22	remko
	* gmt_map.c:		Improving map boundary crossing mechanism (first step)

2010-04-21	pwessel
	* sph/*:		Initial port to GMT 5 modules (compiles)

2010-04-20	pwessel
	* dbase/grdraster_func.c:	Operational.

2010-04-20	remko
	* *.txt, *_func.c:	-? causes usage message. Added info on -^ and -? (syntax and usage).
				Put explanation of -h and -: in the proper place.
	* explain_help.txt:	Help info
	* explain_colon.txt:	Renamed from explain_-t.txt
	* explain_-h.txt:	Renamed from explain_-H.txt

2010-04-19	pwessel
	* gmt_init.c:		Duplicated some initializations from GMT_begin to GMT_begin_module
				and split freeing between GMT_end and GMT_end_module.
	* dbase/grdraster.c:	Started initial porting to GMT 5 as module

2010-04-19	remko
	* gmtapi_parse.c:	Allow programs (like minmax) to work with NO arguments. Other
				programs should produce the usage message, not a segfault.
				Return OK from GMT_Sort_Options when list is empty, not error.
	* minmax_func.c:	Work again without arguments.
	* gmt_map.c:		GMT_wrap_around_check_x: removed superfluous code.
				GMT_geo_to_xy_line: Lift pen up when encountering NaN values.

2010-04-16	remko
	* gmt_init.c:		Isolated more compatibility code within #ifdef GMT_COMPAT #endif
				Added warning when using GMT4 parameters.
	* test/*.sh, scripts/*.sh, examples/*:	Use GMT5 default names

2010-04-15	pwessel
	* pshistogram_func.c:	Fixed # of bins bug when a datapoint equaled east.
	* gmt.h:		Make most members be allocated in the struct itself
	* gmt_init.c:		Added GMT_module_begin|end to manage save/restore of GMT struct
	* pslegend_func.c:	Mostly is now working with the new save/restore system.
	* examples/*:		Use GMT5 default names and syntax

2010-04-11	pwessel
	* gmtapi_util.c:	Now register resources with both family and method.
	* pslegend_func.c:	Now produces output (to be refined).  No image/scales yet.

2010-04-11	remko
	* gmt_init.c:		Changed frame.side to be binary flag 1 + 2, instead of 1 or 2.
				Use gmt_decode_wesnz (renamed from gmt_strip_wesnz) more efficiently.

2010-04-10	remko
	* pslib.c:		Renamed PSL_set{integer,pen,points,textdim,units} to PSL_def...
				Renamed PSL_setrgb to PSL_defcolor.
				psl_putcolor and psl_putdash, replacements for psl_place_color and
				psl_place_setdash, now return strings, instead of write out directly.
				Significantly simplified font and color indexing and output
				formatting in psl_paragraphprocess.
				Avoided using any fputc commands. All PS output through PSL_command.
	* gmt_init.c:		System-wide defaults is now share/conf/gmtdefaults.conf.
				Removed GMT_getdefpath.

2010-04-09	pwessel
	* pslegend_func.c:	First porting, added to Makefile, compiles only.

2010-04-09	remko
	* gmtset_func.c:	Introduced -D[s|u] to gmtset, like in gmtdefaults
	* gmt_init.c (GMT_getdefpath):	Use 's', 'u', and other as argument, not 2, 1, 0.
	* pslib.h:		PSL_SQUARE_CAP had wrong value (0 instead of 2)
	* gmt_init.c:		Significant improvement and simplification of option parsing.
				All gmtdefaults files must be read before PSL_beginsession.

2010-04-08	remko
	* gmt_support.c:	More robust checking of font, pen and color representation.
	* *.tex:		Replaced .gmtdefaults4 and .gmtcommands4
	* gmt_init.c:		Added extra argument to GMT_unit_lookup and GMT_convert_units to
				better select default unit (other than settings.measure_unit).
	* gmt_init.h:		Introduced macro GMT_to_inch to shorten GMT_convert_units call
				when default unit is settings.measure_unit and target unit is inch.

2010-04-08	pwessel
	* gmt*.{c,h,tex,txt,sh,csh,bat}:	The header option -H is now -h but is backwards compatible.
	* *_func.c:		Parsing simplified by doing all GMT commons inside library.

2010-04-07	remko
	* gmtapi_parse.c:	Always allocate at least a null string in GMT_Make_Option.
				Issue error GMT_ARG_IS_NULL when arg is null pointer in GMT_Append_Option.
	* gmtapi_errors.d:	New input file to create both gmtapi_errno.h and gmtapi_errstr.h.
				This file should later contain also an actual error string.
	* gmt_support.c:	Let GMT_chop zero out ALL \n and \r.
	* *_func.c:		Replaced checks on opt->arg by opt->arg[0]

2010-04-06	remko
	* gmt_init.c, gmt_unique.h, gmt.h:	Redid workings of .gmtcommands.
				Avoids crashes and simplifies way of dealing with -J.
	* gmt_plot.c:		Plot vertical axis before basemap so that title is plotted on top,
				not along the basemap. Fixed bug when using user-defined z-level.
	* gmt_init.c:		Make -Z option part of -p. -Z still allowed for backwards compatibility.
				Suggest using -R and -J when using -p.
	* {grdview,psbasemap,psclip,pscoast,pstext,psxyz}_func.c:	---"---
	* pstext_func.c:	Old -Z+ changed to -Z, but implemented with backwards compatibility.
	* pslib.c, PSL_prologue.ps:	Improved version of EPS inclusion mechanism.
	* {psimage,psscale}_func.c:	Make -p work with optional -R -J -Jz.
	* *.txt:		Use IT() and BD() macros.

2010-04-05	remko
	* pslib.c:		Used wrong PS call for textbox with straight corners
				Round dash length back to integers.
	* pstext_func.c:	Split the confusing -W option into three options:
				-G<fill>   color of textbox (was textcolor but that can be done with
				           font specification, e.g. Helvetica,red)
				-W<pen>    pen of the textbox (was -Wo<pen>)
				-To|O|c|C  shape of the textbox
	* gmt_io.c (GMT_parse_segment_header): -G+ and -W+ can now simply be -G and -W.
				-W option modifies the default setting, which is the one given on
				the command line.
	* gmt_io.c (GMT_read_table): Work properly with gaps (used to skip following record)
	* gmt_support.c:	GMT_gap_detected moved to gmt_io.c
	* gmt_plot.c:		Worked out way to make checkers in frames work properly.

2010-04-04	remko
	* job*.*, scripts/*.sh:	Replaced -W0.25p by -W (default pen)
				Replaced -W<>,o by -W<>,. (dotted line)
				Replaced -W<>,a by -W<>,- (dashed line)
	* gmt_plot.c (GMT_plane_perspective):	Allow plane = GMT_ZW to indicate z-level is not
				yet a projected coordinate.
	* gmt_map.c, gmt_init.c:	Set default current.proj.{fwd,inv}_{x,y,z} to linear
				transformation just in case they do not get set elsewhere.

2010-04-02	pwessel
	* gmtmath_func.c:	Now honors the order of columns in -F.  Also implemented the
				handling of -S[f|l] since that was left out when porting.

2010-04-02	jluis
	* gmt_init.c:		New function GMT_fprintf that uses vfprintf ().
	* *_func.c:		Replaced all occurences of fprintf by GMT_fprintf on mains.
	* job*.bat:		Fixed errors in examples ex03, ex04 & ex17 batch files

2010-04-02	remko
	* *_func.c:		Replaced -E<azim>/<elev>... by -p<azim>/<evel> conform grdimage, thus
				avoiding clash with -E<dpi>.
	* *.txt:		---"---
	* explain_{-J,-R,-X,-Y,-c,perspective}.txt:	Mention use of option without argument
	* gmt_init.c:		Added gmt_parse_p_option to GMT_parse_common_option to handle new -p
				option consistently.
	* gmt_support.c:	Removed now obsolete GMT_get_proj3D
	* explain_perspective.txt:	Replaces explain_-E.txt
	* psimage_func.c, psscale_func.c:	Implemented -p option to do 3-D perspective
	* job04*.*:		Replaced -E by -p
	* gmt_unique.h:		Added -p, so one can repeat -p after having set -p<azim>/<elev> in a
				previous command.

2010-04-01	jluis
	* gmt_init.c:		Re-write GMT_message & PSL_command macros as functions to workaround
	* pslib.c:		the DLL boundary cross problem on Windows. This solution is #ifdeffed
				to the Windows build.

2010-04-01	remko
	* gmtset_func.c:	Added -C option to convert .gmtdefaults4 file to GMT5
	* *.txt, *.tex:		Replaced all gmtdefaults parameter names by the new ones
	* grdimage_func.c:	Implemented -p option to do 3-D perspective
	* job04c.*:		Replaced plane perspective grdview image with grdimage

2010-03-31	remko
	* gmt_pennames.h:	Promoted "default" above "thinnest".
	* gmt_support.c:	GMT_putpen moved from gmt_init.c, now "names" the pen thickness.
				GMT_init_pen (now obsolete) sets default to black.
				Removed last to arguments of GMT_font_lookup (always the same).
				Added GMT_getfont, GMT_putfont and GMT_font_lookup.
				Removed GMT_old2newpen and GMT_contourlabel_specs_old:
				No more backwards compatibility with GMT 3.
	* gmt_init.c:		Moved GMT_font_lookup to gmt_support.c
				Removed FONT_*SIZE* (now integral to FONT_*).
	* gmt_texture.h:	Rename GMT_FONT to GMT_FONTSPEC.
				Added new GMT_FONT struct to hold size,name,color combination.
	* *.c:			Default pen now is set by MAP_DEFAULT_PEN (current.setting.default_pen)
	* gmtapi_parse.c:	Parse -- options before the others.
	* gmtdefaults.in:	Added MAP_DEFAULT_PEN. Used new FONT_* specifications.
				Removed FONT_*SIZE* (now integral to FONT_*).
				MAP_FRAME_PEN changed from 1.25p to "thicker" (1.50p).
	* gmt_defaults.h, gmt_keywords.txt:	---"---
	* *_func.c:		Use new GMT_FONT struct.
				Replaced background_rgb by default_pen.rgb where appropriate.
				Replaced foreground_rgb by page_rgb where appropriate.
	* gmt_plot.c:		---"---
	* ps|grdcontour_func.c:	Added new modifier -W- to instruct coloring of contour labels.
	* configure.ac:		Fixed reversed use off --enable-flock.
	* gmt_init.c, gmt_notunix.h:	Use -DFLOCK to switch file locking on instead of -DNO_LOCK
				to switch it off.


2010-03-30	pwessel
	* *.c:			Introduced GMT_Begin|End_IO throughout.

2010-03-30	remko
	* gmt_init.c:		Replaced gmt_put_colorname by GMT_putcolor, which can be
				more easily used to produce the color name.
				Removed GMT->current.setting.basemap_frame_rgb setting,
				use GMT->current.setting.frame_pen.rgb instead.
				No longer produces MAP_FRAME_COLOR on output.
				Introduced MAP_PEN to set all MAP_*_PEN.
	* gmt_prototypes.h:	Added GMT_putcolor and GMT_putpen.
	* gmt_support.c:	GMT_init_pen now initializes pen as black (as specified) not as
				GMT->current.setting.frame_pen.rgb

2010-03-29	remko
	* pscoast_func.c:	Fixed order of GMT_plane_perspective calls
	* *_func.c:		Removed superfluous "if (GMT->current.proj.three_D)"
	* grdview_func.c:	Fixed problems with parsing -Wm|c|f option
				Colors were rounded to primary and secondary colors
				Fixed plotting of mesh over surface
				Fixed plotting of 3D image
				No more clipmask drawn when using -Qc (using image mask instead)
	* PSL_label.ps:		Replaced one gsave by clipsave
	* gmt_plot.c:		Fill the "open" parts of the frame checkers with the page color
				set by PS_PAGE_COLOR (not done the corners though).
	* gmt_support.c:	Headers in GMT_PALETTE need to be deallocated with free(),
				not GMT_free().

2010-03-28	jluis
	* configure.ac:		Removed the -D_WIN32 association to Cygwin as on 1.7 version
				there would be a conflict with the GMT_setmode function

2010-03-28	remko
	* gmt_io.c:		Made closing of netCDF files in GMT_fclose safer
	* psxyz_func.c:		Made 3-D plotting of polygons, lines, and rotated rectangles work
	* gmt_plot.c:		Get the perspective of the vertical axis in 3D right
	* grdview_func.c:	Fixed some errors in perspective

2010-03-27	pwessel
	* gmtapi_parse.c:	Not allow -<number> as option so that negative numbers
				on the command line can be recognized.
	* *.[ch]:		Many little bug fixes to get all examples to run without
				crashing.  Still need to rewrite pslegend.

2010-03-27	remko
	* *.[ch]:		Replaced GMT_TEXTURE texture by GMT_PALLETTE palette
				Replaced texture in GMT_PEN by style
				Replaced texture = solid by style = solid
				Replaced GMT_*_texture by GMT_*_palette
				Replaced GMT_gettexture and GMT_is_texture by GMT_getpenstyle
				and GMT_is_penstyle
				Removed current.palette
				Replaced "multisegment header" with "segment header"
	* *.txt */*.txt:	---"---
				Replaced all generic mention of "r/g/b" by "color"
	* gmt_support.c:	Fixed GMT_copy_palette to properly copy labels

2010-03-26	remko
	* gmtdefaults.txt:	Changed all GMT setting names from GMT4 to GMT5 standard
	* GMT.in:		Removed. Now made from GMT.c
	* gmtdefaults_??.in:	Removed. Replaced with single gmtdefaults.in file.
	* configure.ac:		Changed accordingly.

2010-03-25	remko
	* gmt_io.c:		GMT_is_a_blank_line saw 't' instead of '\t' as whitespace
	* gmt_support.c:	Interpolation in CPT file was rounded, creating only primary/
				secondary colors.
	* psxy_func.c:		Now properly parses headers (used to use last one only).
				Can now use GMT_fix_up_path (used to crash).
	* gmt_init.c:		PS_VERBOSE was read as numerical, instead of true/false.
				Routine gmt_true_false_or_error will now also take "1" or "t"
				to mean "true" and "0" or "f" to mean "false" as well.

2010-03-25	pwessel
	* *_func.c:		Check that API was initialized, then assign GMT = API->GMT.
	* *.c:			Many minor fixes to prevent SEGV in examples, as well as
				memory handling issues.

2010-03-24	pwessel
	* gmtapi_parse.c:	Improved developer documentation in this file, streamlined
				the code, ensured proper error handling throughout, and fixed
				a free/GMT_free bug in GMT_Delete_Option.
	* gmtapi_util.c:	Improved developer documentation in this file, streamlined
				the code, ensured proper error handling throughout, eliminated
				checking when it is known that a calling function would already
				have checked.  Fixed some minor errors.
2010-03-24	remko
	* gmt_plot.c:		Renamed GMT_geo_line to GMT_plot_line and introduced new
				GMT_geo_line to plot lines with lon/lat coordinates.
	* psxy_func.c:		Several fixes to make almost work.

2010-03-23      pwessel
	* *.c:                  Use GMT_LL/PSL_LL to handle 64-bit integers across many OS

2010-03-23	remko
	* pslib.[ch], pslib_inc.h:	Removed pslib_inc.h, now in pslib.c.
				Removed PRINT_SIZE_T macro. Added PSL_LL macro.
	* gmt.h, gmt_macros.h:	Removed PRINT_SIZE_T macro. Added GMT_LL macro.
	* grdinfo_func.c:	Removed PRINT_SIZE_T macro.

2010-03-22	pwessel
	* *.[ch]:		Replaced all BOOLEANs with GMT_LONGs

2010-03-20	pwessel
	* minmax_func.c:	Added -A option, rewrote processing of records using new i/o,
				updated man page.

2010-03-19	pwessel
	* testgmtio.c:		Added to test and demonstrate how rec-by-rec table i/o is to be
				done in GMT5 applications.  It has hooks to handle all the things
				that set off flags in the i/o, e.g., headers, segments, NaNs,
				errors, gaps.
2010-03-15	pwessel
	* gmt_io.c:		Added GMT->current.io.skip_duplicates [FALSE] to control if consecutive
				records with identical x,y should be skipped.  This is needed
				by programs that uses GMT_sph_inonout, which does not expect to
				find duplicates vertices.
	* gmtselect_func.c:	Turns skip_duplicates on before reading polygons
	* grdmask_func.c:	Turns skip_duplicates on before reading polygons
	* grdmath_func.c:	Turns skip_duplicates on before reading polygons
	* ps2raster_func.c:	Now checks that all PS files begin with %!PS.

2010-03-11	remko
	* ps2raster.c:		End matter did not get parsed when there is no %%Orientation.

2010-03-09	pwessel
	* pslegend_func.c:	Uninitialized text string could put garbage in script.

2010-03-08	remko
	* make_math.sh:		Removed creation of *math_def.h, merged with *math_func.h.
	* *math_func.c:		Removed include of *math_def.h. Removed backwards compatibilities
				for GDIST and x, -, +, ^

2010-02-28	pwessel
	* gmt_map.c:		GMT_wesn_clip function would clip polygons even though
				there were no restrictions on longitudes (w/e = 360).

2010-02-21	pwessel
	* gmtapi_parse.c:	Protect against char arguments with trailing \n or \r in option list.

2010-02-21	jluis
	* gmt2rgb.c:		Option -G was freeing the output name before it was even allocated.
				This crashed the Windows binary.

2010-02-17	pwessel
	* grd2cpt_func.c:	Now added.
	* GMT.c:		Now added.
	* gmtapi_cmd.c:		Now included in libgmt.a with no internal function conflicts.

2010-02-15	remko
	* gmt_support.c:	Further improved internals of GMT_contour, GMT_trace_contour,
				GMT_splice_contour, significantly reducing amount of code lines.
				Removed GMT_start_contour.

2010-02-13	pwessel
	* greenspline_func.c:	Must insist that one of [-R -I], -N, or -T is specified.

2010-02-11	remko
	* gmt_support.c:	Improved the way contours on saddle points are produced.

2010-02-08	pwessel
	* gmt_plot.c:		Parallels that should be straight (e.g., in -JI) would sometimes
				appear with jump gaps.  Reported by E. Suarez 2/2/2010.
2010-02-01	remko
	* g??math_func.c:	Added function SQR (square).

2010-01-28	pwessel
	* grdcontour_func.c:	L or H color for first min/max annotation was not set

2010-01-26	remko
	* gmt_plot.c:		Fixed bug in GMT_plot_map_scale that could lead to endless loops
				when using scales to 100 km or any exact power of 10. Error was
				limited to 64-bit.

2010-01-24	jluis
	* meca/submeca.c:	Replaced calls to d_atan2() by d_atan2d() since the code expects
				angles in degrees. Thanks to Dan Scheirer for finding this.
	* meca/psmeca.c:	Removed out of place and repeated line to compute size in -a option
	* test/meca:		More meca tests added (from src/meca)

2010-01-21	jluis
	* mgd77/mgd77.c:	Update for 11th generation IGRF - IGRF2010

2010-01-17	jluis
	* surface_func.c:	Add options to interpolate with breaklines and to create
				pixel registration grids (options -D & -F)

2010-01-13	remko
	* psscale_func.c:	psscale -Bg now honours MAP_GRID_PEN_PRIMARY (as GMT4).

2010-01-11	pwessel
	* grd2xyz_func.c:	Added -N<value> to replace NaNs on output and to match xyz2grd options.
	* gmt_support.c:	GMT_inonout_sphpol_count could count a tangent touch as a crossing if
				the tangent point was a node point.

2010-01-09	pwessel
	* gmt_map.c:		GMT_wesn_clip assumed we always were clipping a polygon when in fact
				this depends on the application.
2010-01-08	jluis
	* gmt_support.c:	Increase the size of the variable that contains the path to
				a CPT file and the pathname to BUFSIZ bytes.
	* surface_func.c:	Eliminate 2nd sort when no change in throw_away_unusables.

2010-01-07	pwessel
	* pslib.c:		PSL_plottext can now accepts NULL text, which then assumes
				PSL_plottextbox was called first.

2010-01-05	pwessel
	* gmt_plot.c:		Calculation of actual width of map scale in pscoast/psbasemap
				did not anticipate using -E for 3-D perspective and got
				wrong width sometimes with a negative sign.
2009-12-20	jluis
	* ps2raster.c:		Write a GeoPDF registration info (doesn't work most of times)

2009-12-17	remko
	* psxy[z]_func.c:	New (and final) symbol -Sm for math angle, which lets
				you draw a circular arc with optional curved arrow
				heads in one, both, or zero ends.

	* psimage_func.c:	Added, needs testing.
	* psmask_func.c:	Added, needs testing.
	* psrose_func.c:	Added, needs testing.
	* pswiggle_func.c:	Added, needs testing.
	* sample1d_func.c:	Added, needs testing.
	* spectrum1d_func.c:	Added, needs testing.
	* splitxyz_func.c:	Added, needs testing.
	* surface_func.c:	Added, needs testing.
	* trend1d_func.c:	Added, needs testing.
	* trend2d_func.c:	Added, needs testing.
	* triangulate_func.c:	Added, needs testing.
	* xyz2grd_func.c:	Added, needs testing.
	* grdblend_func.c:	Added, needs testing.

2009-12-07	pwessel:
	* grdvolume_func.c:	Added, needs testing.
	* grdview_func.c:	Added, needs testing.
	* grdproject_func.c:	Added, needs testing.
	* minmax_func.c:	Added, needs testing.
	* project_func.c:	Added, needs testing.
	* ps2raster_func.c:	Added, needs testing.
	* psclip_func.c:	Added, needs testing.
	* pshistogram_func.c:	Added, needs testing.

2009-12-06	pwessel:
	* grdfft_func.c:	Compiles.  Major changes due to global variables now eliminated.
				Needs testing.
	* grdhisteq_func.c:	Added, needs testing.
	* grdmask_func.c:	Added, needs testing.
	* grdmath_func.c:	Added, needs testing.
	* grdpaste_func.c:	Added, needs testing.
	* grdreformat_func.c:	Added, needs testing.
	* grdvector_func.c:	Added, needs testing.

2009-12-03	pwessel:
	* gmtmath_func.c:	Starts to work, at least for simple cases.  Needs more testing.
	* gmt2rgb_func.c:	Added, compiles.

2009-12-01	pwessel:
	* gmt_io.c:		Added GMT_set_cols to simplify i/o # column settings.
	* pstext_func.c:	Added, tested normal text mode which plotted.

2009-11-30	pwessel:
	* gmt_grd.h:		Added GMT_grd_[i|j]_to_[x|y] and inverse macros when we
				can use a struct GRD_HEADER pointer for all the parameters
				needed by GMT_[i|j]_to_[x|y].
	* nearneighbor_func.c:	Added
	* gmt_io.c:		Placed error report on ascii read inside read function to
				avoid endless duplication in the main functions.

2009-11-29	pwessel:
	* gmtapi_util.c:	Let GMT_Put_Record take a mode rather than n_cols and use
				mode to write data-, header-, segment-, or text-records.
				The rec pointer is now void and can be *double or *char.
	* gmtselect_func.c:	Added
	* grd2xyz_func.c:	Added
	* grdfilter_func.c:	Added
	* grdgradient_func.c:	Added
	* pscontour_func.c:	Added

2009-11-29	remko
	* gmt_init.c:		Set progname in GMT_begin. Output PS_EPS setting properly.
				Added module_name to GMT_INIT struct to be used in error msg.
				Binary image format removed as option.
	* gmtdefaults_??.in:	New naming of settings.
	* configure.ac:		@EPS@ is now true or false.
	* gmtprogram.c:		Pass argv[0] to Create_Session (for GMT_begin).
	* pslib.c:		Binary image format removed as option.
	* gmt_plot.c:		Got plotting of z-axis right.

2009-11-28	pwessel
	* fitcircle_func.c:	Added
	* blockmedian_func.c:	Added
	* blockmode_func.c:	Added
	* gmtapi_util.c:	The import functions now report things like "reading from ..."
				so no mains needs to worry about that.  Also, no mains need
				to have #ifdef SET_IO_MODE since that is taken care of by
				the GMT API library.

2009-11-27	pwessel
	* gmt_init.c:		The old +gmtdefaults mechanism is no longer supported.
	* gmtwhich_func.c:	Added.
	* grdlandmask_func.c:	Added

2009-11-26	pwessel
	* grdcontour_func.c:	1) -Q should only apply to closed contours
				2) -T failed to find inside point for oblique projections.

2009-11-25	pwessel
	* gmt_init.c:		Modified GMT_begin to also initialize PSL, then parse
				GMT/PSL defaults.  Split gmt_history into gmt_get_history
				which is called by GMT_begin at start of session. History
				is maintained via GMT->init.history and updated by the
				GMT_Complete_Options via GMT_Sort_Options.  This replaces
				-R with the latest -Rw/e/s/n, etc.  Then, GMT_Destroy_Session
				calls GMT_end which calls gmt_put_history which finally
				writes out the new .gmtcommands listing.
				Also parse .gmtcommands PSL defaults directly into the PSL struct
				if it is not NULL.
	* gmtdefaults_func.c:	Now moved to "PSL" programs since it must be able to parse PSL.
	* gmtset_func.c:	---"---

2009-11-25	remko
	* pslib.c:		Be more tolerant of short paths in psl_patch, PSL_plotline
				and PSL_plotpolygon

2009-11-24	pwessel
	* gmt_init.c:		Guard against getting a negative hash value (happened
				when text was Russian language codes from ru.d)
2009-11-24	remko
	* pslib.c:		Removed old obscure traps needed for pscoast. Fixed bug
				in PSL_plotarc. Only issue setlinecap/setlinejoin/setmiterlimit
				when actually changed.
	* pscoast_func.c:	No longer relies on traps in pslib.
				Reuse recursive code both for filling and clipping.
				No longer suggests it is clipping while it is filling.
	* gmt_support.c:	GMT_NaN_pen_up moved to gmt_plot.c.
	* gmt_map.c:		Now needs pslib.h because of defines PSL_MOVE and PSL_DRAW
	* gmt_init.c:		Now needs pslib.h because of defines PSL_BUTT_CAP, etc.
	* gmt_plot.c:		Replaced old identifiers 3,2 by PSL_MOVE,PSL_DRAW.
				Make sure boundary checkers are drawn with butt cap.

2009-11-24	jluis
	* grdedit_func.c:	Now a GMT 5 program (not complete)
	* grdtrend_func.c:	Do not allocate the residue array if not needed.
				Simplify the 'xval & yval' computation

2009-11-23	pwessel
	* grdimage_func.o:	Initial version, compiles, makes image but gv wont show?
	* grdlandmask.c:	Round-off and bug caused missing nodes for -F -R

2009-11-23	remko
	* pslib.c:		PSL_plotline: arguments "type" and "close" merged.
				Use combination of PSL_DRAW, PSL_MOVE, PSL_STROKE and
				PSL_CLOSE for "type. Previous version incorrectly removed
				last point on "close" when line did not start with move.
				PSL_plotarc, PSL_plotpoint: use combination of PSL_DRAW,
				PSL_MOVE, PSL_STROKE, PSL_REL for "type.
	* pslib.h, pslib.txt, *.*.c:	---"---
	* gmt_plot.c:		Removed GMT_geoplot and GMT_geosegment (obsolete).

2009-11-22	pwessel
	* grd2cpt_func.c:	Added. More or less finalized GMT API.
	* gmt_globals.h:	Not used.

2009-11-20	remko
	* pslib.c, PSL_prologue.ps:	"os" is now either "P S" or "N", thus changing all
				"P fs os" to "fs os". Fill automatically closes path, so no
				"P" needed before that. Also ensure init of "fs" and "os".

2009-11-20	pwessel
	* doc/GMT_API.tex:	Worked up to a reasonable shape; GNUmakefile now builds the
				HTML and PDF documentation in share/doc.
	* gmtapi_util.c:	Added error checking throughout, especially checking the
				pointers returned by GMT_memory.  Now, all *_Destroy_*
				functions, like the *_Create_* functions, expects the address
				of the pointer whose memory should be freed.
	* gmtapi_parse.c:	Same as above.
	* share/cpt/*.cpt:	Cleaned up (removed DOS \r, spaces, unneeded decimals) so one
				can compare originals to output of makecpt for testing of i/o
	* psscale_func.c:	Ported.

2009-11-19	pwessel
	* gmtapi_util.c:	Removed argc, argv as argument.  Replaced by a session tag
				which (if not NULL) is used in error messages.  Also added
				a session_ID which is useful for tracking multiple sessions.
	* pscoast_func.c:	Now finishes but misses some bins.
	* gmtconvert.txt:	With -D can now use single segment number of a combination
				of table number and segment number within the table

2009-11-19	remko
	* gmt_map.c, gmt_shore.c:	Removed 3D projections (use GMT_plane_projection instead)
	* gmt_plot.c:		Replaced gsave/grestore in GMT_plane_perspective by
				currentmatrix/setmatrix pair.
				Promoted GMT_plane_perspective to higher level (only
				GMT_vertical_axis sets it and restores it).
				No more need for origin shift when doing 3D (already in GMT_plane_perspective and
				GMT_xyz_to_xy).
	* *.c:			Update GMT_plane_perspective calls
	* pscoast_func.c:	Introduced (runs but aborts prematurely).
	* gmt_map.c:		view_azimuth now remains viewer azimuth, not viewing direction.
	* pslib.c:		Use clipsave/cliprestore to encapsulate clipping, not gsave/grestore.

2009-11-18	pwessel
	* filter1d_func.c:	Now using the new i/o, hence acquires -m -g capability!
	* pslib.c:		Initialize pointers to NULL and reset them to NULL in
				psl_free.

2009-11-18	remko
	* gmt_map.c:		Removed GMT_coordinate_to_[xy]. Obsolete, use GMT_x_to_xx
				and GMT_y_to_yy instead.
	* gmt_plot.c:		GMT_vertical_axis now through plane_perspective mechanism.
				Removed GMT_xyz_axis3D, GMT_text3D, GMT_textbox3D.
				Removed bug from GMT_plane_perspective.

2009-11-17	pwessel
	* *_func.c:		Merged in *_func.h since only included by these funcs.
	* gmt_support.h:	Macro GMT_free now sets freed pointers to NULL
	* gmt*.c:		Declared pointers are initialized to NULL

2009-11-17	jluis
	* grdclip_func.[ch]:	Now a GMT 5 program and working.
	* grdinfo_func.c:	Now a GMT 5 program (partially working).

2009-11-17	remko
	* gmt_plot.c:		Keep dimensions of annotation labels during dimensioning of offsets
				for faster use during justification.
				Further removed 3D functions from internal functions and replace by
				GMT_plane_perspective (all marked by #ifdef OLD3D).
				GMT_fill removed (use GMT_setfill + PSL_plotpolygon instead).

2009-11-16	pwessel
	* gmtdefaults_func.c:	Now a GMT 5 program and working.
	* gmtset_func.[ch]:	Now a GMT 5 program and working.
	* grdcontour.txt:	Default for -T is now 15p/3p
	* psxy[z]_func.c:	Now use points for vector and error-cap dimensions.
	* psrose.c:		Now use points for vector attributes
	* grdcontour.c:		---"---
	* pslegend.c:		Now use points for box clearance
	* greenspline_func.c:	Converted, compiles and tested 1d/2d.

2009-11-16	remko
	* gmtdefaults_??.in, gmt_globals.h:	Defaults of small offsets that were different
				between SI and US are now all in points. Origin offset now
				1 inch in both cases.
	* gmt_init.c:		MEASURE_UNIT can now just be 'c', 'i', 'm', or 'p'.
				Will store input unit on settings like X_ORIGIN and then
				write those out when producing a GMT defaults file.
				Removed resize option for annotation offsets (was obsolete).
				Removed all backwards compatible setting names like ANOT_FONT_SIZE.
	* gmt_keywords.d:	Removed all backwards compatible setting names like ANOT_FONT_SIZE.
	* gmt_plot.c:		Removed need for global parameters from GMT_plane_perspective.
				Starting to remove all 3D functions and using GMT_plane_perspective
				instead.

2009-11-15	pwessel
	* gmtapi_util.c:	Added GMTAPI_{Import|Export|Destroy}_CPT i/o funcs.
	* makecpt_func.c:	Now using GMTAPI i/o machinery successfully.
	* *_inc.h:		Now renamed to *_func.h to match *_func.c

2009-11-15	jluis
	* x2sys/x2sys_list.c:	Weights were not written out when names were selected as well,
				as in -Fncw

2009-11-15	remko
	* gmt_init.c:		Move normalization of symbol sizes to symbol_parse function,
				thus allowing to remove it from psxy[z].
	* psxy.c:		A lot of coding improvements.
	* psxyz.c:		---"---. Fixed bug in distance sorting (also made much simpler).
	* gmt_plot.c:		Deleted all GMT_<symbol> routines. Became superfluous after
				introduction of GMT_plane_perspective.
				GMT_plane_perspective further improved: do just translations if
				possible and but global variables in z_project struct.

2009-11-14	pwessel
	* makecpt_func.c:	Working version but not passing via ptr yet

2009-11-13	pwessel
	* testgmt5.c:		Simple GMT 5 program that does its own grid i/o but
				then calls GMT_grdcut to do the work.

2009-11-12	pwessel
	* gmt_io.c:		Internal i/o seems complete
	* gmtconvert_func.c:	Application works with all options and binary data.
	* grdcut_func.c:	Initial effort; appears to work.

2009-11-12	remko
	* PSL_prologue.ps, pslib.c:	Renamed all symbol macros. Added /Sm for rounded box.
				Guarded all symbol macros against rogue lines drawn from
				currentpoint. Improved rectangle macros /Sj and /Sr.
				Inserted /Sb and /Sm in PSL_plottextbox.
	* psxyz_func.c:		Introduced GMT_plane_perspective to do 3D plotting more easily.
				Testing stage.
	* psxy_func.c:		Code harmonization with psxyz_func.c
	* gmt_map.c:		Removed GMT_project3D, use GMT_geo_to_xy and GMT_z_to_zz instead.
				GMT_2D_to_3D renamed to GMT_xyz_to_xy_n.
				GMT_2Dz_to_3D renamed to GMT_xy_do_z_to_xy_n
	* *.c:			Renamed {Free,New}_Program_Ctrl to {New,Free}_program_Ctrl
	* gmt_plot.c:		GMT_plot_* renamed to GMT_geo_*. Removed fill/outline arguments
				from those routines. GMT_<symbol> routines made obsolete.
				GMT_draw_fence, GMT_draw_custom_symbol, GMT_draw_{mag,dir}_rose
				converted back to 2D. GMT_draw_map_rose uses GMT_plane_perspective.
				GMT_draw_custom_symbol now uses GMT_SYMBOL_<symbol> macros.
	* custom/*.def:		Replaced 'C' (old standard) by 'c' for circles.

2009-11-12	pwessel
	* gmtconvert_func.c:	First working version (only ascii tested)
	* gmt_io.c:		Added GMT_write_dataset function

2009-11-11	pwessel
	* psxyz_func.c:		Now working with basic input file.
	* gmtapi_util.c:	GMTAPI_Import_Dataset now accepts a geometry variable
				so we know if it is point, line, poly, grid.

2009-11-10	remko
	* pslib.c:		Properly init fill
	* gmt_support.c:	Convert GMT_rgb_color to 0-1 range
	* psxyz_func.c:		First working version
	* psxy_func.c:		Added to CVS

2009-11-09	remko
	* PSL_prologue.ps, pslib.c:	Removed all superfluous strokes. Both M and m are
				now just /moveto. "m" slated to be replaced by "M".
	* gmt_support.c, gmt_error.h:	Changed GMT_err_pass and GMT_err_fail to macros, passing
				sourcefile:lineno on to GMT_err_func in DEBUG mode.

2009-11-09	pwessel
	* gmt_shore.[ch]:	Changes to accommodate new GSHHS2.0.2 netcdf files
				which needed more metadata to properly compute the
				level of tile corners after features where dropped
				due to size etc.  2.0.2 will be released with GMT 4.5.2
				but early adopters (CVS) will get a warning with
				instructions on how to ftp.
	* grdgradient.c:	Now, -Lg will imply -fg to properly set geographic units
				Fixed bug where the gradient at the S pole was not
				replicated to x = east.

2009-11-07	pwessel
	* gmt_io.c:		GMT_access did not check for NULL filename

2009-11-07	remko
	* PSL_prologue.ps:	/SX and /SY introduced for x-dash and y-dash. /SW, /O and /SC
				improved/changed so that order of arguments generally is:
				size x y.
	* pslib.c:		---"---
				psl_sector renamed psl_wedge, psl_rotaterect renamed psl_rotrect.
				psl_ellipse: sizes are now full major/minor axes, not semi-axes.

2009-11-06	remko
	* pslib.c:		PSL_plotbox introduced (plots box).
				PSL_plot*image added justify option; allow 0 x|ysize to keep aspect
				ratio.
				psl_point renamed to psl_dot. PSL_POINT renamed to PSL_DOT.
				psl_rotatetrans and psl_transrotate removed: single code in PSL_setorigin.
				psl_rect fixed to work properly with plot coordinates.

2009-11-05	pwessel
	* imgsrc/img2google:	One gmtmath call did not have -Q

2009-11-04	pwessel
	* pslib.[ch]:		Added function to map user coords to measurement coords.

2009-11-02	pwessel
	* mapproject.c:		The -S option failed after i/o makeover.

2009-10-31	pwessel
	* pslib.[ch]:		Break up PSL_paragraph to separate out PSL_paragraphbox.

2009-10-30	remko
	* pslib.h, gmt_colors.h:	Introduced PSL_rgb_copy and GMT_rgb_copy to copy RGB triplets.
	* pslib.c, pslib.txt:	PSL_setdash and PSL_linewidth now officially take points as input.
				Removed invert argument from PSL_bitimage.
				Removed invert and outline argument from PSL_setpattern.
				Fixed bugs in PSL_plot preventing proper stroking.
	* gmt_support.c:	Removed GMT_convertpen (became obsolete).

2009-10-29	remko
	* gmt.h, gmtapi.h:	gmt.h now includes gmtapi.h and not vice versa.
	* pslib.c:		PSL_textbox now responds to PSL_setfill for fill color and outline.

2009-10-28	pwessel
	* pslib.[ch]:		Use dpu and dpp to scale units and points to PS dots.

2009-10-28	remko
	* *.c, *.h:		Changed RGB from int to double.
				PSL_setpaint -> PSL_setcolor.
				PSL_setlength -> PSL_setunit, PSL_setheight -> PSL_setpoints.
	* pslib_inc.h:		New macros PSL_[stq]255 for double (0-1) to int (0-255) conversion.
	* pslib.c:		Removed PSL_rgb_to_mono.
	* psimage.c:		Replace PSL_rgb_to_mono by PSL_gray_encode.
	* pslib.c:		Bug fix: memory never got freed by PSL_free
	* gmt_plot.c:		Adjust to several changes in pslib.c.
	* gmt_support.c (GMT_memory_func):	Print number of items and size on error.
	* *_func.c:		More cleaning work and safe returns (freeing mem first).
	* Makefile:		psldemo included

2009-10-27	pwessel
	* pslib.[ch]:		Now specify colors in double precision 0-1 range; fontsizes, pen widths
				and dashes in points; and offsets and other dimensions in session
				measurement units (cm, inch, points, m).

2009-10-27	remko
	* GNUmakefile:		New location of config.* files for download
	* config.*:		New files of Sep/Oct 2009.

2009-10-26	pwessel
	* pslib.[ch]:		Removed rgb & outline as args to symbols and polygons.   Now all
				symbols are called via PSL_symbol.  Removed PSL_colortiles and
				changed PSL_transrotate/rotatetrans to PSL_coord_transform (...,PSL_FWD|INV)
	* pslib.txt:		Updated man page for PSL and group functions by type.
	* gmtpsprogram.c: 	Dummy for building GMT executables that need PSL
	* gmt_init.c:		Removed COLOR_IMAGE [Adobe/tiles] as a GMT default since we eliminated tiles.

2009-10-26	remko
	* gmt_init.c:		Added GMT_check_binary_io to do a bunch of commonly used checks
				concerning binary I/O.
	* gmt_error.h:		Added macro GMT_check_condition to do a regularly occurring
				conditional error report.
				Created new GMT_report macro.
	* pslib.h:		Created new PSL_message macro.
	* *.c:			Use GMT_check_binary_io and GMT_check_condition where possible.

2009-10-25	remko
	* filter1d_func.c, filter1d_inc.h:	Added these new functions to replace filter1d.c

2009-10-24	remko
	* pslib.[ch]:		Replaced PSL_command routine with a macro so that it can handle
				a variable number of arguments, similar to fprintf.
				Note that the new PSL_command does not automatically end in \n.
	* gmt_plot.c:		Implemented new PSL_command.

2009-10-23	pwessel
	* pslib.[ch]:		Functions are now called PSL_* and take a PSL_CTRL pointer as
				their first argument.
2009-10-23	remko
	* config.mk.in, common.mk: Replaced makegmt.macros by config.mk
				Replaced gmtalldeps.macros by common.mk
	* All makefiles:	Improved handling of libs in Makefiles

2009-10-21	remko
	* src/GNUmakefile, src/Makefile, gmtprogram.c: make_program.sh replaced by gmtprogram.c,
				which accomplishes the same without creating intermediate
				source files.
				This made *_cmd functions and gmtapi_cmd.c superfluous (still
				included though).
	* gmt_customio.c, gmt_grdio.c:	Make sure GMT_memory always has sizeof() argument.
	* gmt_support.c, *.c:	New convenience macros for memory allocation:
				GMT_memory for GMT_memory_func, GMT_malloc for GMT_malloc_func
				which used to be called GMT_alloc_memory, GMT_free for GMT_free_func.
	* GMT_memory.sed:	Sed script to change the code for the new convenience macros.

2009-10-20	remko
	* configure.ac:		Compatibility version is 5.0.0 not 4.0.0.
	* src/Makefile:		Fixed dependancies for *_func.o.
	* gmt_init.c:		Replaced GMT_default_error function with a macro.
	* gmt_io.c:		Fixed bug in GMT_traverse_dir.
	* gmt_map.c:		Initialize the uninitialized.
	* gmt_support.[ch]:	Changed GMT_alloc_memory[234] from function to macro.
	* gmt_error.h:		New GMT_message, GMT_report and GMT_default_error macros.
	* *.c:			Use GMT_message and GMT_report where appropriate.
	* explain_-V.txt:	Add multiple levels.

2009-10-17      pwessel
	* gmt_init.c:		verbose is now integer from 0-4, with default 1 which
				is fatal errors.  -V equals 2, -V<level> now accepted.
				Implemented Remko's idea of GMT_message macro with
				variable arguments to print variables if needed.

2009-10-16      pwessel
	* Moved gmt5 stuff into src, changed library names to gmtcore, gmtcoreps, and
	  gmtapi, added make_gmtapi.sh which creates gmtapi_cmd.[ch] and gmtapi_func.h.
	  All makefiles are now called Makefile (uppercase M).
	* gmt_init.c:		GMT_parse_common_options no longer takes the w,e,s,n pointers
	* Makefile:		Only does libraries and blockmean, psbasemap for now.  We
				will add programs as they are converted.

2009-10-15      pwessel
	* gmt_init.c:		Now use .gmtdefaults and check for GMT 5 version.  Also
				use .gmtcommands, and no longer check for backwards
				compatibility with GMT 3 defaults.
	* x2sys.c:              x2sys_pick_fields should NOT reset x_col, y_col, t_col as
	                        these indicate which input columns hold x, y, t.
	* x2sys/x2sys_datalist.c:       Confusion between input order and output order when
	                        the -F<list> option was used.

2009-10-15	jluis
	* gmt_customio.c:	Fixed bug resulting from releasing the pointer to from_gdalread
				structure before its members.
	* gmt_gdalread.c:	Force computation of min/max since metadata info may be wrong

2009-10-14	pwessel
	* src/gmt5:		Can now build psbasemap application!

2009-10-14	remko
	* grdtrend.c:	Explicitly set pstuff[0] = 1 and use it in loops.
			Ported from grdtrend.c:1.36.

2009-10-12	pwessel
	* Passes the tests.
	* gmtwhich.c:	New program that reports the full path to
	  		data files by searching the GMT_DATADIR paths.

2009-10-08	pwessel
	* Now completes test suite as before except for psmeca test.
	* All supplements now compile but not tested for run-time yet.

2009-10-07	pwessel
	* Running the 29 examples now works.  No work on supplements yet except
	  sed changes.  Many test script also fail at this stage.

2009-10-05	pwessel
	* Introduced gmt_prototypes.h for all API low-level functions
	  The libraries now all use pointers to pass the GMT "globals"
	  and they are compiling. All progs are compile, link.

2009-10-03	pwessel
	* Introduce several new include files by breaking up gmt.h:
		gmt_crossing.h gmt_hash.h gmt_texture.h gmt_ps.h
		gmt_defaults.h gmt_macros.h gmt_time.h gmt_types.h
		gmt_debug.h gmt_constants.h gmt5.h
	* Replaced all global variables, now passed via stucture GMT.
	  Currently the only remaining global.  All compiles now.

-----------------------------------------------------------------------------------------
2009-10-03	pwessel		This is now GMT 5 work
-----------------------------------------------------------------------------------------
2009-10-03	pwessel		GMT 5 branch tag set: GMT5_branch

2009-10-01	pwessel
	* psrose.c:		Needed to set scale to 1 so the bounding box
				calculations would be correct for EPS output.

2009-10-01	remko
	* explain_-J*.txt:	Added necessary / after -Jpoly
	* misc/gmt2kml.c:	Removed rogue \n before </coordinates>\n.

2009-09-29	pwessel
	* install_gmt:		GDAL setup had bad variable name $enable-gdal that
				was meant to be $enable_gdal, and a bad if-test.

2009-09-28	jluis
	* x2sys/x2sys_merge.c:	Improved updating algorithm for detected cases where
				where it was failing badly.

2009-09-27	pwessel
	* gmt_init.c:		Bug in the parsing of -Jg<lon>/<lat>/<radius>/<lat>.
	* spotter/backtracker.c:	When -L is set, -mo must be turned on automatically
					even if -m is not set.

2009-09-25	pwessel
	* gmtconvert.c:		The -S option failed for actual matches; the 2009/5/26
				change screwed that up.  Now fixed and tested.
	* spotter/rotconverter.c:	New option -E to reduce stage pole opening
					angles by <fact> [0.5] (to get half-spreading rates)

2009-09-24	pwessel
	* gmt_grdio.c:		GMT_read_img did not apply swab if little-endian arch.

2009-09-24	remko
	* configure.ac:		Fixed bug with -rpath

2009-09-22	pwessel
	* misc/kml2gmt.c:		Attempt to parse feature description (if present in KML)
	* misc/gmt2kml.c:		Attempt to write feature description (if present in segment header)
	* mgd77/mgd77sniffer.c:		SEGV when an array index was allowed to become -1

-----------------------------------------------------------------------------------------
2009-09-20	pwessel
	* GMT 4.5.1 finalized and released
-----------------------------------------------------------------------------------------

2009-09-19	pwessel
	* psxy.c:		Added 4 new custom symbols (90-degree triangle in 4 quadrants)

2009-09-17	pwessel
	* x2sys/x2sys_get.c:	The -L option failed if list contained file extensions
2009-09-15	pwessel
	* x2sys/x2sys_solve.c:	Did not allocate array for weights.
	* pswiggle.c:		Incorrectly computed distances with -Jx<scale>d.

2009-09-13	pwessel
	* misc/gmt2kml.c:	Avoid mixing stdout/GMT_stdout as Windoze is Windoze.
	* misc/kml2gmt.c:	Avoid mixing stdout/GMT_stdout as Windoze is Windoze.

2009-09-12	pwessel
	* spotter:		Failed in 64-bit mode due to variable mismatch:
	* spotter/backtracker.c:	Needed GMT_LONG variables to be passed to GMT libs
	* spotter/hotspotter.c:		Needed GMT_LONG variables to be passed to GMT libs
	* spotter/originator.c:		Needed GMT_LONG variables to be passed to GMT libs

2009-09-11	remko
	* gmtdefaults_*.in:	Enter TRANSPARENCY = 0; replaced color triplets by names.
	* gmt_init.c:		Let gmtdefaults output TRANSPARENCY and print colors as names
				if available.
	* gmt_support.c:	Added GMT_getrgb_index to get index of preset RGB triplets.
	* gmt_{init,map.c}:	When using -JX, give width or height as 0 and it will adjust to
				the scale of the other (keeping aspect ratio).

2009-09-10	pwessel
	* grdcontour.c:		The -L option was not used in limiting contours.

2009-09-10	remko
	* gmt_init.c:		Introduced option to make material transparent using the
				--TRANSPARENCY setting (or gmtset TRANSPARENCY). Can be viewed
				with Adobe Distiller (only?).
	* gmt_plot.c, gmtdefaults.txt, gmt.h, gmt_globals.h, gmt_keywords.d:	---"---
	* psclip.c, pscoast.c:	Replaced booleans GMT_ps.clip_on and GMT_ps.clip_off with single
				GMT_ps.clip with values -1, 0 or +1.
	* configure.ac, all makefiles:	Needed to redo the way GDAL_INC and GDAL_LIB are inserted.
				-I (without anything) of -L (without anything) when GDAL is not
				enabled makes compiling impossible. So *_LIB and *_INC (also
				NETCDF) now include the -I and -L/-l flags.

2009-09-10	jluis
	* mgd77/mgd77magref.c:	It now lets the Core field be computed with the IGRF and added
				to the atmospheric sources calculated with CM4. We added
				this because the secular variation in CM4 is limited to 2002.5
				but the "atmospheric coefficients" can be continuously updated

2009-09-09	pwessel
	* LICENSE.TXT:		Replaced file COPYING with LICENSE.TXT and clarified we are
	  			using GPL v2 as displayed in all source files.
	* GSHHS*:		Updated to GSHHS 2.0.1 so new pscoast options can work
	* configure.ac:		Added --enable-gdal[=dir] for experimental GDAL grid import
				functionality for reading GDAL-supported grids (one band) and
				plotting of geotiff via grdimage

2009-09-08	pwessel
	* mgd77/mgd77magref.c:	Got wrong time as time initialization had changed but
				not implemented in this program.
	* misc/gmt2kml.c:	-T did not handle spaces in titles and folder names

2009-09-07	jluis
	* gmt_customio.[ch]:	Added the optional GDAL interface as format 22
	* gmtinstall.bat:	Now has rules to optionally compile the GDAL interface

2009-09-07	remko
	* minmax.c:		Bug fix: -EH did not work

2009-09-06	pwessel
	* gmt_customio.c:	Made surfer grid header i/o 64-bit compliant

2009-09-06	jluis
	* nc2xy.c:		Added -b option (of which only -bo makes sense)

2009-09-06	remko
	* configure.ac:		Now use --enable-flock to enable file locking, instead of
				--disable-flock to disable if.
				Use --enable-64 to force 64-bit compilation, use --disable-64
				to force 32-bit compilation. Otherwise use default.
				Switch -DGMT_QSORT on only for OSX prior to Snow Leopard.

2009-09-04	pwessel
	* gmt.h:		Now has GMT_abs macro that handles abs/labs use

2009-09-04	remko
	* gmt_map.[ch]:		Changed GMT_truncate from being a pointer function (PFL)
				to a regular function that simply calls GMT_truncate_x
				or GMT_truncate_tm depending on whether projection is TM.
				This to avoid problems with calling GMT_truncate with
				constant argument -1 in 64-bit machines.
	* gmt_shore.c, psmask.c, gmt.h, gmt_globals.h:	---"---
	* pscoast.c:		Added mention of debugging options when DEBUG is on.
	* gmt_support.c:	GMT_log_array: Recoded to avoid 64-bit error (last value was not
				included).
				GMT_pow_array, GMT_log_array: Simplified code.
				GMT_memory: Now free memory when reallocating memory with size 0.

2009-08-27	jluis
	* gmt_gdalread.[ch]:	Wrapper function to interface with the GDAL library
	* grdimage.c:		Modified (with #ifdefs) to allow minimalist images import
				using GDAL, via the gmt_gdalread function.
	* gmt_support.c:	Fixed bug in x_inc adjust. It was cosd (0.5 * (h->x_min + h->x_max))
				Instead of cosd (0.5 * (h->y_min + h->y_max))

2009-08-20	remko
	* pslib.c, pslib_inc.h:	ps_place_color now also adds the "set...color" operator, so
				that PSL->internal.paint_code could be removed.

2009-08-17	remko
	* gmt_plot.c, GMT_Chapter_{3,6}.tex:	Documentation on -JPoly added.
	* gmt_map.c:		Made frame and annotation of polyconic work properly.
	* {x2sys,mgd77,mgg}/makefile:	Solved problems with install/uninstall and missing *.h
				files in distro.

2009-08-15	remko
	* gmt_proj.[ch], gmt_map.c, gmt_init.c:	First stab at introducing polyconic projection.
				Not documented yet, but seems to work (-JPoly).

2009-07-24	pwessel
	* gmt_support.c:	The routine that checks if a points is inside or outside a
				polar cap had trouble when the points longitude exactly
				equalled a point on the polygon since round-off would
				cause our test to fail.  Now hopefully fool-proof.
2009-07-23	pwessel
	* psmask.c:		With -D, the internal di,dj constant was set way too large.

2009-07-22	pwessel
	* gmt_shore.[ch]:	The -A+r|+l option was premature as more info in the GSHHS
				netcdf files are needed to properly skip features.  GSHHS 2.0.1
				will have this information so pscoast et al need to check
				for versions before attempting to use any of the +<modifiers>

2009-07-18	mtchandl
	* mgd77/mgd77sniffer.c:	Bug in -I option; needed to set bitpattern for bad faa.

2009-07-18	remko
	* pslib.c, pslib_inc.h:		Added option to reduce all color to gray scale.
	* gmt_init.c, gmtdefaults.txt:	Added setting PS_COLOR = gray.

2009-07-15	pwessel
	* grdmask.c:		Free some memory that was ignored.

-----------------------------------------------------------------------------------------
2009-07-15
	* GMT 4.5.0 finalized and released
-----------------------------------------------------------------------------------------

2009-07-13	pwessel
	* surface.c:		When data lie exactly on a plane and -L was used, surface tried to free memory
				for constraints that never needed to be allocated.
2009-07-10	pwessel
	* gmt_suppl.html:	Add all the new supplement programs to the HTML doc page.
	* *.c:			Handle error codes so as to not raise the wrath of Ubuntu

2009-07-10	remko
	* gmt_init.c:		GMT_font_lookup now understands font numbers too.
	* psscale.c:		Added -Aa and -Al options to move only the annotations or label to the
				other side of the color bar. When using -A on horizontal bar, the last
				tick mark would not appear. Require -Ac to keep the column plotting
				of vertical labels.
	* pslegend.c:		Make font height dependent on actual font used.

2009-07-09	pwessel
	* gmt_mgg_header2.c:	Can now handle float grids, and properly handles byte-order swapping in input.
	* segyprogs/pssegy.c:	Casting as long forced 8 rather than 4-byte offsets. Thanx to Adrian Benson.
	* segyprogs/pssegyz.c:	Casting as long forced 8 rather than 4-byte offsets.
	* segyprogs/segy2grd.c:	Casting as long forced 8 rather than 4-byte offsets.

2009-07-09	remko
	* psclip.c:		Produce warning when using -B in combination with -N or -T.
				Better reuse of code.
	* psclip.txt:		Explained even-odd rule.
	* psxy.{c,txt}:		Added -T option. Equivalent to adding /dev/null (or NUL on Windows).
	* pslegend.c, anim01.sh:	Make use of new psxy -T option.

2009-07-08	pwessel
	* sph/sphtriangulate.c:	Must turn -mo on when -T is selected.

2009-07-08	remko
	* psscale.c:		When using -A on vertical scale bar, annotation was left not right aligned.

2009-07-07	pwessel
	* gmt_plot.c:		The polar cap on gridlines needed to be reversed for r-theta (polar) maps

2009-07-07	remko
	* gmt_support.c (GMT_RI_prepare):	Fixed bug: when x_inc in km, m, etc,
				value was ignored (always 1).

2009-07-05	pwessel
	* grdimage.c:		For -Q we now make sure the NaN-color is unique.

2009-07-04	jluis
	* gmtsuppl.bat:		Add x2sys_list x2sys_report x2sys_solve & x2sys_merge to the x2sys section

2009-07-02	remko
	* Ellipsoids.txt:	Added TOPEX ellipsoid

2009-07-01	pwessel
	* mgd77/mgd77sniffer.c:	Did not reset the E77 structure between cruises.
	* mgd77/mgd77list.c:	Modifier -At added which attempts to create fake cruise times
				based on header information and distance along track.

2009-06-30	pwessel
	* grdfilter.c:		Toggle -T was not processed correctly if -Rgridfile was given.
	* mgd77list.c:		Output relative time did not use GMT's --TIME_*

2009-06-27	remko
	* gmt_init.c (GMT_history):	No longer remove supposedly empty .gmtcommands4 file.
				Could have been written to by piped GMT command. Now create/write
				only when new matter is to be written.

2009-06-25	pwessel
	* gmt_grdio.c:		Change for reasonable x/y range if units has the words "longitude"
				or "latitude" before concluding we have geodetic coordinates.
	* gmt_support.c:	The modifier :<radius>[unit] to the -G option in grdcontour for
				the placement of contour labels is now +r<radius>[unit] since the
				colon interfered with ddd:mm:ss coordinates.

2009-06-24	jluis
	* x2sys/x2sys_merge.c:	New program to merge updated COEs table into a main COE table database
	* mgd77/mgd77.c:	Do not use any GMT_XXX to access ascii files on creation/writing so that
				it can work on Windows as well (improvement on 2009-06-07 changes).

2009-06-24	pwessel
	* ps2raster.c:		Exceeded memory allocation for out_file.  Now in static memory.

2009-06-24	jluis
	* ps2raster.c:		Do not crash if a name with extension is given to -F (rip the extension)

2009-06-23	pwessel
	* mgd77/mgd77manage.c:	-AE will ignore the verification status and process e77 anyway.
	* mgd77/mgd77path.c:	Added -P- to just list the IDs and not the full paths

2009-06-21	pwessel
	* gmt_support.c:	Given -I601+/601+ the y_inc was not treated correctly

2009-06-20	pwessel
	* gmt_shore.c:		Added support for the +p<percent> modifier to limit features whose
				area is less the <percent> of the corresponding full-resolution polygon

2009-06-19	pwessel
	* gmt_globals.h:	Change default ascii format to %.12g to avoid loss of precision.
				Changed default for OUTPUT_DEGREE_FORMAT to D (-180/180) so it
				is the same as that for PLOT_DEGREE_FORMAT.
2009-06-18	pwessel
	* misc/gmtconnect.c:	Enhanced -T option to eliminate connections when the 2nd closest
				pair is too close.  Also added -C option to simply separate the
				open from the closed polygons (no connecting).

2009-06-17	pwessel
	* grdfft.c:		Now also has Butterworth band-pass filter.

2009-06-17	remko
	* gmt_init.c (GMT_begin):	GMT_history should come AFTER reading defaults, otherwise
				there is no way to switch it off.
	* gmt2kml.c:		Option -R becomes -Ra (otherwise takes it from .gmtcommands4).
				Default folder name now "%s Features", where %s is feature type.
				No longer produces empty segments (when all data out of bounds).
				Create folder per input file (except standard input).
				Ignore -C option when plotting lines or polygons.
	* gmt2kml.txt:		Added example of document hierarchy.

2009-06-16	pwessel
	* gmt2kml.{c,txt}:	-T now takes title and optionally folder name.  When -O or -K is used
				we always group features into folders and each folder has their own
				style settings.

2009-06-16	remko
	* gmtmath.c:		Fixed bug: tried to free memory that was not allocated.
	* gmt_io.c:		Allow specifying both -mi and -mo.
	* gmt2kml.{c,txt}:	Removed altitude argument of -E (had no purpose). Set default pen to 1,
				as specified.  Changed -AA to -Aa, inline with -Ag and -As.
				Altitude argument of -A becomes default altitude.  Fixed error with -Gn.
				Always write linestyle and polygon style (need for extrusion).
				Moved <extrude> and <altitudeMode> within <feature></feature>.
				Write out <gx:altitudeMode> when required.
				Removed -AG, -AS; use -Ag0, -As0 instead. Allow vertical scaling.
				Removed -F<capital>, altitude mode is now fully controlled by -A.
				Put set of points in a folder automatically.
				Label line segments automatically.  Improved documentation.
				Renamed option -L to -R, which now also performs data screening.
				Renamed option -C to -L. Added -C option to color icons by value.
				Added option to scale altitude values.
				Made to work with binary and netCDF files.

2009-06-15	pwessel
	* gmt_init.c:		Allow negative integer interval (-n) for annotating log axis; this means
				annotate every n'th power of 10.
	* misc/gmtconnect.c:	Now honors -V properly.

2009-06-11	remko
	* gmt_nc.c:		No longer write node_offset = 0 to file (not essential, only confusing).
	* gmt_grdio.c:		GMT_grd_setregion now includes "interpolant" argument: this ensures
				enough padding (if available) from the input grid and no blank edges
				on left and/or right side of the map.
				More appropriate coding of GMT_grd_shift.
				GMT_adjust_loose_wesn now includes test on data domain (moved from main
				programs calling it).
	* gmt_support.c:	GMT_RI_prepare recoded. Possibly safer. Need to investigate if it can
				be skipped when nx and ny already set.
	* grd2xyz.c:		Area check moved to GMT_adjust_loose_wesn.
	* grdvector.c, grdrotater.c, grdview.c, grdcontour.c, grdimage.c:
				Extra argument in GMT_grd_setregion. No more subset checks needed.

2009-06-09	pwessel
	* misc/gmtdp.c:		With -m, did not write the correct multisegment header from input.

2009-06-07	jluis
	* mgd77/mgd77info.c:	Use of both printf() and internal functions that write to GMT_stdout
				seams to be incompatible on Windows. Now always use fprintf (GMT_stdout, ...)
	* mgd77/mgd77.c:	Open ascii files with fopen (and not GMT_fopen) because they are written
				with fprintf(F->fp, ...) and Windows, again, gets lost.

2009-06-07	remko
	* gmt_grdio.c:		Fixed bug in GMT_grd_setregion: longitudes were limited inward
				instead of outward. Caused white-space left and right in grdimage.

2009-06-03	pwessel
	* pscoast.c:		-C[l|r/]<fill> offers to paint river-lakes separately from lakes.
				The -A option can be used to exclude riverlakes or lakes for level 2.
				-W now allows different pens for the 4 levels of lines.
	* explain_gshhs.txt:	New include file for man pages for programs using GSHHS.
	* gmtselect.c:		Same upgrade to -A option as pscoast
	* grdlandmask.c:	Same upgrade to -A option as pscoast
	* gmt_init.c:		New function GMT_GSHHS_syntax to explain -A option for three programs.
	* gmt_shore.c:		Now looks for a version attribute in the GSHHS file that is reported
				when pscoast -Vl is used.  New treatment of riverlakes as special lakes.
	* gshhs/gshhs.*:	Header structure format for GSHHS 1.11 has changed to include two new
				integers: parent (the id of the containing polygon, or -1), and river
				(1 if a lake is a riverlake, 0 otherwise).
	* GSHHS*:		New version 1.11 that fixes the problem with permanent rivers introduced
				after GMT 4.2.0.  Also corrects gross errors near the mouth of the
				Amazon river.  GMT works with either GSHHS 1.11 or earlier but any
				option pertaining to riverlakes are ignored with older versions.
	* mgd77/mgd77.c:	Converting files from netCDF to MGD77 where time = NaN gave junk records.
	* misc/dimfilter.c:	New program for directional spatial filtering.

2009-06-02	remko
	* pslegend.c:		> record no longer needed before T; T, L, S, H alignment harmonized;
				I, M, B spacing improved; -B option added.
	* pslegend.txt:		Updated example conform test/pslegend/legend.sh; added info on which
				font(size)s are used; added -B option.

2009-05-31	pwessel
	* gmt_io.c:		Option -g must force -mo; fixed bug that reset point number in segment.
	* misc/gmtconnect.c:	Added -L option to write out segment-link information.

2009-05-29	jluis
	* gmt_init.c:		Do not create empty .gmtcommands4 files

2009-05-28	remko
	* gmtselect.c:		Switches off just_copy_record when using netCDF I/O. Otherwise no
				output was produced. Unfortunately does not yet take into account
				that using -fit and -foT would require reformatting.

2009-05-27	pwessel
	* misc/gmtconnect.c:	Did not read standard input if no files were given.

2009-05-26	pwessel
	* gmtconvert.c:		With -S, did not report the number of output segments.  Now allows
				-S~<pattern> which reports segments whose header does NOT contain pattern.
				Should pattern actually start with ~ we escape it with \~pattern.

2009-05-25	pwessel
	* greenspline.c:	Calculation of nz layers was off by one, leaving out the
				penultimate layer.

2009-05-23	pwessel
	* mgd77/mgd77manage.c:	Now uses GMT_read_img to handle *.img files; earlier it could
				not handle the latest +-80 degree lats.  Also passed wrong filename variable.

2009-05-21	pwessel
	* gmt_io.c:		When only -mi is set there should be no multisegment headers on output
					but there was no if-test to check for that.

2009-05-21	remko
	* bin/*:		Removed bin directory from CVS.
	* gmtlogo, gmtget, psbbox.sh:	Moved to src directory. Created manuals for them.
	* gmtpatch.sh:		Moved to main directory.

2009-05-20	pwessel
	* psclip.c:		New option -T that turns on map region clipping without any
				input data files.  Shorthand for -N /dev/null.
	* x2sys/x2sys_list.c:	Can now accept list of weights for each track and output the
				composite weight for each crossover.
	* x2sys/x2sys_solve.c:	Option -W means an extra column with crossover weight.

2009-05-19	pwessel
	* misc/gmt2kml.c:	New program in the misc supplement that converts GMT table
				data to KML format for Google Earth.
	* misc/kml2gmt.c:	New programs that extracts GMT data tables from Google Earth
				KML files, perhaps after editing the latter in GE.

2009-05-19	remko
	* grd2xyz.c:		Fixed checking East boundary (bug introduced 2008-03-05).

2009-05-17	pwessel
	* sph:			No longer requires the f2c include and library to install.
	* configure.ac:		Removed the code that looked for the f2c library.

2009-05-17	jluis
	* gmt_notunix.h:	Declare HAVE_SINCOS 1 when #ifdef __INTEL_COMPILER (the Intel
				compiler also provides a sincos function)
	* mgd77/mgd77magref.c:	Use sincos()

2009-05-14	remko
	* grdinfo.{c,txt}:	Add option -L0 to actually scan data to determine zmin and zmax
	* gmt_nc.c:		Argument [layer] was not stripped from varname and would end up
				in output grid.  Set zmin/zmax to NaN when info not in header.

2009-05-13	pwessel
	* *.[ch]:		Moving to use GMT_LONG for almost all integers.

2009-05-12	remko
	* gmt_map.c (GMT_UTMzone_to_wesn):	Numerous bug fixes: Did not report bad zone
				for < A or > Z; Zones A+B reached till 84S instead of 80S; Zone J
				wrongly produced value for Zone K; Zones U+W were not recognized;
				Now also equates Zone O to Zone P (already equated Zone I to J).

2009-05-08	remko
	* gmtconvert.c:		Switch off default NaN treatment when NAN_RECORDS=pass and no
				multi-segment output is requested.
	* gmt_init.c:		Renamed GRID_FORMAT to GRIDFILE_FORMAT to avoid confusion with
				other GRID_* variables which relate to painting grids, and in
				accordance with GRIDFILE_SHORTHAND.
				GRID_FORMAT can still be used for backwards compatibility.
				Allow different units for font sizes. Default remains points.
				GMT_convert_units: add 10 to new_format to specify it as
				default unit as well.
	* gmt_keywords.d, gmt.h, gmt_grdio.h, gmt_globals.h, gmtdefaults.txt, gmtdefaults_??.in:
				Changed accordingly.
	* gmtdefaults.txt:	Properly alphabetized entries.
	* pslib.c:		Removed superfluous writing of "P\n" from ps_clipon.
				Removed obsolete "split" argument from ps_line().
	* pslib.h, *.c:		Changed accordingly.

2009-05-07	pwessel
	* gmt_map.c:		For wesn clipping with curved boundaries, needed a more robust
				Sutherland/Hodgman algorithm that handles curved boundaries.
	* gmt_io.c:		GMT_DATADIR can now be a list of directories, separated by colons
				or semi-colons (Windows).
	* mgd77list.c:		Used wrong time for IGRF calculation; worst case off by 1 year.
	* mgd77manage.c:	---"---

2009-05-06	pwessel
	* *.c, *.txt, *.tex:	While remaining backwards compatible, we no longer announce that
				GMT will search GMT_IMGDIR and GMT_GRIDDIR.  Going forward, we will
				document the user of GMT_DATADIR and GMT_USERDIR only.

2009-05-06	remko
	* pglegend.c:		Allow S record not to have <text>. Until now, when left empty would
				use whatever <text> was set to in previous record.
	* pslegend.txt:		Changed accordingly, plus some additional polishing.
	* GMT_sealand.cpt:	Changed hue interval on one line from 0-345 to 360-345 to prevent
				wrong interpolation.
	* GMT_cyclic.cpt:	Reduced to one line.
	* gmt_support.c:	GMT_continuous based on HSV (not RGB) values when read as HSV.

2009-05-03	jluis
	* mgd77/mgd77.c:	Fixed bug in MGD77_igrf10syn routine (mistake done while cleaning the
				f2c version) that resulted in altitude always being on Earth surface
				when geocentric coords were used.

2009-05-03	pwessel
	* mgd77/mgd77magref.c:	New mgd77 program used to evaluate the CM4 comprehensive geomagnetic
				model, a more sophisticated alternative to IGRF, or IGRF.  Based on
				a f2c translation of NASA Fortran code by J. Luis.

2009-05-01	pwessel
	* pslib.c:		Check if input arg eps == NULL before using this pointer

2009-04-30	pwessel
	* gmt_map.c:		Incorrectly used central longitude to set default midpoint for 3-D maps
				using the -E...+ mechanism when data were not geographic.

2009-04-29	remko
	* PSL_prologue.ps:	Changed "bind def" to "def" in function /FS. The "bind def" slowed
				things down significantly when there are a lot of color changes.
	* pslib.c:		Changed accordingly (PSL_prologue version number).

2009-04-27	pwessel
	* dbase/grdraster.c:	Added sanity check on file size.

2009-04-26	pwessel
	* grdinfo.c:		Now tells us in plain text what the grid format is.

2009-04-24	pwessel
	* gmtconvert.c, mapproject.c:	Now have -g option.

2009-04-21	pwessel
	* ps2raster.c:		Reformatted the -W option to allow for a long list of KML-related
				settings.
	* imgsrc/img2google:	Updated to reflect new ps2raster -W usage.

2009-04-19	pwessel
	* grdcut.c:		New option -Z which is used to determine a rectangular subregion
				so that the rejected area have values entirely outside the given
				z-range.
2009-04-17	pwessel
	* gmt_*.c:		The gap check -g is now done inside the i/o library
	* gshhs/gshhs.c:	Checked wrong variable to test if a file was given.
	* gmt_customio.c:	In GMT_ras_read_grd_info, wrong size was passed to fread.
	* mgd77/mgd77list.c:	Used GMT_LONG in memset for an array allocated as int.

2009-04-16	pwessel
	* *.txt:		We now discuss -m rather than -M (but are backwards compatible)
	* job*:			All examples now use -m
	* *.tex, *.man:		All documentation now use -m

2009-04-16	remko
	* psclip.c, pscoast.c:	Produce at least "S V" when clippath is empty.
	* gmt_plot.c (GMT_xyz_axis3D):	Bug fix: Call GMT_get_coordinate_label() with
				&GMT_plot_calclock instead of NULL. Crashed when using time labels
				in 3D plot.

2009-04-15	remko
	* gmt_init.c:		Add handling of -M|m by GMT_parse_common_options.
	* *.c:			Removed call to GMT_multisegment. -M|m now handled as common option.
				-m is allowed silently. Not mentioned in man pages.

2009-04-14	pwessel
	* mgd77/mgd77list.c:	Added -Fytime which gives decimal absolute year for time output.
	* *.c:			Promoted new gap-detection option (-F) to a global -g option.

2009-04-14	remko
	* gmtdefaults_??.in, gmt_globals.h:	Increased PS_MITER_LIMIT to 35 degrees to get
				rid of some extremely long miters.
	* gmt_plot.c (GMT_draw_map_rose):	Force "0 setlinejoin 10 setmiterlimit".
	* psxy[z].c:		Bug fix in -F option: should only check from 2nd record onwards
				(n > 0), otherwise crash when using xx[n-1].

2009-04-13	remko
	* gmt_map.c (GMT_map_init_{albers,econic}):	Fixed inability to determine projection
				pole when central_meridian and western boundary are the same.

2009-04-11	remko
	* gmt.h, gmtmath.c, grdmath.c:	Added MOD function (remainder after floored division,
				Knuth style). This is in contrast to FMOD which gives the
				remainder after (horror) truncated division.
	* gmtmath.c:		For check if argument is file: remove suffix ?fields first.

2009-04-10	remko
	* Makefile, configure.ac, makegmt.macros.in:	Moved definition of SUPPL from Makefile
				to makegmt.macros.in. No more need to use .skip file for skipped
				supplements (mex, sph, xgrid).

2009-04-09	pwessel
	* psxy[z].c:		Added new option -F to detect breaks in lines based on user
				criteria on what constitutes a gap in continuity.
	* gmt_support.c:	Added support functions for the -F option.

2009-04-08	pwessel
	* gmt_support.c:	The 3-D view -E option used in many programs (such as psxyz)
				could not handle exponential notations.
	* gmt_init.c:		The NAN_RECORDS = skip|pass setting now also applies to binary input.

2009-04-07	remko
	* configure.ac:		Auto detect octave and/or matlab directories.
				Do not say "yes" to compilation when supplement not available.

2009-04-05	pwessel
	* mgd77/mgd77manage.c:		The -D option would remove original attributes.  Now
				both original and revised attributes are carried in memory.
				This problem also affected mgd77convert -FC if used on a
				file after mgd77manage -D had been run.
2009-03-31	remko
	* gmt_map.c (GMT_get_datum):	Reuse GMT_get_ellipsoid to capture <a>,<inv_f> format.
	* gmt_init.c:		Changed custom ELLIPSOID format to <a>[,<inv_f>|b=<b>|f=<f>].
				Properly write out custom ELLIPSOID into .gmtdefaults4.

2009-03-30	pwessel
	* mgd77/mgd77.c:	To avoid Windows crashes, made sure free and GMT_free are
				used on the items allocated by strdup or GMT_memory, resp.
	* x2sys/x2sys.c:	---"---
				Wrong array argument passed for correction aux values.
	* x2sys/x2sys_datalist.c:	Only ASCII output had corrections (-L) applied.

2009-03-30	remko
	* gmt_init.c (GMT_get_ellipsoid):	When importing ellipsoid file, allow a,0,0;
				a,0,f; a,b,0; or a,b,f as ellipsoid parameters.
				If file does not exist, attempt to read name as a[/[b=|f=]f],
				meaning <semi-major axis>, b=<semi-minor axis>, f=<flattening>,
				or <inverse flattening>.
	* gmt_defaults.txt:	Adjusted accordingly. Also specified SEMI-major/minor axis.
	* gmt.h:		Removed pol_radius from ELLIPSOID structure. Never used.
	* Ellipsoids.txt:	Added Moon and planets (IAU2000).
				Allow 0, b, or 1/f as second ellipsoid parameter.
	* src/GNUmakefile:	Adjusted accordingly.
	* gmt_map.c (GMT_set_spherical):	Take mean radius from CURRENT ellipsoid setting.
				Call GMT_init_ellipsoid again, so also GMT_[K]M_PR_DEG get set.

2009-03-28	pwessel
	* imgsrc/img2google:	Added new script (modified from David Sandwell's prototype)
				that creates Google Earth overlay tiles from topo.11.1.img
	* ps2raster.c:		Enhanced -Wg for KML creation that allows user to specify document
				and layer name and the altitude mode of the image.

2009-03-26	pwessel
	* gmt_support.c:	Exceeded array bounds in GMT_read_cpt for hsv conversion.
	* mgd77/mgd77track.c:	Added -Gt|d<gap> to recognize gaps in tracks based on
				distance or time between successive points.

2009-03-26	remko
	* configure.ac:		Now looks automatically for ncdump and f2c to guess the
				home directories of netcdf and f2c. This makes it possible
				to just use --enable-netcdf and --enable-f2c without anything
				else. Or leave them off altogether!

2009-03-24	pwessel
	* sph:			Introduce new GMT supplement sph which provide GMT-like
				front-ends for Robert Renka's Fortran SSRFPACK and STRIPACK
				libraries.  They are here translated to C via f2c and requires
				the f2c library and include file to compile and link.
				Tools include sphtriangulate (Delaunay and Voronoi spherical
				diagrams), sphdistance (spherical distances from lines to
				grid nodes using Voronoi partitioning), and spinterpolate
				(spherical gridding in tension).

2009-03-23	pwessel
	* triangulate.c:	New option -Q to generate Voronoi polygon edges.
	* gmt_support.c:	Rely on Shewchuk's triangle function to get Voronoi output.

2009-03-18	pwessel
	* gmt_support.c:	Enabled GMT_intpol to handle NaNs by treating them as segment
				boundaries.
	* gmt_init.c:		New Default setting NAN_RECORDS = skip|pass [skip].
				If "pass" we treat let the programs handle the NaNs; for some
				programs the NaNs in input record will act as indicators of
				data gaps for continuous lines.  If "skip" we report them
				as bad records.  In both cases the records are skipped.
	* mgd77/mgd77manage.c:	Now honors NAN_RECORDS in tables given to -A.

2009-03-18	jluis
	* mgd77/mgd77.c:	Was failing to read Windows terminated ASCII files

2009-03-15	pwessel
	* grdgradient.c:	For geographic grids, make sure N and S pole only has
				a single value on output.

2009-03-14	pwessel
	* x2sys/x2sys_init.c:	Now properly copies the *.def file to the TAG dir.
	* x2sys/x2sys_cross.c:	Removed the -F option which was not honored anyway.
	* x2sys/x2sys.c:	Use the TAG_paths.txt file to get directories for gmt files
				before looking in old share/mgg.
	* mgd77/mgd77convert.c:	Allow users to give file.ext on command line.

2009-03-14	jluis
	* gmt_io.{c,h}:		Created GMT_fgetc & GMT_ungetc to use with mgd77 supplements.
	* mgd77/mgd77.c:	Now works on Windows (but still crashes if use -L option)
	* x2sys/x2sys_put.c:	Fixed -D option (was falling in a endless loop)

2009-03-12	remko
	* gmt_nc.c, gmt_grd.h:	Properly handle netCDF that have LatLon = 0, 1: flip x and y.

2009-03-09	pwessel
	* grdmath.c:		The PDIST operator did not handle binary input files (as LDIST does).

2009-03-08	jluis
	* gmt_support.{c,h}:	New function GMT_chop_ext() to remove the extension from filename string
	* mgg/gmt_mgg.c:	New -T and -W options to store total field and account for the
				magnetometer tow distance. Also tries to get info from header file.
	* mgg/mgd77togmt.c:	---"---

2009-03-05	pwessel
	* gmtselect.c:		The -Z option can now handle dateTclock strings for used with
				data whose 3rd column contains time.
	* blockmedian.c:	Now returns the quantile(x), quantile(y) location when -T is used.
				Added -Eb to get box-and-whisker output (0. 25, 50, 75, and 100% quantiles).

2009-03-05	jluis
	* ps2raster.c:		Added -Wg to create a simple KML file for Google Earth.
				Recognize -Jx<scale> (e.g. no 'd') as a linear geographic
				projection when -R<region> fits inside a sane ([-180 360][-90 90])
				interval (when -W is used).

2009-03-04	pwessel
	* mgd77/mgd77list.c:	Now can specify -DA and -DB which, in the presence of time = NaN,
				will not output such records [-Da|b will].  Also clarified the
				ranges implied by -D/-S.
	* blockm*.c:		Gave bogus usage about number of input columns when -E is set
				but -E only affects output.  Input is always 3 or 4 cols.

2009-03-04	remko
	* gmt_map.c (GMT_grd_project):	Incorrectly attempted to free array only used when
				antialias is on.
	* gmt_proj.c (GMT_ilamb_sph):	Fixed bug in longitude computation when standard
				parallel is on Southern Hemisphere.

2009-02-27	remko
	* pswiggle.c:		Ctrl->I.value used to change internally. Considered harmful.
	* gmt_proj.c:		Rid ourselves of a few more D2R and R2D. Using degree-based
				trig instead.
	* gmt_map.c:		---"---  z_project.view_{azimuth,elevation} used to change to
				radians at end of GMT_init_threeD. Potential bug.
	* psxyz.c:		In sort_on_distance: speed up by replacing tan(az) by ratio
				of pre-computed sin_az and cos_az.

2009-02-25	remko
	* gmt.h:		Introduced degree-based inverse trig functions: asind, acosd,
				atand, atan2d as well as their "safe" equivalents.
	* coast/segment_connect.c:	Simplified i_great_circle_dist() by calling
				GMT_great_circle_dist().
	* gmt_map.c:		Fixed serious bug in GMT_az_backaz_flatearth: incorrectly
				converted degrees to radians. Fixed bug in GMT_get_rotate_pole:
				called GMT_rotate_pole_forward with radians instead of degrees.
				project_info.o_{beta,pole_lat,pole_lon} now in degrees.
				GMT_fix_up_path: all arithmetic now in degrees.
	* project.c:		Avoid changing variables in the control list (Ctrl);
				this may have been harmful in the future (GMT5).
				Removed "rads" argument from internal routines since it was
				always TRUE anyhow. All routines are now in degrees.
	* gmt_vector.[ch]:	GMT_geo_to_cart no longer alters the input coordinates.
				This is a lot safer in usage.
	* *.c:			Use degree-based trig function macros where appropriate.
				Changed calls to GMT_geo_to_cart.

2009-02-24	jluis
	* utilmeca.c:		Needed to convert the output from d_atan2() to degrees

2009-02-23	remko
	* examples/*[c]sh:	Replaced EOF by END for consistency.

2009-02-20	pwessel
	* web site:		The script generating the mirror site PNG and hitmap had some
				bugs that prevented a proper hitmap and image.  Now fixed.

-----------------------------------------------------------------------------------------
2009-02-15
	* GMT 4.4.0 finalized and released
-----------------------------------------------------------------------------------------

2009-02-15	pwessel
	* GTM_doc.tar:		Now combines all documentation, tutorials, and examples: No
				more separate _tut, _web, _pdf, _scripts tarballs.
2009-02-15	remko
	* conf/gmtdefaults*.in, gmt_globals.h, gmtdefaults.txt:	Changed default PLOT_DEGREE_FORMAT from
				+ddd:mm:ss to ddd:mm:ss. This produces degrees in range +-180 instead
				of 0 to 360.

2009-02-13	pwessel
	* x2sys/x2sys_init.c:	Failed to set units/method defaults if -G was set and no -C/N specified.
	* x2sys/*.c:		Use =list rather than :list to specify a list with tracks (as in mgd77)
				[but keep processing :list also for backwards compatibility]
	* website/*:		Scripts and makefile modified to deal with new arrangement
				of files in share/doc.  Simplified web site test and update.

2009-02-13	remko
	* share/doc/gmt:	New directory moved from www/gmt
	* share/doc/gmt/{examples,tutorial}:	Directories moved here
	* share/doc/gmt/html/index.html:	Copy of gmt_services.html (for practicality)
	* share/doc/gmt/html/man:	New location for html manpages
	* guru/webman.sh:	Fixed broken links to #anchor in gmtdefaults.html
	* guru/*man.sh:		Moving output to new location: share/doc/html/{man,pdf}
	* guru/*.lis:		Examples, tutorial and manpages in new location
	* doc/GNUmakefile:	No more "make install". Directly puts html and pdf output in new
				location share/doc/gmt/pdf. "make extests" checks examples.
				Updated for new location of examples and tutorial.
	* doc/script/GMT_{atan,App_O}.sh:	Update for new location of examples and tutorial.
	* configure.ac:		Removed --enable-www option. Had no effect.
	* makegmt.macros.in:	Removed wwwdir, introduced docdir variable.
	* GMT.in:		Replaced "web documents" by "documentation".
	* Makefile:		Replaced "(un)install-www" by "(un)install-doc"
	* GNUmakefile:		Make "install-doc" depend on "webman" and "pdfman".
				New origins for pdf tarball. New location of examples.
				"make extests" now does "cd doc ; make extest"
	* examples/run_example_test.sh:	Removed. Now covered by "make extest" in doc directory.

2009-02-08	jluis
	* ps2raster.c:		For the +proj=latlong case use the original coordinates in %%PROJ line
	* gmt_plot.c:		Create the +proj=latlong case when GMT_LINEAR && GMT_IS_MAPPING

2009-02-07	remko
	* utilmeca.c, submeca.c:	Replaced datan2() function with d_atan2() macro (which uses
				standard atan2() function. This also to avoid some possible bugs.
	* pscoupe.c:		Fixed bug in the tensor case in which it was dividing by (unintialized)
				meca.moment.mant instead of moment.mant

2009-02-07	jluis
	* utilmeca.c:		Replaced momten2axe() function with GMT_momten2axe() which uses
				GMT_jacobi and fixes a bug due to the use of convert_matrix()

2009-02-06	remko
	* utilmeca.c:		Fixed dangerous ifs that caused "random" rotations of beach balls
				and too small or too large black beach ball segments.
	* psmeca.{c,txt}:	Some polishing.

2009-02-05	jluis
	* ps2raster.{c,txt}:	Update info for the usefulness of the new --BASEMAP_TYPE=inside
				option

2009-02-05	pwessel
	* psscale.c:		Now checks if -D is given, and replaced wrong test for -E.
	* gmt_init.c:		Added BASEMAP_FRAME=inside to set several parameters so that
				basemap ticks and annotations are inside the map boundary.

2009-02-05	remko
	* gmt_plot.c (GMT_export2proj4):	Initialize szProj4[0]=0, to avoid ugly
				surprises when no setting was found.
	* gmt_support.c (GMT_read_cpt):	Avoid interpolating hue (converted from RGB) over
				more than 180 degrees.
	* gmt_support.c (GMT_rgb_to_hsv):	Changed to integer logic to avoid errors on
				some compilers. As a result: much shorter code as well.
	* pslib.c (ps_rgb_to_hsv):	---"---
	* pslib.c (ps_color_image):	Image placement now in integers. This ensures that
				placement is consistent with e.g. box drawn with the same
				coordinates.
	* pslib.c (ps_makecolormap):	No longer produce colormap when the number of pixels
				and colors is the same.
	* ex04/*.cpt:		Added comments and COLOR_MODEL = RGB
	* GMT_drywet.cpt:	Added COLOR_MODEL = RGB

2009-02-02	remko
	* minmax.c:		Added -S option to leave space for error bars. Useful with
				-I option and subsequent psxy -E.

2009-01-21	remko
	* psbasemap.{c,txt}:	Erroneously suggested that base was plotted at z=0, instead of
				at the bottom end of the z-axis.

2009-01-20	pwessel
	* mgd77/mgd77manage.c:	Can now request faa to be computed from gobs + eot - ngrav

2009-01-17	jluis
	* ps2raster.c:		Added -W option to help create world files

2009-01-16	pwessel
	* pscoast.c:		Enhanced -D<res>+ where the + lets the application determine the
				next lower resolution should the selected one not be available.
	* gmtselect.c:		Same.
	* grdlandmask.c:	Same.
	* gmt_shore.c:		New public function GMT_shore_adjust_res to handle the above.
	* gmt_proj.c:		Fixed bug in Lambert Conformal Conic for southern hemisphere.
	* explain_-J.txt:	Clarified how to set horizon and standard latitude/scale for -Js

2009-01-15	remko
	* pslib.c:		Fixed minor bug in ps_polygon (missing P in some cases)

2009-01-14	pwessel
	* pslib.c:		Adherence to ancient PS Level 1 caused trouble with max path
				length.  Now moving to PS Level 2; if anyone has printers from
				the 1950ies pls just use GhostScript.  Specifically, this fixes
				problems with dashed lines within long clip paths (e.g., circular
				map boundaries).
2009-01-14	remko
	* gmt_init.c:		Fixed some errors in descriptions of -J option
	* explain_-J_short.txt:	---"---

2009-01-12	jluis
	* gmt_plot.c:		Example 8 was crashing with Intel compiled binaries because the
				fno variable in GMT_epsinfo was declared to 5 elements but in cases
				like example08 a fno[5] address is inquired.

2009-01-12	remko
	* grdview.c:		Made outline part of paint_it(). Significantly shortens PS file
				when plotting mesh.
	* pslib.[ch]:		Significantly simplified the PostScript specification of symbols.
				ps_setfill introduced to set symbol fill and outline.
				Bug fix in ps_bitimage_cmap(): uncolored (B/W) 1-bit images caused
				errors in ghostscript when the pen color was not black; now plots
				using /DeviceGray.
	* gmt_plot.c:		---"---

2009-01-11	pwessel
	* gmt_custom_symbols.conf:	Removed the standard symbols from this list but kept
				the actual custom *.def files for backwards compatibility.

2009-01-11	remko
	* gmt_custom_symbols.conf:	Replaced all "Like -S.. but fillable with pattern" by
				"Same as -S..", since all these symbols are already fillable
	* PSL_prologue.ps:	New implementation of cross (was actually a plus). Introduced
				plus sign. Both are positioned now on the center of the symbol.
	* pslib.[ch]:		Renamed ps_cross to ps_plus. Implemented new ps_cross.
	* gmt_plot.[ch]:	Renamed GMT_cross to GMT_plus. Implemented new GMT_cross.
	* {psxy,psxyz}.{c,txt}:	-Sx now makes a cross (x) not a plus (+). -S+ makes a plus (+).
	* gmt_init.c:		---"---
	* gmt_support.c:	---"---
	* gmt_symbol.h:		---"---
	* *.txt:		Consistent use of OPT(x)

2009-01-10	remko
	* pslib.c, PSL_prologue.ps:	New implementation of code for ellipse (provides
				constant pen width). Changed code for circle and
				pie wedge (made similar to other symbols).
	* pslib.[ch], gmt_plot.c:	Removed OLD_TEXTDIM code (obsolete after change of 2008-12-20).

2009-01-09	pwessel
	* surface.c:		Abort with message if nx or ny is < 4.

2009-01-09	jluis
	* psmask.c:		Added +n<n_points> option to -D to limit the minimum number of
				points a polygon must have in order to saved.
				Fixed also a bug on -D-<file> which did not write the '>' char

2009-01-07	jluis
	* grdcut.c:		If needed, change new limits so that they do not raise the
				"Old and new x_min|y_min do not differ by N * dx|dy" error message
	* gmt_customio.c:	Fixed sub-region access in Surfer format. This bug would
				manifest mainly when doing a grdcut with a N-S sub-region

2009-01-06	remko
	* pslib.[ch]:		Implemented Fortran interface for ps_plotinit_hires.
				Added ps_memory to public functions.
				Allow transparency when plotting 8-bit images (as well as 24-bit).
	* pslib.txt:		---"---
	* psimage.{c,txt}:	Implemented -Gt option: assignment of color to be made transparent.

2009-01-05	remko
	* ps2raster.c, pslib.c:	Lower bounds of BBox written with floor(), upper bounds with ceil().

2009-01-02	remko
	* ps2raster.c:		Include -F option to force file name.

2008-12-23	remko
	* grd2cpt.c:		Allow multiple files input
	* grd2cpt.txt:		---"---
	* GMT.in, GMT.txt:	Updated to reflect change in grd2cpt.c
	* *.txt, *.tex:		---"--- and replaced all "gridded file" by "grid file"

2008-12-20	remko
	* pslib.c:		New implementation of ps_textdim to ensure proper alignment
				of texts and the optional surrounding boxes.
	* pslib.h, gmt_plot.c:	---"---

2008-12-17	pwessel
	* GMT.in:		Added in greenspline in the list of programs

2008-12-12	pwessel
	* gmt_qsort.c:		We have added GMT_qsort which is a 64-bit compliant version
				of qsort.  The latter is broken under OS X 64-bit and is
				thus substituted on that platform for 64-bit compilations
				until Apple fixes the problem.

2008-12-10	pwessel
	* psxyz.c:		Did not pick up y-size for column from input data file.
	* gmt_support.c:	GMT_polygon_is_open did not test for empty polygons (n = 0).
	* grdfilter.c:		New options -Np to honor any NaNs found so output can be NaN,
				-Nr to replace output node with NaN if input node is NaN, and
				-Ni to ignore NaNs [Default].

2008-12-09	pwessel
	* grdreformat.c:	Did not initialize grid header structure and could get
				netCDF error "Named variable does not exist in file"
	* grd2cpt.c:		---"---
	* grdedit.c:		---"---
	* grdtrack.c:		---"---
	* grdvector.c:		---"---
	* grdview.c:		---"---
	* grdvolume.c:		---"---
	* mex/grdinfo.c:	---"---
	* mex/grdread.c:	---"---

2008-12-08	pwessel
	* gmt_init.c:		-JXh was misinterpreted but -JXv was OK.  Now fixed.
	* gmt_plot.c:		Bug in GMT_fill_polygon that affected polygon outline.
				3D text box was computed incorrectly.
	* gmt_map.c:		Added improved clipping for geographic polygons using
				the Sutherland & Hodgman algorithm when there are no map
				jumps in longitude.  Fixes problem with tiny strips of
				"land" along map perimeter for some projections.
	* gmt_math.h:		Check for macro definitions for system math functions.
	* gmt_vector.c:		GMT_resample_path would add 360 to points along meridians.
	* pslegend.c:		Can now use rectangle among the symbols.

2008-12-05	pwessel
	* greenspline.c:	New interpolation/gridding program for 1-3 dimensions using
				Green's functions for various splines.  Added new example 29.

2008-12-03	remko
	* PSL_prologue.ps:	Redefined code for circle. Needed a stroke (S) first, otherwise
				a line would be drawn from the previous symbol.
	* pslib.c:		Updated PSL_prologue.ps version.

2008-11-29	pwessel
	* minmax.c:		Optional /<col> may be added to -T<dz> to select a column.

2008-11-28	pwessel
	* gmt_init.c:		Now, -R may take the name of an existing grid file. Then,
				the grid domain is used to set -R as well as the grid
				increment for those program that has such an option.

2008-11-21	pwessel
	* spotter/backtracker.c:	The -W option always assumed the reverse rotation,
				i.e. from hotspot to seamount.  Now obeys the -D option.

2008-11-17	pwessel
	* psscale.c:		When -I and -Li was used we did not draw box outlines.
	* ps2raster.c:		New format -Tb for Microsoft BMP output.  Also, formats
				b, g, j, and t accept modifier '-' to produce grayscale
				images.  Finally, added -Cgs-command to add one or more
				custom switches to ghostscript, and -Q[g|t]<bits> to
				set the level of anti-aliasing for graphics and text.

2008-11-14	pwessel
	* ps2raster.c:		New format -TG turns on transparency for PNG output.

2008-11-13	pwessel
	* psxy[z].c:		New option -I<intens> to modulate fill color via illumination.

2008-11-02	pwessel
	* spotter/backtracker.c:	New option -e to specify a single fixed total
				reconstruction rotation to apply to all input points.

2008-10-17	pwessel
	* xyz2grd.c:		New format (A) for -Z which allows more than one floating
				point value per input record.  Cannot be used if the z-
				values are in dateTclock or ddd:mm:ss format.
2008-10-14	pwessel
	* xgrid/xGridEdit.c:	Needs GMT_io_init to get all pieces needed to read grids.

2008-10-10	pwessel
	* x2sys.c:		Can now also handle netCDF 1-D COARDS files.
	* psbasemap.c:		The -L syntax and description was out of date regarding
				how the options are to be specified.  Added new syntax
				explain functions for both map scale and map rose so these
				are consistently described for both psbasemap and pscoast.
				Also corrected the syntax and description in the man pages.

2008-10-08	remko
	* gmtmath.c:		Added INRANGE operator. Was added to grdmath on 2004-03-28,
				but was not available to gmtmath.

2008-10-06	pwessel
	* x2sys/x2sys_datalist.c:	Now has [experimental] support for using a correction
				table and can compute auxiliary data such as distance and az.
	* x2sys/x2sys_init.c:	Now, the dist and speed unit settings (-C -N) are set here
				and are kept with the TAG for use in other x2sys programs

2008-10-03	pwessel
	* x2sys/x2sys_report.c:	New program [experimental] to report statistics of crossovers.

2008-09-24	pwessel
	* grdtrend.c:		Moved the gauss matrix solver to gmt_vector.c and renamed
				it GMT_gauss.
	* gmt_vector.c:		Now holds general-purpose square matrix solver GMT_gauss.
				Eliminated hardwired limit on N.

2008-09-21	jluis
	* pslegend.c:		Now use remove function to delete script after completion;
				this avoids a Windows problem.

2008-09-20	pwessel
	* gmt_support.c:	Function GMT_get_arc did not check for division by zero.
				The -Gx<file>:<radius>[unit] in grdcontour passed the entire
				argument as the file name.
	* x2sys/x2sys_list.c:	New program [experimental] to extract a subset of crossovers
				from the list produced by x2sys_cross.  Intended to replace
				the old x_system/x_list.c.
	* x2sys/x2sys_solve.c:	New program [experimental] to determine systematic trends from
				a set of crossover errors.  Intended to replace the old
				x_system/x_solve_dc_drift.c.

2008-09-10	remko
	* gmt_nc.c:		Coordinate arrays are now always double precision.

2008-09-05	pwessel
	* mex/imgread.m:	New Matlab/Octave function to read Sandwell/Smith *.img files.

2008-09-01	jluis
	* mapproject.c:		Extended mapproject's -A option by making the fixed point
				optional; if not given we compute azimuths between points.
	* misc/gmtdp.c:		New utility to apply the Douglas-Peucker line-reduction
				algorithm to line data.

2008-08-21	pwessel
	* grdblend.c:		Better treatment of longitude periodicity if -fg is selected.
				E.g., if -Rg is used and a grid is -30/30 in longitude the
				output grid will consider 0-30 and 330-360 correctly.

2008-08-21	remko
	* ps2raster.c:		Needed to backspace a little more to capture BoundingBox at end.

2008-08-14	pwessel
	* grdmath.c:		Some 2nd-order derivatives whose BC yields 0 should yield NaN
				if one or more of the nearby nodes are NaN.  Added NOT operator
	* gmtmath.c:		Same as above for D2DT2.  Added NOT operator.  Also allow data
				columns to contain NaN, and for the time-columns to contain NaN
				if -T is set.

2008-08-14	remko
	* blockmedian.c, psxy.c:	Replaced word "quartile" by the proper "quantile".
				Same in man pages.
	* *.c, *.h, *.txt:	Fixed numerous typos. Thanks to Dan Scheirer for listing them.

2008-08-08	remko
	* psscale.c:		Logarithmic scale did not function properly when scale bar
				was vertical. Needed to swap more x/y properties.

2008-08-05	pwessel
	* x2sys/x2sys_get.c:	Now handles -R with longitude periodicity correctly
	* x2sys/x2sys.c:	Swabbing of index files happens automatically

2008-07-23	pwessel
	* mgd77/mgd77track.c:	Enhanced -A option to place cruise ID equidistantly (dist or time) along the track.

2008-07-16	pwessel
	* grdblend.c:		A side-effect of the 2007-02-01 fix was that when the file
				is re-opened the row range is reset.  Now the possible
				offset is computed during initialization but applied when
				the file is finally opened for reading.
	* ps2raster.c:		Now will scan for the optional comment %%HiResBoundingBox
				which takes precedence over the values in %%BoundingBox.

2008-07-15	pwessel
	* pslib.*:		Now measure paper size in double precision points instead
				of truncating to nearest integer.  To remain backwards
				compatible for pslib users we now initialize all plotting
				in GMT with ps_plotinit_hires.
	* gmt_*.c:		Now use double precision for paper size rather than int.

2008-06-20	pwessel
	* mgd77/mgd77.c:	Now applies recalculation of fields requested by E77 flags
				as part of reading netcdf mgd77+ files.  However, if the
				original anomaly was NaN then we leave it as is.

2008-06-13	pwessel
	* grdimage.c:	Failed to determine boundary of projected grid with enough precision.
	* misc/gmtconnect.c:	Check to see if format was set was wrong.
	* mgd77/mgd77track.c:	Missing newline after last source line

2008-06-12	pwessel
	* examples:		Added ex27 for plotting img files and ex28 for plotting UTM
	* psbasemap.c:		The syntax for the -L option had to change since one could
				not easily use the :label: specification if the coordinates
				were given in dd:mm[:ss] format.  A new syntax has been
				implemented where one or more +?[args] strings are appended
				after the required parameters.
	* pscoast.c:		Same.
	* gmt.h, gmt_init.c:	Modified special checks for FreeBSD by also considering _AMD64_

2008-06-11	pwessel
	* mgd77/mgd77sniffer.c:	Bitwise assignment error was deactivating other fields when
				depth field was missing from a cruise.  Another bitwise error
				was overwriting E77 nav flags when navigation was found on land
				Updated sample grid function to handle longitudes for img files
	* mgd77/mgd77.c:	Index array error resulting in wrong IGRF start and stop
				years was fixed.
2008-06-09	pwessel
	* xyz2grd.c:		For -E under Windows we used fscanf with a pointer from GMT DLL
				which would fail for mysterious reasons

2008-06-05	pwessel
	grdfilter.c:		Complained if -R was used and xmin was < h.xmin for full
				360-range grid.

2008-06-03	pwessel
	* gmt_init.[ch]:	gmtdefs.encoding.name could be freed even if never allocated.
	* examples/ex27:	New example showing how to plot Mercator *.img grids.

2008-06-02	pwessel
	* pslib.c:		ps_polygon can only split line when rgb[0] == -1 not < 0
				since -3 now means to use a fill pattern.
	* pstext.c:		Enhanced -Z+ option expects z-level values in 3rd column

2008-06-01	pwessel
	* Win installer:	Now installs the GMT include files so users can build their own
				programs that use the GMT libs

2008-05-29	pwessel
	* grdreformat.c:	There is no longer a share/conf/gmt_formats.conf so the
				grdreformat usage message crashes. Introduced new file
				grdreformat.h created by GNUmakefile to include this info.

2008-05-27	pwessel
	* grdfilter.c:		The -D5 did not initialize xscale so filter search box was
				set to region width which typically is much larger.  The bug
				did not affect the results but unnecessarily increased runtime.
2008-05-27	remko
	* pslegend.c:		Let N (number of columns) also affect the printing of labels
	* pslegend.txt:		Made clear that N only affects the printing of symbols and labels

2008-05-22	pwessel
	* gmt_map.c, gmt_init.c:	Added support for enhanced -E option for 3-D perspective
				views which allows the specification of a fixed point (needed for
				creating animations). Updated all programs to use the new option
				and added updated man page and synopsis to all programs.

2008-05-20	pwessel
	* gmt_io.c:		Did not properly apply PLOT_DEGREE_FORMAT=ddd.x for decimal degrees
	* gmt_map.c:		Determining where parallels and meridians intersected the map
				boundary where susceptible to roundoff for very small regions
	* gmt_plot.c:		Checked for map jumps even for non-periodic map boundaries.

2008-05-19	pwessel
	* pscoast.c:		The -Q option should not require -J
	* pstext.c:		Cannot remove blank lines when in paragraph mode as those
				lines signal the end of each paragraph.
2008-05-18	remko
	* configure.ac:		Version updated to 4.3.2. Added CVS_VERSION switch.
	* src/gmt_version.h.in:	Add date and time to CVS version string.

-----------------------------------------------------------------------------------------
2008-05-15
	* tar 4.3.1 made and released via email
-----------------------------------------------------------------------------------------

2008-05-15	pwessel
	* xyz2grd.c:		The -S option incorrectly insisted that -G needed to be set.

2008-05-12	remko
	* conf/gmtdefaults_{SI,US}.in:	Renamed from .gmtdefaults_* (no longer hidden)
	* configure.ac, gmt_init.c:	Changed accordingly
	* Makefile:		"make install-data" now copies only the appropriate directories
				and file from the share directory, i.e. not CVS directory, and
				.cvsignore and *.in files.
	* src/makefile:		Link libgmtps.$(SL) and libpsl.$(SL) to appropriate libraries.
	* src/x2sys/makefile:	No need for linking libx2sys.$(SL) against netCDF.

2008-05-12	pwessel
	* <suppl>/*.c:		Some supplement programs had a mix of GMT_fopen and fread
				which usually fails under Windows when a dynamic DLL is used.

2008-05-09	remko
	* gmt_support.c:	Allow a little more slop in determining whether primary tick
				is at same location as secondary tick.

2008-05-08	pwessel
	* grd2xyz.c:		For -E: The test for dx == dy was susceptible to round-off

2008-05-07	remko
	* gmt_io.c (GMT_nc_input):	Would not read all columns when no variable names given.

2008-05-06	pwessel
	* gmtselect.c:		Did not like a variable number of columns.  Now OK if ASCII
				i/o and at least 2 (3 with -Z) columns are found.
	* gmt_mgg2_header.c:	Passed 2nd, 3rd arguments to fread in the wrong order, thus
				failed to read GRD98 grids.
	* gmt_init.c:		Now, media size Custom_WxH can use W and H in inch, cm, or m
				by appending i, c, or m to each dimension.

2008-05-05	pwessel
	* psxyz.c:		Memory problem: Since realloc does not initialize we
				must explicitly set the pointer in the PSXYZ_DATA1 structure
				to NULL since we later use the pointer to determine if we
				need to free allocated memory.
	* project.c:		Same for the 2 pointers in the PROJECT_DATA structure.

2008-05-03	pwessel
	* psxy.c:		The -D option erroneously gave error when used properly.

-----------------------------------------------------------------------------------------
2008-05-01
	* tar 4.3.0 made and released via email
-----------------------------------------------------------------------------------------

2008-05-01	pwessel
	* gmt_map.c:		GMT_grd_project did not check if x_proj was NaN before trying
				to add/sub 360 degrees, hanging under Windows.

2008-05-01	remko
	* ps2raster.c:		When encountering BoundingBox: (atend), skip to the end.
	* grdsample.c:		Did not allocate enough memory, with crashes resulting.
	* share/conf/*.orig:	Replaced by *.in, and processed by ./configure using AC_SUBST
	* guru/GMT_share_files_ascii.lis:	Removed share/conf files.
	* guru/GMT_src_files_ascii.lis:		Added share/conf/*.in files.
	* configure.ac:		---"---, including setting EPS in BOTH US and SI when --enable-eps
	* guru/gmtguru.macros.orig, GNUmakefile: Added GMT_OTHER to add other flags to configure.

2008-04-29	pwessel
	* grdview.c:		Clarified that -T cannot take -JZ|z, fixed clipping.

2008-04-28	pwessel
	* mgg/mgd77togmt.c:	Did not initialize MGG_SHAREDIR path.

2008-04-28	remko
	* GMT_eckert.sh:	Removed. Was not used by anything.
	* GMT_gall_stereo.sh:	Added example for -JCyl_stere.
	* GMT_Chapter_6*.tex:	Added more information on optional -J parameters. Added some
				historical background.
	* examples, scripts:	Removed options in -J when same as default.

2008-04-26	pwessel
	* README etc:		Updated to reflect recent changes such as only *.bz2 archives
				and references to Windows installers.
	* grdview.c:		The -Qc option failed to set the "build image" flag and produced
				garbage surface tiles.  Also, -T[s] produced polygons that were
				not checked for wrapping at a periodic map boundary.

2008-04-25	pwessel
	* x2sys:		Moved *.def to share/x2sys
	* mgd77/mgd77sniffer.c:	Cumulative fixes & updates since August 2007:
				Added -K option to flip navigation flags (if extreme positions
				cause checking to flag good records rather than bad).
				Added -D[x]r option, where x is any preexisting -D option.
				Appending r tells sniffer to use all records in sniffer output
				rather than omitting records flagged with bad navigation.
				Moved speed checking algorithm to precede any other analysis of
				mgd77 data records, including regression checking. This allows
				extreme nav errors to be flagged and ignored in later analysis.
				Modified speed checking algorithm to compare the current nav fix
				to the previous good nav fix, rather than just the previous nav fix.
				This does a better job of flagging the correct fix when excessive
				speeds are found. Previously the current flag was compared to the
				previous flag and whenever excessive speed was computed the current
				record was flagged. This lead to flagging good records at times when
				it was the previous record that was bad.
				Modified manage to accept flags with NaN time stamps.
				Changed speed check from speed > max_speed to fabs (speed) > max_speed
				Bug in E77 output causing distance to be printed when cruises have time stamps
				Track outliers in decimate function, if more than 5% outliers use the
				maximum possible MGD77 values for the 2D bin table in the decimate function.
				Blocked decimation algorithm when dumping values, gradients, etc., and when
				non-regression related warnings are selected (see -W option). Removed bug
				from excessive offset from grid print command.
				Fixed negative array index bug in precision check code
				Fixed an E77 RLS print bug
				Fixed memory deallocation bug - was GMT_free on out[rec] - now on out[curr]
				Added anomaly recalculation toggle to E77
				Use double instead of float for everything but the GMT grids
				Added anomaly sign tracking also fixed e77 scale and icept for A option
				also cleared up kludgy code in grid and ship regression section

2008-04-24	remko
	* ps2raster:		Use PID to augment the file names of temporary files.
				This is not totally secure, but the alternative, mkstemp, is not
				standard enough (not ISO C90).
				Option -N has become obsolete. Use -S and/or -Te instead.

2008-04-22	pwessel
	* psxy.c:		Now will properly clip polygon outline and not draw it along clipped border.
	* configure.ac:		Added support for --enable-mex-mdir=dir and --enable-mex-xdir=dir
				to override the Matlab/Octave preferred paths for local *.mfiles
				and *.mex functions.
	* install_gmt:		Now uses these new variables when running configure.

2008-04-21	pwessel
	* mapproject.c:		-G+ will compute distance between coordinates in first 4 columns

2008-04-19	pwessel
	* configure.ac, src/makegmt.macros.in, mex/makefile:  Added support for --enable-octave
				as an alternative to --enable-matlab

2008-04-16	remko
	* psxy.c, psxyz.c:	Two bug fixes in both programs.
				- If first symbol in list with size was not circle, it got rejected.
				- When sizes of -Sr or -Sj were read from list, they were always inches.

2008-04-15	remko
	* pslib.c, PSL_*.ps:	Renamed a few PostScript commands; reduced prologues in size.
	* gmt_support.c (GMT_just_decode):	Bug fix: was defaulting to BC, instead of BL.
				Also reduced to two arguments (second being default justification).
	* ps{image,legend}.c:	Reduced arguments in GMT_just_decode.
	* ps{scale,text}.c:	---"---
	* gmt_support.h:	---"---
	* gmt_plot.[ch] (GMT_timestamp):	Added "justify" argument to specify justification of
				the time stamp box. Provided by gmtdefaults or -U option.
	* gmt_init.c:		Added justification to GMT_UNIX_POS. Is now <just>/<dx>/<dy>.
				Also added <just> to -U option parsing.
				Fully backwards compatible with previous versions (default just=BL).
	* gmtdefaults.txt:	---"---
	* explain_-U.txt:	---"---
	* common_options.txt:	---"---
	* gmt{,_globals,_common.h}:	---"---
	* .gmtdefaults_*.orig:	---"---. Set PS_IMAGE_COMPRESS = lzw.
	* .gmtdefaults4.doc, .gmtdefaults_test:	Now created on the fly from system defaults file.

2008-04-14	pwessel
	* psxy[z].c:		Drawing arrows with -SvS and time-coordinates did not work as 2nd time
				coordinate did not get processed properly.

2008-04-13	pwessel
	* grdview.c:		The facade (-N) outline was drawn with contour pen.  Now use -Wf to change
				the facade pen from its default value.
2008-04-11	pwessel
	* x2sys/x2sys_binlist.c:	Could create bad bins because of incorrect reallocation of memory.
	* mex/*.c:		No longer need to include matrix.h separately.  This helps octave compilation.

2008-04-09	remko
	* gmt_init.c (GMT_timestamp):	Added new gmtdefaults value UNIX_TIME_FORMAT, which sets the format for
				the time string in the GMT time stamp (-U option). The default is
				"%Y %b %d %H:%M:%S", which is what was printed up to now, except that
				%e (which is not supported by ISO C90) is replaced by %d.
	* gmtdefaults.txt:	---"---
	* gmt{,_globals.h}:	---"---
	* gmtdefaults_*.orig:	---"---
	* gmt_plot.c:		Use gmtdefs.unix_time_format to format the time stamp. This also requires
				the time stamp box to size with the time string and the additional label
				to move. Tweaked the placement of the strings a bit (better vertical
				placement and relative horizontal placement using spaces).

2008-04-07	remko
	* gmt_grdio.c:		Did not yet properly combine ?varname=suffix on output grid.
	* ps2raster.c:		Security improvements: (1) Replaced tmpnam by mktemp, as tmpnam provides
				a limited number of temp file names. (2) Run commands using system(cmd)
				directly and remove file using remove(file), instead of creating a
				script first.

2008-04-05	pwessel
	* gmt_map.c:		Fixed final bug in GMT_radial_clip.  Also, GMT_world_map should be
				FALSE for azimuthal projections.  This fixes the -JA -JE pscoast bugs.

2008-04-05	remko
	* gmt_map.c, gmt_proj.c:	Fixed bug in azimuthal equal area projection that had the
				horizon shifted from where it ought to be.
	* *.txt:		Added more short explanations on input and output grid formats.
				In some man pages -F was explained instead of -f.
	* GMT_Chapter_4.tex, GMT_Appendix_B.tex:	Added information on -bic (netCDF tables).

2008-04-04	pwessel
	* gmt_stat.c:		Bug in GMT_median would sometime give subtle mistakes, most noticeable
				when only a few values were passed to the function. Traced to the use
				of size_t variables in expressions that should yield a negative value.

2008-04-04	remko
	* GNUmakefile:		Removed creation of *.tar.gz and GMT_src.zip.
	* configure.ac:		CFLAGS, CPPFLAGS, LDFLAGS as set by user is ADDED to anything configure
				dreams up. Neither OVERRULES the other.
				NETCDF_LIB and NETCDF_INC can be used to set netCDF locations separately.
				Create versioned shared libraries on Linux.
	* */makefile:		Changes made accordingly.
	* job04c.*:		Renamed from job4c.*
	* run_example_tests.sh:	New test script of example files
	* run_*_tests.sh:	Avoid excessive error messages when compare fails on missing files, etc.
	* ps2raster.c:		Always translate and/or rotate EPS output to origin. Not only when
				in concert with other formats. This makes -P -Te work as -P -Tef.

2008-04-02	remko
	* gmt_grdio.c: 		GMT_is_*_grid now works on header struct. GMT_grd_get_format also strips
				off ?<varname> and stores it in header->varname.
	* gmt_nc.c:		When writing netCDF grid ?<varname> can be used to assign variable name
				and long_name attribute.

2008-04-02	pwessel
	* gmt_map.c:		The radial clipping would sometimes add arcs using the arc that
				is > 180 degrees.
	* x2sys/x2sys_put.c:	Wrong test when replacing older track info lead to dbase loss.

2008-04-01	pwessel
	* examples/ex19/*:	Next GMT conference is now in 2009.
	* gmt_support.c:	Made GMT_polygon_is_open tolerant of round-off and if
				polygon is not open set last to exactly equal first point.

2008-04-01	remko
	* gmt_proj.c:		Avoid error in GMT_lamb_sph when lat is 90 degrees.

2008-03-29	pwessel
	* pslib.[ch]:		Like in gmt, use PS_exit instead of exit to avoid Matlab shutdown.

2008-03-26	pwessel
	* gmt_grdio.c:		Now the grd i/o support the GMT_[DATA|IMG|GRID]DIR environment settings.
	* grdinfo.c:		Reports actual path to the file (may change if GMT_GRIDDIR is involved).

2008-03-25	pwessel
	* pscontour.c:		Must deallocate *ind memory according to which function was used
	* triangulate.c:	Same.  Only affects Windows's insane memory management.

2008-03-24	pwessel
	* gmt_map.c:		Added new rectangular clip function using Sutherland/Hodgman algorithm
				in order to fix incorrect results in grdlandmask.
	* grdblend.c:		Did not pick up node registration before calculating output grid size.

2008-03-24	remko
	* gmt_io.c:		Implemented -b[i|o]c[<var1>/...] option to indicate input is netCDF.

2008-03-23	pwessel
	* ALL:			More solid 64-bit support after full cleansing with -Wconversion.  All 26
				examples runs clean in both 32-bit and 64-bit mode as do the entire GMT
				documentation.

2008-03-22	remko
	* gmt_nc.c:		Moved GMT_nc_get_att_text to gmt_io.c so it can be used more generally.
	* gmt_io.c:		Implemented GMT_nc_input to support reading netCDF column data (tables).
				This also required changes to GMT_fopen and making GMT_fclose a real routine
				rather than a macro.
	* gmt_io.h, gmt_globals.h:	Changed accordingly.
	* misc/nc2xy.c:		More space for long_name and units.

2008-03-22	pwessel
	* *.[ch]:		Experimental support for full 64-bit computing with introduction of 8-byte
				integers instead of 4-byte.

2008-03-19	remko
	* gmt_map.c (GMT_map_clip_path):	In polar projection, step size for drawing clip path
				was wrong, resulting in missing wedge in donut shape.

2008-03-15	pwessel
	* gmt_support.c:	GMT_get_annot_label did not properly honor the ddd.xx setting
	* pstext.c:		In -D, if /dy is not given it is set equal to dx
	* psxy.c:		Same. Clarified both usage and man pages.

2008-03-13	remko
	* gmt_support.c:	GMT_hsv_to_rgb, GMT_rgb_to_hsv, GMT_check_hsv now uses hsv[]
				instead of h, s, v, in accordance with similar routines.
				GMT_getrgb and GMT_gethsv can read hexadecimal color codes,
				which need to start with #, e.g. #ff0000 for red.

2008-03-11	pwessel
	* grdgradient.c:	With -D -S the slopes were not set to NaN if data were NaN
	* gmt_map.c:		Bug in map clipping for -JG
	* gmt_support.c:	Improve map annotation for general perspective projection
				Added support for annotations for -JF gnomonic for global maps.
	* gmt_proj.c:		Clip path for general perspective projection was not closed.

2008-03-11	remko
	* bin/gmtlogo:		Pushed text back up into 2 x 1 inch box. Put in isolation mode
	* src/Colors.txt:	Reorganized list of RGB colors and names.
	* gmt_color{name,_rgb}.h:	Removed from CVS. Now created from Colors.txt
	* doc/scripts/GMT_RGBchart.sh:	Added GMT logo. All sizes horizontal.
	* src/gmtcolors.txt:	New man page with color information.
	* src/Grdformats.txt:	Renamed from share/conf/gmt_formats.conf

2008-03-09	pwessel
	* pstext.c:		Parsing of -C complained about % sign

2008-03-09	remko
	* gmt_init.c, gmt_globals.h:	Moved GMT_N_MEDIA and GMT_N_UNIQUE to gmt_dimensions.h, which
				is automatically created.
	* gmt_media_name.h, gmt_media_size.h:	Added "statement" and "tabloid" sizes
	* doc/scripts/GMT_RGBchart.sh:	Script to create RGB color tiles added to CVS
	* doc/GMT_Appendix_I.tex:	Added RGB chart
	* www/gmt/doc/pdf/GMT_RGBchart_*.pdf:	Added A4, Letter and Ledger sized RGB charts

2008-03-07	remko
	* ex11/job11.*:		Added R, G, B, H, S, and V arrows.
	* doc/scripts/GMT_color_interpolate.sh:	New example on color palette interpolation.
	* doc/scripts/GMT_App_M_1.sh:	Make sure titles get centered on color bars.
	* doc/fig/{gimp*,hsv-cone}.png:	New imagery for Appendix I
	* doc/GMT_Appendix_I.tex:	Completely revamped Appendix I
	* doc/GMT_Chapter_7.tex:	Removed some ugly orphans.
	* doc/GMT_version.tex.in:	Removed "Version" from \GMTDOCVERSION
	* doc/GMT_Frontmatter.tex:	Added some more acknowledgments
	* gmtdefaults.txt:		Explained COLOR_MODEL better.
	* gmt_support.c:	Avoid small color values. -1e-15 will look like h-s-v.
				A + in the gmtdefaults COLOR_MODEL definition overrules interpolation
				mode specified in cpt file.

2008-03-06	pwessel
	* binned_GSHHS*.cdf:	Added two missing barrier islands along Long Island, NY
				to the GSHHS database.  Updated next GSHHS version number to 1.10.
	* grdcontour.c:		Recognize if no contours can be found inside -L range and exit.

2008-03-05	remko
	* grdinfo.c:		Implemented Welford (1962) algorithm for more precise one-pass
				computation of mean and sum of squares.
	* grdedit.c:		Adjust z_min and z_max when changing add_offset or scale_factor.
	* gmt_grdio.c:		Changed "Latitude", "Longitude" and "Time" to lowercase only.
	* gmt_nc.c:		Use coordinate variables lon(lon), lat(lat) or time(time) when
				appropriate. When updating: need to remove "add_offset" when 0 and
				"scale_factor" when 1.
	* grd2xyz.c:		Do not abort with -R exceeds grid; simply output common region.

2008-03-04	remko
	* grdmath.c, gmtmath.c:	Implemented Welford (1962) algorithm in KURT, SKEW and STD operators
				for more precise one-pass computation of mean and sum of squares.

2008-02-29	remko
	* makefile:		More sure-fire way to install libraries. Also give shared libs mode 755.
	* isogmt.in, isogmt.txt:	Script to run GMT in isolation mode introduced
	* GMT_App_P_{1,2}.sh:	Isolation mode examples
	* GMT_Appendix_P.tex:	Added description of isolation mode

2008-02-28	pwessel
	* mgd77/mgd77info.c:	Same issue as minmax that was fixed on 2008-01-31.

2008-02-27	remko
	* gmt_io.[ch], gmt_calclock.[ch]:	Removed GMT_dt_from_usert, GMT_usert_from_dt, GMT_dtime.
				These were remnants of a time that internal time representation was entirely
				in rata die numbers. Since computations are done extensively with relative
				time (in doubles) keeping the conversion double-to-double became non-sensical.

2008-02-25	pwessel
	* gmt_io.c:		Now skips blank lines that has leading whitespace.  Function
				GMT_is_a_blank_line (char *line) is now used wherever ascii
				input is processed.
	* pscontour.c:		-T option was susceptible to infinite loop if bad record was found.

2008-02-25	remko
	* configure.ac, src/makefile, src/x2sys/makefile, src/mgd77/makefile, makegmt.macros.in:
				Shared libraries made easy: now set LIBEXT=a for static libraries and
				LIBEXT=$(SL) for shared libraries. Works also in supplements.
	* nc2xy.c:		Time coordinate recognized as such. Relative time output according
				to TIME_UNIT and TIME_EPOCH set in .gmtdefaults.
	* gmt_grdio.c:		Fixed 3 bugs in GMT_decode_grd_h_info that caused problems parsing -D
				option. Explicitly exclude = sign from becoming separator.

2008-02-24	remko
	* grd2xyz.txt, xyz2grd.txt:	Added information on using TIME COORDINATES.
	* gmt.h, gmt_globals.h:	Time system now fully defined in struct gmtdefs.time_system.
	* gmt_calclock.c:	---"---
	* gmt_init.c, gmt_init.h:	GMT_get_time_system and GMT_init_time_system_structure now use
				time_system as argument so that not only the internal time system
				defined in gmtdefs.time_system can be parsed.
				Need to move these functions to gmt_support.c?
				GMT_get_time_system can now also deal with "TIME_UNIT since TIME_EPOCH".
				'T' no longer required in epoch string.
				That means TIME_SYSTEM = "days since 2000-01-01 12:00" works.
	* gmt_grdio.c:		Now reuses GMT_get_time_system and GMT_init_time_system_structure.

2008-02-24	pwessel
	* gmt_*.c:		Made sure functions call GMT_exit and not exit when quitting.  Only main
				programs call exit.
	* pslib.c:		Bug in ps_shorten_path lead to SEGV when path resulted in a single point.

2008-02-22	remko
	* ex*/job*.sh:		Prepared for inclusion in documentation (instead of job*.csh)
	* doc/GNUmakefile:	Updated accordingly
	* doc/GMT_Chapter_7.tex doc/GMT_Tutorial.tex:	Switched from C shell to Bourne shell

2008-02-22	pwessel
	* psrose.c:		Added new -F option to disable the plotting of the scale bar.

2008-02-21	pwessel
	* pslib.c:		Fixed error in applying pstext's -Dj<dx>/<dy> shift in paragraph mode (-M).
	* mgd77/mgd77list.c:	Added -Ga|b<rec> to limit output to a certain record # range

2008-02-21	remko
	* test/psscale/ages.sh:	Fixed errors in geological names. Put some bars upside down.
	* psscale.c:		Bug fixes: (1) Inverted vertical scale, when using filled rectangles:
				Colours remained in the original order. (2) Inverted vertical or horizontal
				scale, when using rectangles with gradients: Size of rectangles followed
				original order, not inverted. (3) In reverse mode, -Eb was plotting
				foreground triangle, -Ef background triangle.
	* doc/GMT_Appendix_M.tex, doc/scripts/GMT_App_M_2.sh:	Figure added to App M to illustrate uses
				of psscale.

2008-02-20	remko
	* gmt_init.c:		TIME_SYSTEM has become a shortcut for a combination of TIME_EPOCH and
				TIME_UNIT. When used, set gmtdefs.time_unit and gmtdefs.epoch immediately.
				No longer appears in .gmtdefaults4 file.  No more predefined scale,
				rata_die, etc for time systems. Those are determined from
				gmtdefs.time_{unit,epoch} by GMT_init_time_system_structure instead.
				Bug fix: 'c' for seconds was not recognized as TIME_UNIT (expected 's',
				which is kept for backwards compatibility).
	* gmt_time_systems.h:	Removed. Information merged into gmt_init.c.
	* gmt_calclock.h:	GMT_GCAL_EPOCH has become obsolete.
	* gmt_globals.h:	Changed default time_epoch from 2000-01-01 midnight to noon.
				GMT_time_system is no longer an array. time_system removed from gmtdefs.
	* gmt.h:		Removed name, epoch, unit as part of GMT_TIME_SYSTEM struct. Epoch and
				unit can be found in GMT_DEFAULTS struct.
	* src/GNUmakefile, gmt_grdio.c, gmt_calclock.c:	Changed accordingly.
	* gmt_defaults.txt:	Updated to reflect changes.
	* .gmtdefaults_test, .gmtdefaults_*.orig, .gmtdefaults4.doc:	Removed TIME_SYSTEM.

2008-02-19	pwessel
	* gmt_support.[ch]:	Added debug tracking support for memory allocation/freeing.
	* gmt.h:		--"--.  Requires -DDEBUG during compilation to take effect.

2008-02-16	pwessel
	* grdmask.c:		Tiny bug for determining which hemisphere (N/S) unlikely to have
				had any effect.

2008-02-14	remko
	* gmt.h, gmt_init.c, gmt_calclock.c:	Removed #ifndef OLDCAL (assumed always true).

2008-02-13	pwessel
	* grdmask.c:		Needed to allow for some slop when comparing shrink to 0.0 since sometimes
				the result of acos is 1e-14 or thereabouts.

2008-02-11	pwessel
	* gmt_init.c:		-B processing of labels used an internal string that was too short,
				which could lead to label truncation.

2008-02-01	pwessel
	* bin/gmtlogo:		Now scales logo up properly to get better resolution

2008-01-31	pwessel
	* minmax.c:		Could get confused when longitudes crossed dateline or Greenwich,
				and OUTPUT_DEGREE_FORMAT could interfere with result

2008-01-30	remko
	* gmtselect.txt:	Fixed error in example (-Ns/k replaced by -Nk/s).
				Added to -M option: does not affect selection. Always done on point by
				point basis. However, it is a sensible suggestion to select by segment.

2008-01-22	pwessel
	* sample1d.c:		Calendar time knots did not get properly interpreted with -N.

2008-01-15	pwessel
	* mgd77/mgd77.c:	Wrong header order written if mgd77convert .. -Tt was used

2008-01-09	remko
	* gmt_init.c:		Fixed "Holiday-bug" in GMT_parse_J_option introduced 2007-12-21.
				GMT_str_tolower could run out of bounds. Probably only affected 32-bit
				compilers.
	* gmt_support.c (GMT_strlcmp):	Now ignores case.

2007-12-30	remko
	* gmt_defaults.h:	Removed. Merged into gmt_globals.h
	* gmt_globals.h:	Now has gmt_defaults.h embedded
	* gmtalldeps.macros, src/makefile: Improved dependencies
	* gmt_calclock.h:	Should not include gmt.h (it is included by gmt.h)
	* pslib.c:		ps_bulkcopy checks version number (or any string) as part of Id: tag
				in first line. No check is performed when using "" as argument.

2007-12-21	remko
	* gmt_init.c:		Made central longitude optional in cylindrical projections.
				Made Mercator to have 1, 2, or 3 arguments.
				Allow optional standard parallel in cylindrical equidistant (-JQ).
				Added cylindrical stereographic projection.
				Optionally use names for projections (similar to Proj4). Updated usage info.
	* explain_-J*.txt, psbasemap.txt:	Updated accordingly.
	* gmt_support.[ch]:	Added GMT_strlcmp in support of GMT_project_type
	* gmt_map.c:		When central meridian is NaN, replace it by center of longitude range.
				Added initialization of cylindrical stereographic projections
	* gmt_proj.c:		Simplified GMT_vmerc. Use central meridian and standard parallel as input.
				Added cylindrical stereographic projection functions
	* gmt_project.h:	Changed the numbering of projection IDs. Added GMT_CYL_STEREO
				Consolidated all cylindrical projection parameters into one set of four.
	* gmt_grdio.c, mgd77manage.c:	Use the new three parameters of Mercator initialization.
	* *.c:			Avoid using numbers for projections and add GMT_CYL_STEREO where needed.

2007-12-18	remko
	* gmtalldeps.macros, makefile:	Properly identify all unusual dependencies of sources.
	* spotter/grdrotimage.c:	Removed from CVS, not used by anything

2007-12-16	pwessel
	* gmt_plot.c:		3-D basemap axis did not use LABEL_OFFSET

2007-12-13	remko
	* pslegend.c:		Use unique names pslegend_$$.bat and pslegend_$$.txt (was GMT$$.bat and
				pslegend_tmp.txt). Write them in GMT_TMPDIR if defined.

2007-12-12	pwessel
	* pshistogram.c:	The -R option was processed separately and did not understand time coordinates.

2007-12-11	pwessel
	* psxy.c:		Now, -D applies to all symbols, lines, and polygons
	* psxyz.c:		New option -D with similar purpose as for psxy

2007-12-09	remko
	* gmt_shell_functions.txt:	Added to manpages

2007-12-07	pwessel
	* gmtmath.c:		Added constants TMIN, TMAX, TINC, and N
	* grdmath.c:		Added constants XMIN, XMAX, XINC, NX, YMIN, YMAX, YINC, and NY
	* gmt_shell_functions.sh:	Added to programs

2007-12-06	pwessel
	* gmtselect.c:		The -:o option failed to reverse output order
	* pshistogram.c:	Bug in -F option failed to center bins
	* x2sys/x2sys_get.c:	The -L option did not honor any -F or -N settings

2007-12-01	remko
	* gmt_init.c:		** Isolation mode implemented **
				At initialization, check is GMT_TMPDIR is defined and writable.
				When GMT_TMPDIR is defined: attempt to read .gmtdefaults4 from
				GMT_TMPDIR and always write .gmtdefaults4 to GMT_TMPDIR.
	* gmt_io.c (gmt_getuserpath):	Search first in GMT_TMPDIR (when defined).
	* gmt_plot.c:		When GMT_TMPDIR is defined: read and write .gmt_bb_info in GMT_TMPDIR.

2007-11-30	remko
	* gmt_dimensions.h:	New automatically generated file: contains all dimensions like
				GMT_N_PEN_NAMES, GMT_N_DATUMS, etc.
	* src/GNUmakefile:	Create gmt_dimensions.h. No more need for checks on those dimensions.
	* gmt.h:		Now includes gmt_dimensions.h. GMT_HASH_SIZE removed.
	* gmt_colors.h, gmt_grdio.h, gmt_globals.h:	Now get GMT_N_* from gmt_dimensions.h
	* gmt_init.c:		Introduced GMT_putdefaults to write GMT parameters. GMT_savedefaults
				improved (\t in output strings instead of <tab>, and finally writes
				ANNOT_FONT_SIZE_PRIMARY instead of ANNOT_FONT_SIZE). Inits hashes
				now with appropriate size.
	* gmtdefaults.c, gmtset.c:	Use gmt_putdefaults instead of gmt_savedefaults.
	* ???math.c:		Inits hashes with the appropriate size.
	* .gmtdefaults*.orig:	Esthetic changes only.

2007-11-28	pwessel
	* gmt_stat.c:		Fixed minor issues in PvQv function
	* x2sys/x2sys_cross.c:	Used wrong data column order and computed speed when there is no time
	* x2sys/x2sys.c:	Error in determining which columns had been requested.

2007-11-25	remko
	* configure.in:		Honor LDFLAGS set by user
	* configure.ac:		Renamed from configure.in

2007-11-24	remko
	* configure.in, */makefile, makegmt.macros.in:	Provide compiler and linker flags for
				netCDF through NC_CFLAGS and NC_LIBS. This should help distributions,
				like Fedora, that have netCDF files not in include and lib directories.
				(Changed again on 2008-04-04: configure flags NETCDF_LIB and NETCDF_INC).

2007-11-14	remko
	* guru/gmtguru.macros.orig:	Settings are now only included in GNUmakefile.
				Version information has moved to configure.in.
	* GNUmakefile:		Has become the only makefile to include gmtguru.macros*
	* */GNUmakefile:	Removed includes of guru/gmtguru.macros*. Information now comes
				from src/makegmt.macros.
	* gmt_version.h.in:	New: template for versioning info in source and manpages.
	* doc/GMT_version.tex.in:	New: template for versioning info in documentation.
	* common_options.txt:	Now includes gmt_version.h to get version info.
	* *.txt:		Now include common_options.txt at the very start.
	* doc/GNUmakefile:	Renamed from doc/makefile.
	* test/functions.sh:	Test functions defined in this file to make writing test
				scripts easier.

2007-11-13	remko
	* gmt_grdio.c:		Fixed bug in parsing -D option from e.g. grdedit. Would always
				see 0 as separator (along with /).
	* gmt_support.c:	Removed strncpy from GMT_strtok. No consequence on function.
	* grdinfo.c:		zmin==zmax no longer forces -M option.

2007-11-13	pwessel
	* gmt_map.c:		Minor bug in 4th term in conformal->geodetic lat.
	* pslib.c:		Redefine rect symbol to be less prone to round-off
	* PSL_prologue.ps:	New macro for box symbol

2007-11-04	pwessel
	* ps2raster.c:		New option -D<dir> specifies alternative output directory.
				Also added -V for progress reports [Default is silent].

2007-11-02	remko
	* gmt_proj.[ch], gmt_project.h, gmt_map.c, gmt_init.c, explain_-J*.txt:
				Added optional horizon to global azimuthal projections (-J[AEGS]),
				also made horizon optional in Gnomonic projection (-JF).

2007-11-01	pwessel
	* gmt_support.c:	In GMT_contour, would occasionally not check internal crossings
				for some interior contours.
2007-10-31	pwessel
	* g*math.c:		Would see files like 13239.d as possible numbers and give
				annoying warnings (file was correctly chosen so no bug).

2007-10-31	remko
	* gmt_proj.c:		Review of all inverse projections. Bug fixes:
				. -JS: Would set slice to NaN if central meridian was not Greenwich.
				. -JR: Longitudes beyond 180 were set to 180.
				Return NaN when longitude is more than 180 from central meridian:
				. Cylindrical and miscellaneous projections -J[IKNRW]
				Return NaN when point is out of map disc:
				. Azimuthal and miscellaneous projections -J[AEGHSV]
	* gmt_map.c (GMT_grd_project):		Now also wraps around longitude when
				GMT_IS_RECT_GRATICULE. Removed initialization with NaN.
	* grdimage.c:		Added -N option: do not clip image at map boundary.

2007-10-30	remko
	* gmt_project.h:	project_info.[sn]_polar has become obsolete.
	* gmt_map.c:		---"---
	* gmt_proj.c:		Removed all singularities and discontinuities in inverse
				azimuthal projections

2007-10-28	remko
	* guru/gmtguru.macros.orig:	Change to 4.2.2b
	* configure.in:		Deal with possibility of beta versions
	* src/makegmt.macros.in:	Removed VERSION (was confusing VERSION from guru)
	* grd2xyz.c:		For gridline oriented grids: grd2xyz -E returned xll and yll
				one cell too large. Now writing [xy]llcenter properly.
	* xyz2grd.c:		Assume pixel orientation when either [xy]llcenter is used.

2007-10-26	pwessel
	* psmask.c:		The -D option used the wrong output file name.

2007-10-25	remko
	* psxy[z].txt:		Made sure that both say the same thing for the same options.
				Extended -M option with info on -G, -W, -Z (instead of at -G)

2007-10-22	pwessel
	* gmt_proj.c:		Added GMT_WIND_LON(lon) macro that handles periodicity
	* *.c:			Ratchet up memory allocation exponentially rather than linearly.

2007-10-18	pwessel
	* spotter/hotspotter.c:	Added -S option to normalize output to percent of CVA maximum
	* spotter/grdspotter.c:	New program, like hotspotter but using gridded data as input

2007-10-15	pwessel
	* pslib.c:		Used internal point_code before it was initialized.  This
				caused PAGE_COLOR not to work (wrote <NUL> rather than C)

2007-10-14	pwessel
	* gmt_map.c:		Round-off could mess mapping of west/east to xmin/xmax
				Now has a safety valve for checking that this does not occur
-----------------------------------------------------------------------------------------
2007-10-10
	* tar 4.2.1 made and released via email
-----------------------------------------------------------------------------------------

2007-10-10	remko
	* doc/*.tex:		Fixed spelling errors.
	* gmt_nc.c:		Properly write out actual_range in actual units, not grid units.
				Backward compatibility for scaled integers built in.
				Store GMT_version and truncate global text attributes to proper length.

2007-10-09	remko
	* pslib.c:		Enclose EPS inclusion between %%BeginDocument: and %%EndDocument
	* install-sh:		Replaced version from 1991 with one from 2004 that can install
				multiple files at a time.

2007-10-07	remko
	* nc2xy.c:		Added missing -f option
	* configure.in:		No more "test ! "$A" = "B"", but use test "X$A" != "XB"
				Removed --wrapbindir and --wrapmandir (were not used anywhere)

2007-10-07	pwessel
	* gmt_support.c:	Removed memory leak in GMT_delaunay

2007-10-05	pwessel
	* grdcontour.c:		Only extend subset by 1 row/col if pixel-registered
	* grdvolume.c:		Added missing -f option

2007-10-04	pwessel
	* psscale.c:		Did not work if -Q and -B1p were used together
	* psbasemap.txt:	Point out that -E disables plotting of titles

2007-10-04	remko
	* gmt_map.c (GMT_map_setup):	Removed restriction that east and west limits can not be
				both negative. This fixed the remaining Hexagone problem.

2007-10-03	remko
	* makegmt.macros.in, */makefile:	Found robust way of assigning .exe extension
				to Cygwin programs
	* configure.in, makegmt.macros.in:	Shared library extensions for IRIX and HP
				are .so and .sl and not the other way around.

2007-10-01	pwessel
	* surface.c:		Make sure verbose starts with surface:
	* gmt_plot.c:		Oblique tickmarks sometimes were missing for latitudes

2007-10-01	remko
	* gmt_support.c (GMT_sample_cpt):	Needed to reverse z_low and z_high values as well as
				rgb values when reversing color maps.
	* makecpt.c:		Need to reverse colormap intervals when -I is given.
				Both these fixes were needed to properly reverse colormaps with uneven
				intervals.
	* share/cpt/GMT_{cyclic,panoply}.cpt:	Two more master color maps added.

2007-09-29	pwessel
	* *.c:			Make sure memory allocated by strdup is freed by free (Windows only)

2007-09-29	remko
	* gmt_vector.[ch]:	Added argument "mode" to GMT_fix_up_path to allow drawing lines
				first following a meridian, then a parallel, or vice versa.
	* psxy.c, grdmask.c:	Extended option -A with -Am and -Ap to use new GMT_fix_up_path modes.
	* pscoast.c, gmt_support.c, gmt_shore.c:	Added mode=0 to GMT_fix_up_path arguments.

2007-09-28	remko
	* gmt_stat.h, gmt_math.h:	Moved functions defined in gmt_stat.c from gmt_math.h to
				gmt_stat.h.
	* gmt_stat.c:		Added GMT_plm_bar to compute normalized Legendre functions to very
				high degree and order. Made GMT_factorial public.
	* gmtmath.c:		Use GMT_plm_bar to determine PLMg. Added FACT (factorial).
	* grdmath.c:		Use GMT_plm_bar to determine PLMg, YLM and YLMg. Added FACT (factorial).

2007-09-28	pwessel
	* gmt_custom_io.c:	When reading Surfer subregions we must adjust as grids starts at
				the lower left corner and not upper left.

2007-09-26	pwessel
	* meca/*.c:		Made Windows DLL workable by using the GMT_* i/o functions.
	* grdblend.c:		---"---

2007-09-26	remko
	* *.txt:		Now print "Generic Mapping Tools" at top of man page.
	* explain_-J.txt, psbasemap.txt:	Added info on general perspective view (-JG).
	* gmt_{map,proj}.[ch]:	Permanently added genper code (stripped #ifdef _GENPER).
	* gmt_{init,plot,support}.c:	---"---
	* gmt.h, gmt_project.h:		---"---
	* grdimage.c, pscoast.c:	---"---

2007-09-25	pwessel
	* pslegend.c:		Usage message did not explain the -L option
	* gmt_map.c:		GMT_grdproject needed to skip points that project beyond the horizon.

2007-09-25	remko
	* gmtmath.c:		New operator PLMg (normalized as in geodesy).
				Added check that 0 < M < L.
	* grdmath.c:		New operators PLMg and YLMg (normalized as in geodesy).
				Added check that 0 < M < L.
				When M=0, set Imaginary component of YLM = 0 (was same as real).
	* ???math.c:		Set stack size to 100 (as mentioned in manual).
	* src/*/GNUmakefile:	Added to build manpages within each directory.
	* src/manpages.mk:	Makefile included in src/*/GNUmakefile and src/GNUmakefile.
	* */makefile:		All other makefiles updated.

2007-09-24	pwessel
	* psxy.c:		Box-and-whisker symbols can now optionally be of the notched
				kind where a 5th data column holding the sample size must be present.
				Activated by appending n to the X or Y in -E.

2007-09-24	remko
	* ???math.c:		Made self-documenting.
	* ???math.func:		Removed. Info is now in ???math.c.
	* make_math.sh:		Changed accordingly.
	* *.txt:		All manpages have become *.1 (except pslib.3)
	* */makefile:		All makefiles include install-man, uninstall-man
	* configure.in:		--enable-mansect= removed.
	* website/gmt_install_form.html website/install_gmt_form.pl:	Manpage section removed
	* guru/install_gmt:	---"---
	* guru/*man.sh:		Allow for manpages named *.[135]

2007-09-21	pwessel
	* {gmt,grd}math.c:	Added functions KURT, SKEW, and PQUANT plus EULER's constant
	* grdmask.c:		For -S..k, did not properly account for latitude effect on dx
	* spotter/originator.c:	Added option -Q to specify constant r/t for (x,y,z) data only
				Now lists -L option in both usage and man page

2007-09-19	pwessel
	* triangulate.c, pscontour.c:	Synopsis now reports name of algorithm currently
				compiled in [Shewchuk or Watson].

2007-09-19	remko
	* configure.in:		Made mansect=1 default. Make versioned libraries on Darwin.
	* src/makefile:		---"---. Actually always ended manpages in .l in stead of .$(mansect)
	* src/makegmt.macros.in:	Added VERSION as variable.

2007-09-18	pwessel
	* x2sys/x2sys_cross.c:	Skip duplicate files

2007-09-18	remko
	* gmt_proj.c, gmt_project.h:	Nicely reformatted all genper code and fixed
				several bugs, particularly inverse projection and projection out
				of field of view.
	* gmt_init.c, gmt_plot.c:	Small changes in genper code (reformatting mostly).
	* gmt_map.[ch]:		Permanently removed old grd_forward code
	* gmt_support.c, gmt_bcr.h:	Permanently removed old BCR code
	* *.c, *.txt, *.tex:	Changed "grdfile" (and alike) in text to "grid file".

2007-09-17	remko
	* grdproject.c:		Added code by Joaquim Luis to make -R optional
	* grdproject.txt:	Changed accordingly; also better described aliasing/interpolation
	* grdimage.txt:		Better description of aliasing and interpolation.
	* *.txt:		Removed mention that options/modifiers should be upper/lower case.
	* gmt_map.c:		Added slack to longitude limits check in GMT_grd_project.
				KM_PER_DEG was not reset in GMT_set_spherical. This may have caused
				errors in scaling when ELLIPSOID != Sphere.
	* gmt_bcr.c:		Added slack to longitude and latitude check
				These last two changes avoids creating the occational NaN borders
				in projected grids or in images of projected grids.

2007-09-15	remko
	* makegmt.macros.in:	Now sets the right X11 and Matlab compiler and linker flags,
				supplied by configure in the main directory.
	* mex/makefile:		Created from mex/makefile.in with Matlab flags coming from
				src/makegmt.macros.in.
	* xgrid/makefile:	Created from xgrid/makefile.in with X11 flags coming from
				src/makegmt.macros.in. Significantly improved (missing dependencies).
	* mex/grdinfo.c:	Renamed from mex/grdinfo2.c (easier for compilation).
	* configure.in:		Changed accordingly, absorbing mex/configure.in.
	* mex/configure.in mex/makefile.in xgrid/makefile.in:	Removed
	* guru/GMT_suppl.lis:	Changed accordingly.
	* README:		Changed accordingly.

2007-09-14	remko
	* GNUmakefile, src/GNUmakefile, src/*/GNUmakefile:	Finally replacing the
				whole gurumake system. All files makefile.guru deleted.
				All references to gurumake and makefile.guru removed from
				numerous other files.
	* */makefile:		Make sure all executables get .exe under Windows.
	* ps2raster.c:		Limit resolution to 720 DPI while determining BBox (50% speed up).
				Made it completely silent on Windows.
	* share/pslib/PSL*.ps:	Start CVS tag lines (and some others) with %- for skipping by pslib.
	* pslib.c:		Skip lines from Prologues starting with %- (skips CVS tags).
	* doc/scripts/orig/*.ps:	Some files updated because of BBox changes.

2007-09-13	remko
	* ex??/job??.sh:	Fixed some inconsistencies with job??.csh scripts
	* do_examples.*sh:	Cycle through available scripts, instead of through directories.
	* doc/makefile:		Added "make tests" here to test all scripts and results.

2007-09-12	pwessel
	* gmt_map.c:		GMT_distances function did not work with correct pointer
				(only used in x2sys & mgd77 supplements)
	* x2sys_cross.c:	Distances were bogus (see above), and wrong number of
				arguments passed to read_file function pointer.
	* x2sys.[ch]:		Wrong number of arguments in the generic read_file function

2007-09-12	remko
	* ex16/ex16.cpt:	Use a lower resolution in surface (-I0.2) to speed up ghostscript.
				Add a nice image pattern to demonstrate that capability to do so.
	* ex19/job19.*:		Added image fill pattern and PS code inclusion.
	* GMT_Chapter_7.tex:	Changed accordingly.
	* src/psimage.txt:	Improved explanation of -C and -W options.
	* test/psimage/psimage.sh:	Uses same image of a circuit board at ex16.

2007-09-11	remko
	* explain_-b[io].txt:	Added to replace files linked to obsolete options.
	* explain_-{n,i_binary,o_binary}.txt:	Replaced by the above.
	* gmt_bcr.[ch]:		BCR (bi-dimensional convolution routines) code updated
				and moved from gmt_support.c. Now includes B-spline and
				nearneighbor. Now allows NaNs in bicubic.
	* gmt_support.[ch]:	BCR code commented out since its move to gmt_bcr.c.
	* gmt_map.[ch]:		GMT_grd_{forward,inverse} (and supporting routines) commented out
				since their function has been taken over by GMT_grd_project.
				Arguments "interpolant", "antialias" and "threshold" changed or
				added to GMT_grd_project.
	* grdproject.c:		-S<max_radius> changed to -S[-]b|c|l|n[/<threshold>].
				Now uses GMT_grd_project instead of GMT_grd_forward.
	* grdimage.c:		---"---
				Removed -T option; no more polygon drawing.
	* grdtrack.c, grdsample.c:	-Q<value> changed to -Q[b|c|l|n][[/]<threshold>] to
				take advantage of new BCR code.
	* mgd77/mgd77{manage,sniffer}.c, spotter/grdrotater.c:	---"---
	* grdview.c:		Minor change to support new GMT_bcr_init.
	* src/*.txt, src/*/*.txt:	Changed according to changes mentioned above.
	* ex19/job19.*:		Use grdimage -Sl to avoid wrapping around 360 degrees.
	* ex25/job25.*:		Use grdimage -Sn for categorical data.
	* scripts/GMT_App_O_9.sh:	Use grdimage -Sc/1 to mask errors in ttt_atl.nc.
	* test/*/*.sh:		Need to redirect standard error from "compare" to standard out.
	* test/grdimage/grdimage.sh:	Changed because grdimage no longer has -T option.
	* test/grdimage/rendering.sh:	First introduced to test out new grid interpolation routines.
	* test/genper/*.nc:	Set up these grids instead of getting them trough grdraster.
	* test/genper/genper_test_1?.sh:	---"---

2007-09-11	pwessel
	* gmt_init.c:		Added GMT_is_invalid_number (char *t) to make sure t is of the
				form [+|-][xxxx][.][yyyy][e|E[+|-]nnn] and warn if not.

2007-09-07	remko
	* sample1d.c:		Added -Fn for no interpolation (return value of neareast point).
	* gmtdefaults.txt, gmt_init.c:	Added support for INTERPOLANT=none (no interpolation).
	* gmt_support.[ch]:	Added interpolant=3 (no interpolation) in GMT_intpol;
				Added routine GMT_weighted_average.
	* gmt_map.c:		Renamed genper_grd_forward to GMT_genper_forward, and removed some bugs.
				Replaced some common code by GMT_weighted_average.
				Added GMT_default_forward for default grid rendering (with smoothing).
				Added GMT_tiles_forward for grid rendering without interpolation.
	* gmt_proj.c, gmt_project.h:	Made some GENPER stuff more aesthetic.

2007-09-04	pwessel
	* gshhs/gshhstograss.c:	Removed use of getopt so even the lamest systems can compile it.
				This also made in possible to compile under Windows.

2007-09-04	remko
	* All makefiles:	Improved support for .exe extensions.
				No longer compiles everything when one source changes.
				Installation of manpages moved to src/makefile.
				Closer to getting rid of gurumake.
	* src/explain_{fill,pen,color}.txt:	Made sections into subsections.

2007-08-29	pwessel
	* pshistogram.c:	-C for center bins now -F (-C still works for backwardness)
				Now takes -C<cpt> to color bars based on mid x-value.

2007-08-28	pwessel
	* mapproject.c:		Enhancement: -G-[unit] will calculate incremental distance rather
				than the default cumulative distances.
	* gshhs/*:		Can now deal with the updated GSHHS+WDBII data base (now with
				rivers and borders). Added man pages for the three programs.
	* rivers:		Added double-lined rivers to river database to improve rendering
				of major permanent rivers.

2007-08-27	mtchandl
	* mgd77sniffer.c:	Adjusted anomaly recalculation code so that cruises with m=1
				and b=0 are reported to be same as expected
	* mgd77_rls_coeffs.h:	Updated tables to include statistics only from decimated
				regression found to be significant

2007-08-27	remko
	* ps2raster.c:		Added -P to and removed -V from the commandline description
	* configure.in:		On Linux: Use "gcc -shared", not "ld -shared"

2007-08-23	pwessel
	* pslegend.c:		Added @ECHO OFF to avoid commands being echoed into PS under WIN32

2007-08-23	remko
	* ex??/job??.sh:	Properly identified GMT programs used in example scripts.
	* src/*.txt:		Moved explanation of pens, fill and color to separate sections.
	* src/explain_{fill,color}.txt:	Newly introduced sections.
	* src/explain_-G*.txt:	Made superfluous. Removed.

2007-08-22	pwessel
	* gmt_init.c:		For quoted lines, the :Lh modifier did not reset label if
				a segment header had no label specified.  Also, label would
				include the leading " in a multi-word label.
	* gmt_support.c:	Added +n<dx/dy> to nudge placement of quoted line labels.

2007-08-21	pwessel
	* gmt_io.c:		Combinations of OUTPUT_DEGREE_FORMAT=ddd:mm:ss.xxxF and -:
				would add W|E to lat and S|N to lon for formatted output
	* mapproject.c:		For UTM projections with -C, the -R is now optional.  If not set
				then UTM zone specification must have some latitude info in it.
				If a unique zone is specified then -R is set accordingly.
	* gmt_init.c:		Now, UTM zones may be A,B,Y,Z or 1-60 with modifiers
				C-X (except I and O).

2007-08-12	pwessel
	* grdcut.c:		Domain check failed for geographic 360-degree grid w/ -fg


2007-08-08	pwessel
	* grdfilter.c:		-I<nx>+/<ny>+ not propagated to output setup

2007-08-02	mtchandl
	* mgd77sniffer.c:	Repaired 8 memory leaks. Fixed two regression bugs, one in grid
				comparisons in which not all data were copied into the regression
				arrays and the other in faa recomputation regression where eot
				was being applied twice
2007-08-01	pwessel
	* gmt_support.c:	ddd:mm.xx (2 or more x) failed.

2007-07-31	pwessel
	* psxy.c:		-E.../[-|+]<pen> where + means apply cpt color (-C) to symbol & bar
					- means apply to bar only (no fill).  Likewise, -W[+|-]<pen> controls
					if -C sets outline (-) or both fill and outline (+)
	* psxyz.c:		-W[+|-]<pen> controls if -C sets outline (-) or both fill and outline (+)

2007-07-30	pwessel
	* psxy.c:		For -Sb|B, clip bars extending outside -R (unless -N is on)
	* psxyz.c:		Same
	* misc/gmtdigitize.c:	Must use separate x- and y-scales if -Jx is specified

2007-07-18	remko
	* meca/utilmeca.c:	Make sure that checks on floating point numbers work well, even
				in case of small round off errors. Thanks to Peter Lombard.

2007-07-17	pwessel
	* grdedit.c:		Disallow -T for Surfer grids since they don't support two
				kinds of registration.

2007-07-16	pwessel
	* grd2xyz.c:		Bug fix (Windows only): Did not switch to binary mode when
				-Z specified binary output.
2007-07-11	remko
	* grd2cpt.c:		Bug fix: -E flag did not work unless -T was used.
	* gmt_init.c:		Parsing of psxy's -Sf incorrectly scaled a count to inches.

2007-07-10	wsmith
	* imgsrc/img2mercgrd.c:	Fixed &&/|| logic in lat bounds check when -D set.

2007-07-09	pwessel
	* misc/gmtdigitize.c:	Wrong coordinates used to calculate rms misfit

2007-07-08	pwessel
	* gmt_init.c:		Suffices h|+|- in -J were mistaken for units
	* gmt_io.c:		Blank lines were not recognized under cygwin/SFU

2007-07-06	pwessel
	* gmt_stat.c:		Added Digamma (Psi), P_nu and Q_nu Legendre functions (complex nu)
	* g{mt,rd}math.c:	Added PSI, PV, QV, COT, COTD, ACOT, SEC, SECD, ASEC, CSC, CSCD, ACSC

2007-06-29	remko
	* makefile.guru:	New system to make manpages
	* guru/{pdf,web}man.sh:	---"---
	* www/gmt/gmt_{man,suppl,services}.html:	No longer made from shell scripts
				or makefiles. Now part of CVS.

2007-06-28	pwessel
	* src/gredit.c:		-N did not take into account -fg if given
	* src/gmt_map.c:	Great circle intersection did not select correct vector sign so
				points 180 degrees from a line could pass as close in gmtselect

2007-06-28	remko
	* src/ps2raster.c:	Save temporary script with unique file name (<psfile>_tmp.bat) so
				that several ps2raster jobs can run concurrently.
2007-06-27	remko
	* src/grdlandmask.c:	Fixed bug introduced on 2007-06-24 in determining wrapped grid index

2007-06-26	pwessel
	* src/grdmask.c:	SEGV error when GMT_fix_up_path returned fewer points
				than originally allocated (n_alloc) and n_alloc was not reduced.
	* src/grdcontour.c:	-A<value> would turn off the expected default transparency

2007-06-24	pwessel
	* src/grdlandmask.c:	Failed to set rightmost, empty bin if 360-periodicity in effect;
				also needed to set repeating right column to left column

2007-06-16	pwessel
	* src/grdmath.c:	Added CBAZ as Cartesian complement to SBAZ
	* mgd77manage.c		Added E77 status attribute to MGD77+ files
	* mgd77sniffer.c	Added code to check if regression is outside a specified percent (-P)

2007-06-11	remko
	* configure.in:		Changed LESS to PAGER as recommended by SAITO Fuyuki
	* GMT.in:		Use ${PAGER:-@PAGER@} for pager
	* src/makefile:		Make GMT also target of init:

2007-06-08	remko
	* GMT_Appendix_C.tex:	Added mention of ps2raster -P.
	* GMT_Appendix_N.tex:	Changed wording about using pattern fills in symbols.
				No longer created out of GMT_Appendix_N_main.tex, instead include
				GMT_Appendix_N_inc.tex created by scripts/GMT_App_N.sh
	* scripts/GMT_App_N.sh:	Creates GMT_Appendix_N_inc.tex instead of altering GMT_Appendix_N.tex
	* doc/eps/GMT_usage_3.0.eps:	Removed.
	* doc/fig:		Renamed from doc/eps
	* doc/fig/GMT_Environment.eps:	Created anew using xfig.
	* doc/fig/*.png:	Pictures now in PNG instead of EPS.
	* doc/makefile:		Use new -P and -Tef options of ps2raster. Changed rules for GMT_Appendix_N.tex.

2007-06-07	mtchandl
	* mgd77sniffer.c:	Updated e77 messages and moved along-track grid offset errors to
				e77 header rather than having its own error class

2007-06-06	pwessel
	* filter1d.c:		For -Ff<file>, set filter width to DBL_MAX until filter is read

2007-06-06	remko
	* ps2raster.c:		Added -P option to force Portrait mode
				Allow generation of EPS with other formats (e.g. -Tef)
	* ex03/job03.*:		Use filled and normalized triangles

2007-06-05	remko
	* tests/*/orig:		Created subdirectories for originals
	* tests/*/*.sh:		Changed accordingly
	* GMT_Appendix_K.tex:	Coastline data base sizes updated
	* doc/scripts/get*.sh:	Made simpler. Fewer changes in -R and -J
	* doc/scripts/GMT_App_K*.sh:	---"---
	* doc/scripts/orig:	Created subdirectory for originals
	* makefile.guru:	Changed accordingly
	* gmt_map.c:		Set project_info.M_PR_DEG to 1 in case of -J[x|X] to make "step" work
				in GMT_fix_up_path when using -J[x|X]...d.
	* gmt_plot.c (GMT_<symbol>):	Use "native" PS symbols also when filling with pattern.
	* gmt_support.c:	Removed function GMT_fill_is_image
	* pslib.c:		Renamed ps_imagefill to ps_pattern.
				Support new PS symbol definitions.
				New PS Level 2 pattern fill mechanism.
	* PSL_prologue.ps:	---"---
	* psscale.c:		Use GMT_fill instead of ps_imagefill
	* psxyz.c:		Fixed bug in painting outline of text symbols

2007-06-02	remko
	* run_gmt_tests.sh:	Use run_gmt_tests.sh <directories> to test only specified directories.
	* tests/genper:		Remove grid file on success

2007-05-31	pwessel
	* psbasemap.c:		Check that -L is used with geographic coordinates only

2007-05-29	pwessel
	* gmt_plot.c:		Failed to activate ddd.mm.xxx format for maps
	* gmt_proj.c:		-JS inverse did not apply quadrant check

2007-05-25	pwessel
	* psxy[z].c:		Now, both symbols and polygons can be filled with patterns
				Also, psxyz now honors -W+ etc in multisegment headers
	* gmt_plot.[ch]:	New GMT_<symbol> () functions to help with this.
	* mex/configure.in:	For Intel Macs, must look in maci, not mac

2007-05-24	remko
	* gmt_vector.[ch] (GMT_fix_up_path): Intermediate longitudes now wrapped based on segment,
				not on map extent. "greenwich" argument became superfluous and was
				removed. Argument "step" was found to be in degrees, not in inches as
				some calling programs assumed.
	* gmt_shore.[ch] (GMT_prep_polygons): Argument "greenwich" was removed since GMT_fix_up_path does not
				need it anymore.
	* gmtselect.c, grdlandmask.c: Removed "greenwich" argument of GMT_fix_up_path and/or GMT_prep_polygons
	* gmt_support.c, grdmask.c, pscoast.c, psxy.c: Removed "greenwich" argument of GMT_fix_up_path and/or
				GMT_prep_polygons and changed "step" from inches of map projection to spherical
				degrees.
	* test/psxy/hexagone*:	Test added to illustrate the complications with GMT_fix_up_path.
	* psimage.c:		-I option had become always active

2007-05-22	pwessel
	* psxy.c:		More careful setting of the "greenwich" variable to prevent polygon wrap
	* gmt_map.c:		New function GMT_set_greenwich() which returns TRUE or FALSE.

2007-05-18	pwessel
	* pslib.c:		ps_text can now use @_, @: and @; sequences
	* pslib.txt:		Updated the documentation
	* gmt_support.c:	Added function GMT_enforce_rgb_triplets to scan for @;color;
				and replace it with r/g/b if given by name, gray, h-s-v etc.
